/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
define("vs/base/common/assert",["require","exports"],function(e,t){"use strict";function n(e,t){if(!e||null===e)throw new Error(t?"Assertion failed ("+t+")":"Assertion Failed")}t.ok=n}),define("vs/base/common/collections",["require","exports"],function(e,t){"use strict";function n(){return Object.create(null)}function r(){return Object.create(null)}function o(e,t,n){void 0===n&&(n=null);var r=String(t);return a(e,r)?e[r]:n}function i(e,t,n){var r=String(t);return a(e,r)?e[r]:("function"==typeof n&&(n=n()),e[r]=n,n)}function s(e,t,n){e[n(t)]=t}function a(e,t){return h.call(e,t)}function u(e){var t=[];for(var n in e)h.call(e,n)&&t.push(e[n]);return t}function c(e,t){for(var n in e)if(h.call(e,n)){var r=t({key:n,value:e[n]},function(){delete e[n]});if(r===!1)return}}function d(e,t){return h.call(e,t)?(delete e[t],!0):!1}function l(e,t){var r=n();return e.forEach(function(e){return i(r,t(e),[]).push(e)}),r}t.createStringDictionary=n,t.createNumberDictionary=r,t.lookup=o,t.lookupOrInsert=i,t.insert=s;var h=Object.prototype.hasOwnProperty;t.contains=a,t.values=u,t.forEach=c,t.remove=d,t.groupBy=l});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/events",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this.time=(new Date).getTime(),this.originalEvent=e,this.source=null}return e}();t.Event=n;var r=function(e){function t(t,n,r,o){e.call(this,o),this.key=t,this.oldValue=n,this.newValue=r}return __extends(t,e),t}(n);t.PropertyChangeEvent=r;var o=function(e){function t(t,n){e.call(this,n),this.element=t}return __extends(t,e),t}(n);t.ViewerEvent=o,t.EventType={PROPERTY_CHANGED:"propertyChanged",SELECTION:"selection",FOCUS:"focus",BLUR:"blur",HIGHLIGHT:"highlight",EXPAND:"expand",COLLAPSE:"collapse",TOGGLE:"toggle",CONTENTS_CHANGED:"contentsChanged",BEFORE_RUN:"beforeRun",RUN:"run",EDIT:"edit",SAVE:"save",CANCEL:"cancel",CHANGE:"change",DISPOSE:"dispose"}}),define("vs/base/common/htmlContent",["require","exports"],function(e,t){"use strict";function n(e,t){return e||t?e&&t?e.language===t.language&&e.value===t.value:!1:!0}function r(e,t){return e.formattedText===t.formattedText&&e.text===t.text&&e.className===t.className&&e.style===t.style&&e.customStyle===t.customStyle&&e.tagName===t.tagName&&e.isText===t.isText&&e.role===t.role&&e.markdown===t.markdown&&n(e.code,t.code)&&o(e.children,t.children)}function o(e,t){if(!e&&!t)return!0;if(!e||!t)return!1;var n=e.length,o=t.length;if(n!==o)return!1;for(var i=0;n>i;i++)if(!r(e[i],t[i]))return!1;return!0}t.htmlContentElementArrEquals=o}),define("vs/base/common/lifecycle",["require","exports"],function(e,t){"use strict";function n(e){return e&&e.dispose(),null}function r(e){if(e)for(var t=0,n=e.length;n>t;t++)e[t]&&e[t].dispose();return[]}function o(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return{dispose:function(){return r(e)}}}function i(e){return{dispose:function(){return r(e)}}}function s(e){return{dispose:function(){return e()}}}function a(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return i(e.map(s))}function u(e){if(e){if("function"==typeof e)return e(),null;if(Array.isArray(e)){for(;e.length>0;)e.pop()();return e}return null}return null}t.empty=Object.freeze({dispose:function(){}}),t.dispose=n,t.disposeAll=r,t.combinedDispose=o,t.combinedDispose2=i,t.fnToDisposable=s,t.toDisposable=a,t.cAll=u;var c=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=r(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e}();t.Disposable=c}),define("vs/base/common/network",["require","exports"],function(e,t){"use strict";var n;!function(e){e.inMemory="inmemory",e.http="http",e.https="https",e.file="file"}(n=t.Schemas||(t.Schemas={}))}),define("vs/base/common/stopwatch",["require","exports","vs/base/common/platform"],function(e,t,n){"use strict";var r=n.globals.performance&&"function"==typeof n.globals.performance.now,o=function(){function e(e){this._highResolution=r&&e,this._startTime=this._now(),this._stopTime=-1}return e.create=function(t){return void 0===t&&(t=!0),new e(t)},e.prototype.stop=function(){this._stopTime=this._now()},e.prototype.elapsed=function(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime},e.prototype._now=function(){return this._highResolution?n.globals.performance.now():(new Date).getTime()},e}();t.StopWatch=o}),define("vs/base/common/filters",["require","exports","vs/base/common/strings"],function(e,t,n){"use strict";function r(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return function(t,n){for(var r=0,o=e.length;o>r;r++){var i=e[r](t,n);if(i)return i}return null}}function o(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return function(t,n){for(var r=[],o=0,i=e.length;i>o;o++){var s=e[o](t,n);if(!s)return null;r=r.concat(s)}return r}}function i(e,t,n){if(0===n.length||n.length<t.length)return null;e&&(t=t.toLowerCase(),n=n.toLowerCase());for(var r=0;r<t.length;r++)if(t[r]!==n[r])return null;return t.length>0?[{start:0,end:t.length}]:[]}function s(e,t){var n=t.toLowerCase().indexOf(e.toLowerCase());return-1===n?null:[{start:n,end:n+e.length}]}function a(e,t){return u(e.toLowerCase(),t.toLowerCase(),0,0)}function u(e,t,n,r){if(n===e.length)return[];if(r===t.length)return null;if(e[n]===t[r]){var o=null;if(o=u(e,t,n+1,r+1))return f({start:r,end:r+1},o)}return u(e,t,n,r+1)}function c(e){return e>=97&&122>=e}function d(e){return e>=65&&90>=e}function l(e){return e>=48&&57>=e}function h(e){return[32,9,10,13].indexOf(e)>-1}function p(e){return c(e)||d(e)||l(e)}function f(e,t){return 0===t.length?t=[e]:e.end===t[0].start?t[0].start=e.start:t.unshift(e),t}function m(e,t){for(var n=t;n<e.length;n++){var r=e.charCodeAt(n);if(d(r)||l(r)||n>0&&!p(e.charCodeAt(n-1)))return n}return e.length}function g(e,t,n,r){if(n===e.length)return[];if(r===t.length)return null;if(e[n]!==t[r].toLowerCase())return null;var o=null,i=r+1;for(o=g(e,t,n+1,r+1);!o&&(i=m(t,i))<t.length;)o=g(e,t,n+1,i),i++;return null===o?null:f({start:r,end:r+1},o)}function v(e){if(e.length>60)return!1;for(var t=0,n=0,r=0,o=0,i=0,s=0;s<e.length;s++)i=e.charCodeAt(s),d(i)&&t++,c(i)&&n++,p(i)&&r++,l(i)&&o++;var a=t/e.length,u=n/e.length,h=r/e.length,f=o/e.length;return u>.2&&.8>a&&h>.6&&.2>f}function _(e){for(var t=0,n=0,r=0,o=0,i=0;i<e.length;i++)r=e.charCodeAt(i),d(r)&&t++,c(r)&&n++,h(r)&&o++;return 0!==t&&0!==n||0!==o?5>=t:e.length<=30}function y(e,t){if(0===t.length)return null;if(!_(e))return null;if(!v(t))return null;for(var n=null,r=0;r<t.length&&null===(n=g(e.toLowerCase(),t,0,r));)r=m(t,r+1);return n}function k(e,t,r){void 0===r&&(r=!1);var o=S[e];o||(o=new RegExp(n.convertSimple2RegExpPattern(e),"i"),S[e]=o);var i=o.exec(t);return i?[{start:i.index,end:i.index+i[0].length}]:r?b(e,t):E(e,t)}t.or=r,t.and=o,t.matchesStrictPrefix=function(e,t){return i(!1,e,t)},t.matchesPrefix=function(e,t){return i(!0,e,t)},t.matchesContiguousSubString=s,t.matchesSubString=a,t.matchesCamelCase=y,function(e){e[e.Contiguous=0]="Contiguous",e[e.Separate=1]="Separate"}(t.SubstringMatching||(t.SubstringMatching={}));var E=(t.SubstringMatching,r(t.matchesPrefix,y,s)),b=r(t.matchesPrefix,y,a),S={};t.matchesFuzzy=k}),define("vs/base/common/paths",["require","exports","vs/base/common/platform","vs/base/common/strings"],function(e,t,n,r){"use strict";function o(e,n){e=i(e),n=i(n);for(var r=e.split(t.sep),o=n.split(t.sep);r.length>0&&o.length>0&&r[0]===o[0];)r.shift(),o.shift();for(var s=0,a=r.length;a>s;s++)o.unshift("..");return o.join(t.sep)}function i(e,r){if(!e)return e;if(!y.test(e)){var o=r&&n.isWindows?"/":"\\";if(-1===e.indexOf(o))return e}for(var i=e.split(/[\\\/]/),s=0,a=i.length;a>s;s++)"."===i[s]&&i[s+1]?(i.splice(s,1),s-=1):".."===i[s]&&i[s-1]&&(i.splice(s-1,2),s-=2);return i.join(r?t.nativeSep:t.sep)}function s(e){function t(){return"."===n||"/"===n||"\\"===n?(n=void 0,r=!0):n=a(n),{value:n,done:r}}var n=e,r=!1;return{next:t}}function a(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?".":0===~t?e[0]:e.substring(0,~t)}function u(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?e:~t===e.length-1?u(e.substring(0,e.length-1)):e.substr(~t+1)}function c(e){e=u(e);var t=~e.lastIndexOf(".");return t?e.substring(~t):""}function d(e){if(!e)return 0;if(e=e.replace(/\/|\\/g,"/"),"/"===e[0])return"/"!==e[1]?1:2;if(":"===e[1])return"/"===e[2]?3:2;if(0===e.indexOf("file:///"))return 8;var t=e.indexOf("://");return-1!==t?t+3:0}function l(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n,r=d(e[0]);n=e[0].substr(0,r),e[0]=e[0].substr(r);for(var o=[],i=/[\\\/]$/.test(e[e.length-1]),s=0;s<e.length;s++)o.push.apply(o,e[s].split(/\/|\\/));for(var s=0;s<o.length;s++){var a=o[s];"."===a||0===a.length?(o.splice(s,1),s-=1):".."===a&&o[s-1]&&".."!==o[s-1]&&(o.splice(s-1,2),s-=2)}i&&o.push("");var u=o.join("/");return n&&(u=n.replace(/\/|\\/g,"/")+u),u}function h(e){return n.isWindows&&e?(e=this.normalize(e,!0),e[0]===t.nativeSep&&e[1]===t.nativeSep):!1}function p(e){return e&&"/"===e[0]}function f(e,n){return p(n?e:i(e))?e:t.sep+e}function m(e){return e&&e.length>1&&"."===e[0]}function g(e,t){if(e===t)return!0;e=i(e),t=i(t);var r=t.length,o=t.charCodeAt(r-1);if(o===k&&(t=t.substring(0,r-1),r-=1),e===t)return!0;if(n.isLinux||(e=e.toLowerCase(),t=t.toLowerCase()),e===t)return!0;if(0!==e.indexOf(t))return!1;var s=e.charCodeAt(r);return s===k}function v(e){return!e||0===e.length||/^\s+$/.test(e)?!1:(E.lastIndex=0,E.test(e)?!1:n.isWindows&&b.test(e)?!1:"."===e||".."===e?!1:n.isWindows&&r.endsWith(e,".")?!1:!n.isWindows||e.length===e.trim().length)}function _(e){return t.isAbsoluteRegex.test(e)}t.sep="/",t.nativeSep=n.isWindows?"\\":"/",t.relative=o;var y=/[\\\/]\.\.?[\\\/]?|[\\\/]?\.\.?[\\\/]/;t.normalize=i,t.dirnames=s,t.dirname=a,t.basename=u,t.extname=c,t.join=l,t.isUNC=h,t.makeAbsolute=f,t.isRelative=m;var k="/".charCodeAt(0);t.isEqualOrParent=g;var E=n.isWindows?/[\\/:\*\?"<>\|]/g:/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])$/i;t.isValidBasename=v,t.isAbsoluteRegex=/^((\/|[a-zA-Z]:\\)[^\(\)<>\\'\"\[\]]+)/,t.isAbsolute=_}),define("vs/base/common/glob",["require","exports","vs/base/common/strings","vs/base/common/paths"],function(e,t,n,r){"use strict";function o(e){switch(e){case 0:return"";case 1:return p+"*?";default:return"(?:"+h+"|"+p+"+"+h+"|"+h+p+"+)*?"}}function i(e,t){if(!e)return[];for(var n,r=[],o=!1,i=!1,s="",a=0;a<e.length;a++){switch(n=e[a]){case t:if(!o&&!i){r.push(s),s="";continue}break;case"{":o=!0;break;case"}":o=!1;break;case"[":i=!0;break;case"]":i=!1}s+=n}return s&&r.push(s),r}function s(e){if(!e)return"";var t="",r=i(e,"/");if(r.every(function(e){return"**"===e}))t=".*";else{var a=!1;r.forEach(function(e,u){if("**"===e)return void(a||(t+=o(2),a=!0));for(var c,d=!1,l="",f=!1,m="",g=0;g<e.length;g++)if(c=e[g],"}"!==c&&d)l+=c;else if("]"!==c&&f){var v=void 0;switch(c){case"-":v=c;break;case"^":v=c;break;default:v=n.escapeRegExpCharacters(c)}m+=v}else switch(c){case"{":d=!0;continue;case"[":f=!0;continue;case"}":var _=i(l,","),y="(?:"+_.reduce(function(e,t,n,r){return e+"|"+s(t)},s(_[0]))+")";t+=y,d=!1,l="";break;case"]":t+="["+m+"]",f=!1,m="";break;case"?":t+=p;continue;case"*":t+=o(1);continue;default:t+=n.escapeRegExpCharacters(c)}u<r.length-1&&"**"!==r[u+1]&&(t+=h),a=!1})}return t}function a(e){if(!e)return null;if(e=e.trim(),l[e]){var t=l[e];return t.lastIndex=0,t}var n=s(e);n="^"+n+"$";var r=u(n);return l[e]=r,r}function u(e){try{return new RegExp(e)}catch(t){return/.^/}}function c(e,t,n){if(!e||!t)return!1;if("string"==typeof e){var r=a(e);return r&&r.test(t)}return d(e,t,n)}function d(e,t,o){for(var i,s=Object.getOwnPropertyNames(e),a=function(a){var u=s[a],d=e[u];if(d===!1)return"continue";if(c(u,t)){if("boolean"==typeof d)return{value:u};if(d&&"string"==typeof d.when){if(!o||!o.length)return"continue";i||(i=n.rtrim(r.basename(t),r.extname(t)));var l=d,h=l.when.replace("$(basename)",i);return o.some(function(e){return e===h})?{value:u}:"continue"}return{value:u}}},u=0;u<s.length;u++){var d=a(u);if("object"==typeof d)return d.value}return null}var l=Object.create(null),h="[/\\\\]",p="[^/\\\\]";t.splitGlobAware=i,t.match=c}),define("vs/base/common/graph",["require","exports","vs/base/common/types","vs/base/common/collections"],function(e,t,n,r){"use strict";function o(e){return{data:e,incoming:{},outgoing:{}}}t.newNode=o;var i=function(){function e(e){this._hashFn=e,this._nodes=Object.create(null)}return e.prototype.roots=function(){var e=[];return r.forEach(this._nodes,function(t){n.isEmptyObject(t.value.outgoing)&&e.push(t.value)}),e},e.prototype.traverse=function(e,t,n){var r=this.lookup(e);r&&this._traverse(r,t,{},n)},e.prototype._traverse=function(e,t,n,o){var i=this,s=this._hashFn(e.data);if(!r.contains(n,s)){n[s]=!0,o(e.data);var a=t?e.outgoing:e.incoming;r.forEach(a,function(e){return i._traverse(e.value,t,n,o)})}},e.prototype.insertEdge=function(e,t){var n=this.lookupOrInsertNode(e),r=this.lookupOrInsertNode(t);n.outgoing[this._hashFn(t)]=r,r.incoming[this._hashFn(e)]=n},e.prototype.removeNode=function(e){var t=this._hashFn(e);delete this._nodes[t],r.forEach(this._nodes,function(e){delete e.value.outgoing[t],delete e.value.incoming[t]})},e.prototype.lookupOrInsertNode=function(e){var t=this._hashFn(e),n=r.lookup(this._nodes,t);return n||(n=o(e),this._nodes[t]=n),n},e.prototype.lookup=function(e){return r.lookup(this._nodes,this._hashFn(e))},Object.defineProperty(e.prototype,"length",{get:function(){return Object.keys(this._nodes).length},enumerable:!0,configurable:!0}),e}();t.Graph=i}),define("vs/base/common/mime",["require","exports","vs/base/common/paths","vs/base/common/types","vs/base/common/strings","vs/base/common/glob"],function(e,t,n,r,o,i){"use strict";function s(e){f.push(e),e.userConfigured||f.forEach(function(t){t.mime===e.mime||t.userConfigured||(e.extension&&t.extension===e.extension&&console.warn("Overwriting extension <<"+e.extension+">> to now point to mime <<"+e.mime+">>"),e.filename&&t.filename===e.filename&&console.warn("Overwriting filename <<"+e.filename+">> to now point to mime <<"+e.mime+">>"),e.filepattern&&t.filepattern===e.filepattern&&console.warn("Overwriting filepattern <<"+e.filepattern+">> to now point to mime <<"+e.mime+">>"),e.firstline&&t.firstline===e.firstline&&console.warn("Overwriting firstline <<"+e.firstline+">> to now point to mime <<"+e.mime+">>"))})}function a(e){f=e?f.filter(function(e){return!e.userConfigured}):[]}function u(e,n){if(!e)return[t.MIME_UNKNOWN];e=e.toLowerCase();var r=c(e,f.filter(function(e){return e.userConfigured}));if(r)return[r,t.MIME_TEXT];var o=c(e,f.filter(function(e){return!e.userConfigured}));if(o)return[o,t.MIME_TEXT];if(n){var i=d(n);if(i)return[i,t.MIME_TEXT]}return[t.MIME_UNKNOWN]}function c(e,t){for(var r,s,a,u=n.basename(e),c=0;c<t.length;c++){var d=t[c];if(d.filename&&u===d.filename.toLowerCase()){r=d;break}if(d.filepattern){var l=d.filepattern.indexOf(n.sep)>=0?e:u;i.match(d.filepattern.toLowerCase(),l)&&(!s||d.filepattern.length>s.filepattern.length)&&(s=d)}d.extension&&o.endsWith(u,d.extension.toLowerCase())&&(!a||d.extension.length>a.extension.length)&&(a=d)}return r?r.mime:s?s.mime:a?a.mime:null}function d(e){if(o.startsWithUTF8BOM(e)&&(e=e.substr(1)),e.length>0)for(var t=0;t<f.length;++t){var n=f[t];if(n.firstline){var r=e.match(n.firstline);if(r&&r.length>0&&r[0].length===e.length)return n.mime}}return null}function l(e){if(!e)return!1;var n;return n=r.isArray(e)?e:e.split(",").map(function(e){return e.trim()}),n.indexOf(t.MIME_BINARY)>=0}function h(e){return e?"string"==typeof e?e===t.MIME_BINARY||e===t.MIME_TEXT||e===t.MIME_UNKNOWN:1===e.length&&h(e[0]):!0}function p(e,t){for(var n=0;n<f.length;n++){var r=f[n];if(!r.userConfigured&&r.mime===e&&r.extension)return t+r.extension}return null}t.MIME_TEXT="text/plain",t.MIME_BINARY="application/octet-stream",t.MIME_UNKNOWN="application/unknown";var f=[];t.registerTextMime=s,t.clearTextMimes=a,t.guessMimeTypes=u,t.isBinaryMime=l,t.isUnspecific=h,t.suggestFilename=p}),define("vs/editor/common/core/arrays",["require","exports"],function(e,t){"use strict";var n;!function(e){function t(e,t){for(var n,r=0,o=e.length-1;o>r;)n=r+Math.ceil((o-r)/2),e[n].startIndex>t?o=n-1:r=n;return r}e.findIndexInSegmentsArray=t}(n=t.Arrays||(t.Arrays={}))}),define("vs/editor/common/core/idGenerator",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this._prefix=e,this._lastId=0}return e.prototype.generate=function(){return this._prefix+ ++this._lastId},e}();t.IdGenerator=n}),define("vs/editor/common/core/position",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){this.lineNumber=e,this.column=t}return e.prototype.equals=function(t){return e.equals(this,t)},e.equals=function(e,t){return e||t?!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column:!0},e.prototype.isBefore=function(t){return e.isBefore(this,t)},e.isBefore=function(e,t){return e.lineNumber<t.lineNumber?!0:t.lineNumber<e.lineNumber?!1:e.column<t.column},e.prototype.isBeforeOrEqual=function(t){return e.isBeforeOrEqual(this,t)},e.isBeforeOrEqual=function(e,t){return e.lineNumber<t.lineNumber?!0:t.lineNumber<e.lineNumber?!1:e.column<=t.column},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(t){return new e(t.lineNumber,t.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e.asEmptyRange=function(e){return{startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column}},e.startPosition=function(e){return{lineNumber:e.startLineNumber,column:e.startColumn}},e.endPosition=function(e){return{lineNumber:e.endLineNumber,column:e.endColumn}},e}();t.Position=n}),define("vs/editor/common/core/range",["require","exports","vs/editor/common/core/position"],function(e,t,n){"use strict";var r=function(){function e(e,t,n,r){e>n||e===n&&t>r?(this.startLineNumber=n,this.startColumn=r,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,this.endColumn=r)}return e.prototype.isEmpty=function(){return e.isEmpty(this)},e.prototype.containsPosition=function(t){return e.containsPosition(this,t)},e.prototype.containsRange=function(t){return e.containsRange(this,t)},e.prototype.plusRange=function(t){return e.plusRange(this,t)},e.prototype.intersectRanges=function(t){return e.intersectRanges(this,t)},e.prototype.equalsRange=function(t){return e.equalsRange(this,t)},e.prototype.getEndPosition=function(){return new n.Position(this.endLineNumber,this.endColumn)},e.prototype.getStartPosition=function(){return new n.Position(this.startLineNumber,this.startColumn)},e.prototype.cloneRange=function(){return new e(this.startLineNumber,this.startColumn,this.endLineNumber,this.endColumn)},e.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},e.prototype.setEndPosition=function(t,n){return new e(this.startLineNumber,this.startColumn,t,n)},e.prototype.setStartPosition=function(t,n){return new e(t,n,this.endLineNumber,this.endColumn)},e.prototype.collapseToStart=function(){return new e(this.startLineNumber,this.startColumn,this.startLineNumber,this.startColumn)},e.lift=function(t){return t?new e(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):null},e.isIRange=function(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn},e.isEmpty=function(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn},e.containsPosition=function(e,t){return t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber?!1:t.lineNumber===e.startLineNumber&&t.column<e.startColumn?!1:!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn)},e.containsRange=function(e,t){return t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber?!1:t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber?!1:t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn?!1:!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)},e.areIntersectingOrTouching=function(e,t){return e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn?!1:!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)},e.intersectRanges=function(t,n){var r=t.startLineNumber,o=t.startColumn,i=t.endLineNumber,s=t.endColumn,a=n.startLineNumber,u=n.startColumn,c=n.endLineNumber,d=n.endColumn;return a>r?(r=a,o=u):r===a&&(o=Math.max(o,u)),i>c?(i=c,s=d):i===c&&(s=Math.min(s,d)),r>i?null:r===i&&o>s?null:new e(r,o,i,s)},e.plusRange=function(t,n){var r,o,i,s;return n.startLineNumber<t.startLineNumber?(r=n.startLineNumber,o=n.startColumn):n.startLineNumber===t.startLineNumber?(r=n.startLineNumber,o=Math.min(n.startColumn,t.startColumn)):(r=t.startLineNumber,o=t.startColumn),n.endLineNumber>t.endLineNumber?(i=n.endLineNumber,s=n.endColumn):n.endLineNumber===t.endLineNumber?(i=n.endLineNumber,s=Math.max(n.endColumn,t.endColumn)):(i=t.endLineNumber,s=t.endColumn),new e(r,o,i,s)},e.equalsRange=function(e,t){return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn},e.compareRangesUsingStarts=function(e,t){return e.startLineNumber===t.startLineNumber?e.startColumn===t.startColumn?e.endLineNumber===t.endLineNumber?e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber:e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber},e.compareRangesUsingEnds=function(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber},e.spansMultipleLines=function(e){return e.endLineNumber>e.startLineNumber},e.collapseToStart=function(e){return{startLineNumber:e.startLineNumber,startColumn:e.startColumn,endLineNumber:e.startLineNumber,endColumn:e.startColumn}},e}();t.Range=r}),define("vs/editor/common/model/indentationGuesser",["require","exports"],function(e,t){"use strict";function n(e,t,n,r){var i;for(i=0;t>i&&r>i;i++){var s=e.charCodeAt(i),a=n.charCodeAt(i);if(s!==a)break}for(var u=0,c=0,d=i;t>d;d++){var s=e.charCodeAt(d);s===o?u++:c++}for(var l=0,h=0,d=i;r>d;d++){var a=n.charCodeAt(d);a===o?l++:h++}if(u>0&&c>0)return 0;if(l>0&&h>0)return 0;var p=Math.abs(c-h),f=Math.abs(u-l);return 0===p?f:f%p===0?f/p:0}function r(e,t,r){for(var s=0,a=0,u="",c=0,d=[2,4,6,8],l=8,h=[0,0,0,0,0,0,0,0,0],p=0,f=e.length;f>p;p++){for(var m=e[p],g=!1,v=0,_=0,y=0,k=0,E=m.length;E>k;k++){var b=m.charCodeAt(k);if(b===i)y++;else{if(b!==o){g=!0,v=k;break}_++}}if(g){y>0?s++:_>1&&a++;var S=n(u,c,m,v);l>=S&&h[S]++,u=m,c=v}}var M=n(u,c,"",0);l>=M&&h[M]++;var T=r;s!==a&&(T=a>s);var I=t,C=T?0:.1*e.length;return d.forEach(function(e){var t=h[e];t>C&&(C=t,I=e)}),{insertSpaces:T,tabSize:I}}var o=" ".charCodeAt(0),i="	".charCodeAt(0);t.guessIndentation=r}),define("vs/editor/common/modes",["require","exports"],function(e,t){"use strict";!function(e){e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));t.IndentAction}),define("vs/editor/common/modes/abstractState",["require","exports"],function(e,t){"use strict";var n=function(){function e(e,t){void 0===t&&(t=null),this.mode=e,this.stateData=t}return e.prototype.getMode=function(){return this.mode},e.prototype.clone=function(){var e=this.makeClone();return e.initializeFrom(this),e},e.prototype.makeClone=function(){throw new Error("Abstract Method")},e.prototype.initializeFrom=function(e){this.stateData=null!==e.stateData?e.stateData.clone():null},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e.prototype.equals=function(t){return null===t||this.mode!==t.getMode()?!1:t instanceof e?e.safeEquals(this.stateData,t.stateData):!1},e.prototype.tokenize=function(e){throw new Error("Abstract Method")},e.safeEquals=function(e,t){return null===e&&null===t?!0:null===e||null===t?!1:e.equals(t)},e.safeClone=function(e){return e?e.clone():null},e}();t.AbstractState=n}),define("vs/editor/common/modes/lineStream",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this._source=e,this.sourceLength=e.length,this._pos=0,this.whitespace="	  ",this.whitespaceArr=this.stringToArray(this.whitespace),this.separators="",this.separatorsArr=this.stringToArray(this.separators),this.tokenStart=-1,this.tokenEnd=-1}return e.prototype.stringToArray=function(t){return e.STRING_TO_ARRAY_CACHE.hasOwnProperty(t)||(e.STRING_TO_ARRAY_CACHE[t]=this.actualStringToArray(t)),e.STRING_TO_ARRAY_CACHE[t]},e.prototype.actualStringToArray=function(e){for(var t=0,n=0;n<e.length;n++)t=Math.max(t,e.charCodeAt(n));for(var r=[],n=0;t>=n;n++)r[n]=!1;for(var n=0;n<e.length;n++)r[e.charCodeAt(n)]=!0;return r},e.prototype.pos=function(){return this._pos},e.prototype.eos=function(){return this._pos>=this.sourceLength},e.prototype.peek=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");return this._source[this._pos]},e.prototype.next=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");return this.tokenStart=-1,this.tokenEnd=-1,this._source[this._pos++]},e.prototype.next2=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");this.tokenStart=-1,this.tokenEnd=-1,this._pos++},e.prototype.advance=function(e){if(0===e)return"";var t=this._pos;return this._pos+=e,this.tokenStart=-1,this.tokenEnd=-1,this._source.substring(t,this._pos)},e.prototype._advance2=function(e){return 0===e?e:(this._pos+=e,this.tokenStart=-1,this.tokenEnd=-1,e)},e.prototype.advanceToEOS=function(){var e=this._pos;return this._pos=this.sourceLength,this.resetPeekedToken(),this._source.substring(e,this._pos)},e.prototype.goBack=function(e){this._pos-=e,this.resetPeekedToken()},e.prototype.createPeeker=function(e){var t=this;if(e instanceof RegExp)return function(){var n=e.exec(t._source.substr(t._pos));if(null===n)return 0;if(0!==n.index)throw new Error('Regular expression must begin with the character "^"');return n[0].length};if((e instanceof String||"string"==typeof e)&&e)return function(){for(var n=e.length,r=t._pos+n<=t.sourceLength,o=0;r&&n>o;o++)r=t._source.charCodeAt(t._pos+o)===e.charCodeAt(o);return r?n:0};throw new Error("Condition must be either a regular expression, function or a non-empty string")},e.prototype._advanceIfStringCaseInsensitive=function(e){var t,n=this._pos,r=this._source,o=e.length;if(1>o||n+o>this.sourceLength)return 0;for(t=0;o>t;t++)if(r.charAt(n+t).toLowerCase()!==e.charAt(t).toLowerCase())return 0;return o},e.prototype.advanceIfStringCaseInsensitive=function(e){return this.advance(this._advanceIfStringCaseInsensitive(e))},e.prototype.advanceIfStringCaseInsensitive2=function(e){return this._advance2(this._advanceIfStringCaseInsensitive(e))},e.prototype._advanceIfString=function(e){var t,n=this._pos,r=this._source,o=e.length;if(1>o||n+o>this.sourceLength)return 0;for(t=0;o>t;t++)if(r.charCodeAt(n+t)!==e.charCodeAt(t))return 0;return o},e.prototype.advanceIfString=function(e){return this.advance(this._advanceIfString(e))},e.prototype.advanceIfString2=function(e){return this._advance2(this._advanceIfString(e))},e.prototype._advanceIfCharCode=function(e){return this._pos<this.sourceLength&&this._source.charCodeAt(this._pos)===e?1:0},e.prototype.advanceIfCharCode=function(e){return this.advance(this._advanceIfCharCode(e))},e.prototype.advanceIfCharCode2=function(e){return this._advance2(this._advanceIfCharCode(e))},e.prototype._advanceIfRegExp=function(e){return this._pos>=this.sourceLength?0:e.test(this._source.substr(this._pos))?RegExp.lastMatch.length:0},e.prototype.advanceIfRegExp=function(e){return this.advance(this._advanceIfRegExp(e))},e.prototype.advanceIfRegExp2=function(e){return this._advance2(this._advanceIfRegExp(e))},e.prototype.advanceLoop=function(e,t,n){if(this.eos())return"";var r=this.createPeeker(e),o=this._pos,i=0,s=null;for(s=t?function(e){return e>0}:function(e){return 0===e};!this.eos()&&s(i=r());)i>0?this.advance(i):this.next();return n&&!this.eos()&&this.advance(i),this._source.substring(o,this._pos)},e.prototype.advanceWhile=function(e){return this.advanceLoop(e,!0,!1)},e.prototype.advanceUntil=function(e,t){return this.advanceLoop(e,!1,t)},e.prototype._advanceUntilString=function(e,t){if(this.eos()||0===e.length)return 0;var n=this._pos,r=this._source.indexOf(e,n);return-1===r?this.sourceLength-n:t?r+e.length-n:r-n},e.prototype.advanceUntilString=function(e,t){return this.advance(this._advanceUntilString(e,t))},e.prototype.advanceUntilString2=function(e,t){return this._advance2(this._advanceUntilString(e,t))},e.prototype.resetPeekedToken=function(){this.tokenStart=-1,this.tokenEnd=-1},e.prototype.setTokenRules=function(e,t){this.separators===e&&this.whitespace===t||(this.separators=e,this.separatorsArr=this.stringToArray(this.separators),this.whitespace=t,this.whitespaceArr=this.stringToArray(this.whitespace),this.resetPeekedToken())},e.prototype.peekToken=function(){if(-1!==this.tokenStart)return this._source.substring(this.tokenStart,this.tokenEnd);var e=this._source,t=this.sourceLength,n=this.whitespaceArr,r=this.separatorsArr,o=this._pos;if(o>=t)throw new Error("Stream is at the end");for(;n[e.charCodeAt(o)]&&t>o;)o++;var i=o;if(r[e.charCodeAt(i)]&&t>i)i++;else for(;!r[e.charCodeAt(i)]&&!n[e.charCodeAt(i)]&&t>i;)i++;return this.tokenStart=o,this.tokenEnd=i,e.substring(o,i)},e.prototype.nextToken=function(){if(this._pos>=this.sourceLength)throw new Error("Stream is at the end");var e;return e=-1===this.tokenStart?this.peekToken():this._source.substring(this.tokenStart,this.tokenEnd),this._pos=this.tokenEnd,this.tokenStart=-1,this.tokenEnd=-1,e},e.prototype.peekWhitespace=function(){for(var e=this._source,t=this.sourceLength,n=this.whitespaceArr,r=this._pos;n[e.charCodeAt(r)]&&t>r;)r++;return e.substring(this._pos,r)},e.prototype._skipWhitespace=function(){for(var e=this._source,t=this.sourceLength,n=this.whitespaceArr,r=this._pos,o=this._pos;n[e.charCodeAt(o)]&&t>o;)o++;return o-r},e.prototype.skipWhitespace=function(){return this.advance(this._skipWhitespace())},e.prototype.skipWhitespace2=function(){return this._advance2(this._skipWhitespace())},e.STRING_TO_ARRAY_CACHE={},e}();t.LineStream=n}),define("vs/editor/common/modes/modesFilters",["require","exports","vs/base/common/arrays","vs/base/common/filters"],function(e,t,n,r){"use strict";function o(e){return function(t,r){var o=e(t,r.filterText||r.label);return n.isFalsyOrEmpty(o)?void 0:o}}function i(e,t){return function(n,r){return e(n,r)||t(n,r)}}function s(e,t){return function(n,r){return e(n,r)&&t(n,r)}}t.StrictPrefix=o(r.matchesStrictPrefix),t.Prefix=o(r.matchesPrefix),t.CamelCase=o(r.matchesCamelCase),t.ContiguousSubString=o(r.matchesContiguousSubString),t.or=i,t.and=s,t.DefaultFilter=i(i(t.Prefix,t.CamelCase),t.ContiguousSubString)}),define("vs/editor/common/modes/monarch/monarchCommon",["require","exports"],function(e,t){"use strict";function n(e){return!e}function r(e,t){return e.ignoreCase&&t?t.toLowerCase():t}function o(e){return e.replace(/[&<>'"_]/g,"-")}function i(e,t){console.log(e.name+": "+t)}function s(e,t){throw new Error(e.name+": "+t)}function a(e,t,o,i,s){var a=/\$((\$)|(#)|(\d\d?)|[sS](\d\d?)|@(\w+))/g,u=null;return t.replace(a,function(t,a,c,d,l,h,p,f,m){return n(c)?n(d)?!n(l)&&l<i.length?r(e,i[l]):!n(p)&&e&&"string"==typeof e[p]?e[p]:(null===u&&(u=s.split("."),
u.unshift(s)),!n(h)&&h<u.length?r(e,u[h]):""):r(e,o):"$"})}function u(e,t){for(;t&&t.length>0;){var n=e.tokenizer[t];if(n)return n;var r=t.lastIndexOf(".");t=0>r?null:t.substr(0,r)}return null}function c(e,t){for(;t&&t.length>0;){var n=e.stateNames[t];if(n)return!0;var r=t.lastIndexOf(".");t=0>r?null:t.substr(0,r)}return!1}!function(e){e[e.None=0]="None",e[e.Open=1]="Open",e[e.Close=-1]="Close"}(t.MonarchBracket||(t.MonarchBracket={}));t.MonarchBracket;t.empty=n,t.fixCase=r,t.sanitize=o,t.log=i,t.throwError=s,t.substituteMatches=a,t.findRules=u,t.stateExists=c}),define("vs/editor/common/modes/monarch/monarchCompile",["require","exports","vs/base/common/objects","vs/editor/common/modes/monarch/monarchCommon"],function(e,t,n,r){"use strict";function o(e,t){if(!t)return!1;if(!Array.isArray(t))return!1;var n;for(n in t)if(t.hasOwnProperty(n)&&!e(t[n]))return!1;return!0}function i(e,t,n){return"boolean"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function s(e,t,n){return"string"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function a(e,t){if("string"!=typeof t)return null;for(var n=0;t.indexOf("@")>=0&&5>n;)n++,t=t.replace(/@(\w+)/g,function(n,o){var i="";return"string"==typeof e[o]?i=e[o]:e[o]&&e[o]instanceof RegExp?i=e[o].source:void 0===e[o]?r.throwError(e,"language definition does not contain attribute '"+o+"', used at: "+t):r.throwError(e,"attribute reference '"+o+"' must be a string, used at: "+t),r.empty(i)?"":"(?:"+i+")"});return new RegExp(t,e.ignoreCase?"i":"")}function u(e,t,n,r){if(0>r)return e;if(r<t.length)return t[r];if(r>=100){r-=100;var o=n.split(".");if(o.unshift(n),r<o.length)return o[r]}return null}function c(e,t,i,s){var c=-1,d=i,l=i.match(/^\$(([sS]?)(\d\d?)|#)(.*)$/);l&&(l[3]&&(c=parseInt(l[3]),l[2]&&(c+=100)),d=l[4]);var h="~",p=d;d&&0!==d.length?/^\w*$/.test(p)?h="==":(l=d.match(/^(@|!@|~|!~|==|!=)(.*)$/),l&&(h=l[1],p=l[2])):(h="!=",p="");var f;if("~"!==h&&"!~"!==h||!/^(\w|\|)*$/.test(p))if("@"===h||"!@"===h){var m=e[p];m||r.throwError(e,"the @ match target '"+p+"' is not defined, in rule: "+t),o(function(e){return"string"==typeof e},m)||r.throwError(e,"the @ match target '"+p+"' must be an array of strings, in rule: "+t);var g=n.createKeywordMatcher(m,e.ignoreCase);f=function(e){return"@"===h?g(e):!g(e)}}else if("~"===h||"!~"===h)if(p.indexOf("$")<0){var v=a(e,"^"+p+"$");f=function(e){return"~"===h?v.test(e):!v.test(e)}}else f=function(t,n,o,i){var s=a(e,"^"+r.substituteMatches(e,p,n,o,i)+"$");return s.test(t)};else if(p.indexOf("$")<0){var _=r.fixCase(e,p);f=function(e){return"=="===h?e===_:e!==_}}else{var _=r.fixCase(e,p);f=function(t,n,o,i,s){var a=r.substituteMatches(e,_,n,o,i);return"=="===h?t===a:t!==a}}else{var g=n.createKeywordMatcher(p.split("|"),e.ignoreCase);f=function(e){return"~"===h?g(e):!g(e)}}return-1===c?{name:i,value:s,test:function(e,t,n,r){return f(e,e,t,n,r)}}:{name:i,value:s,test:function(e,t,n,r){var o=u(e,t,n,c);return f(o?o:"",e,t,n,r)}}}function d(e,t,n){if(n){if("string"==typeof n)return n;if(n.token||""===n.token){if("string"!=typeof n.token)return r.throwError(e,"a 'token' attribute must be of type string, in rule: "+t),{token:""};var o={token:n.token};if(n.token.indexOf("$")>=0&&(o.tokenSubst=!0),"string"==typeof n.bracket&&("@open"===n.bracket?o.bracket=r.MonarchBracket.Open:"@close"===n.bracket?o.bracket=r.MonarchBracket.Close:r.throwError(e,"a 'bracket' attribute must be either '@open' or '@close', in rule: "+t)),n.next)if("string"!=typeof n.next)r.throwError(e,"the next state must be a string value in rule: "+t);else{var i=n.next;/^(@pop|@push|@popall)$/.test(i)||("@"===i[0]&&(i=i.substr(1)),i.indexOf("$")<0&&(r.stateExists(e,r.substituteMatches(e,i,"",[],""))||r.throwError(e,"the next state '"+n.next+"' is not defined in rule: "+t))),o.next=i}return"number"==typeof n.goBack&&(o.goBack=n.goBack),"string"==typeof n.switchTo&&(o.switchTo=n.switchTo),"string"==typeof n.log&&(o.log=n.log),"string"==typeof n.nextEmbedded&&(o.nextEmbedded=n.nextEmbedded,e.usesEmbedded=!0),o}if(Array.isArray(n)){var s,a=[];for(s in n)n.hasOwnProperty(s)&&(a[s]=d(e,t,n[s]));return{group:a}}if(n.cases){var u,l=[];for(u in n.cases)if(n.cases.hasOwnProperty(u)){var h=d(e,t,n.cases[u]);"@default"===u||"@"===u||""===u?l.push({test:null,value:h,name:u}):"@eos"===u?l.push({test:function(e,t,n,r){return r},value:h,name:u}):l.push(c(e,t,u,h))}var p=e.defaultToken;return{test:function(e,t,n,r){var o;for(o in l)if(l.hasOwnProperty(o)){var i=!l[o].test||l[o].test(e,t,n,r);if(i)return l[o].value}return p}}}return r.throwError(e,"an action must be a string, an object with a 'token' or 'cases' attribute, or an array of actions; in rule: "+t),""}return{token:""}}function l(e){function t(o,a,u){var c;for(c in u)if(u.hasOwnProperty(c)){var l=u[c],p=l.include;if(p)"string"!=typeof p&&r.throwError(n,"an 'include' attribute must be a string at: "+o),"@"===p[0]&&(p=p.substr(1)),e.tokenizer[p]||r.throwError(n,"include target '"+p+"' is not defined at: "+o),t(o+"."+p,a,e.tokenizer[p]);else{var f=new h(o);if(Array.isArray(l)&&l.length>=1&&l.length<=3)if(f.setRegex(d,l[0]),l.length>=3)if("string"==typeof l[1])f.setAction(d,{token:l[1],next:l[2]});else if("object"==typeof l[1]){var m=l[1];m.next=l[2],f.setAction(d,m)}else r.throwError(n,"a next state as the last element of a rule can only be given if the action is either an object or a string, at: "+o);else f.setAction(d,l[1]);else l.regex||r.throwError(n,"a rule must either be an array, or an object with a 'regex' or 'include' field at: "+o),l.name&&(f.name=s(l.name)),l.matchOnlyAtStart&&(f.matchOnlyAtLineStart=i(l.matchOnlyAtLineStart)),f.setRegex(d,l.regex),f.setAction(d,l.action);a.push(f)}}}if(!e||"object"!=typeof e)throw new Error("Monarch: expecting a language definition object");if("string"!=typeof e.name)throw new Error("Monarch: a language definition must include a string 'name' attribute");var n={};if(n.name=e.name,n.displayName=s(e.displayName,n.name),n.noThrow=!1,n.maxStack=100,n.start=s(e.start),n.ignoreCase=i(e.ignoreCase,!1),n.lineComment=s(e.lineComment,"//"),n.blockCommentStart=s(e.blockCommentStart,"/*"),n.blockCommentEnd=s(e.blockCommentEnd,"*/"),n.tokenPostfix=s(e.tokenPostfix,"."+n.name),n.defaultToken=s(e.defaultToken,"source",function(){r.throwError(n,"the 'defaultToken' must be a string")}),n.usesEmbedded=!1,n.wordDefinition=e.wordDefinition||void 0,!n.lineComment&&e.lineComments&&("string"==typeof e.lineComments?n.lineComment=e.lineComments:"string"==typeof e.lineComments[0]&&(n.lineComment=e.lineComments[0])),n.suggestSupport={textualCompletions:!0,disableAutoTrigger:!1,triggerCharacters:[],snippets:[]},"undefined"!=typeof e.suggestSupport){var o=e.suggestSupport;if(Array.isArray(o.snippets))for(var a=o.snippets,u=0,c=a.length;c>u;u++)"string"==typeof a[u]?n.suggestSupport.snippets.push({type:"snippet",label:a[u],codeSnippet:a[u]}):n.suggestSupport.snippets.push(a[u]);Array.isArray(o.triggerCharacters)&&(n.suggestSupport.triggerCharacters=o.triggerCharacters),"undefined"!=typeof o.textualCompletions&&(n.suggestSupport.textualCompletions=o.textualCompletions),"undefined"!=typeof o.disableAutoTrigger&&(n.suggestSupport.disableAutoTrigger=o.disableAutoTrigger)}var d=e;d.name=n.name,d.displayName=n.displayName,d.ignoreCase=n.ignoreCase,d.noThrow=n.noThrow,d.usesEmbedded=n.usesEmbedded,d.stateNames=e.tokenizer,d.defaultToken=n.defaultToken,e.tokenizer&&"object"==typeof e.tokenizer||r.throwError(n,"a language definition must define the 'tokenizer' attribute as an object"),n.tokenizer=[];var l;for(l in e.tokenizer)if(e.tokenizer.hasOwnProperty(l)){n.start||(n.start=l);var p=e.tokenizer[l];n.tokenizer[l]=new Array,t("tokenizer."+l,n.tokenizer[l],p)}n.usesEmbedded=d.usesEmbedded,e.brackets?Array.isArray(e.brackets)||r.throwError(n,"the 'brackets' attribute must be defined as an array"):e.brackets=[{open:"{",close:"}",token:"delimiter.curly"},{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"},{open:"<",close:">",token:"delimiter.angle"}];var f=[];for(var m in e.brackets)if(e.brackets.hasOwnProperty(m)){var g=e.brackets[m];g&&Array.isArray(g)&&3===g.length&&(g={token:g[2],open:g[0],close:g[1]}),g.open===g.close&&r.throwError(n,"open and close brackets in a 'brackets' attribute must be different: "+g.open+"\n hint: use the 'bracket' attribute if matching on equal brackets is required."),"string"==typeof g.open&&"string"==typeof g.token?f.push({token:s(g.token)+n.tokenPostfix,open:r.fixCase(n,s(g.open)),close:r.fixCase(n,s(g.close))}):r.throwError(n,"every element in the 'brackets' array must be a '{open,close,token}' object or array")}n.brackets=f;var v;if(e.autoClosingPairs?(Array.isArray(e.autoClosingPairs)||r.throwError(n,"the 'autoClosingPairs' attribute must be an array of string pairs (as arrays)"),v=e.autoClosingPairs.slice(0)):v=[['"','"'],["'","'"],["@brackets"]],n.autoClosingPairs=[],v)for(var _ in v)if(v.hasOwnProperty(_)){var y,k=v[_];if("@brackets"===k||"@brackets"===k[0]){var E;for(E in f)f.hasOwnProperty(E)&&f[E].open&&1===f[E].open.length&&f[E].close&&1===f[E].close.length&&(y={open:f[E].open,close:f[E].close,notIn:["string","comment"]},n.autoClosingPairs.push(y))}else Array.isArray(k)&&2===k.length&&"string"==typeof k[0]&&1===k[0].length&&"string"==typeof k[1]&&1===k[1].length?(y={open:r.fixCase(n,k[0]),close:r.fixCase(n,k[1]),notIn:["string","comment"]},n.autoClosingPairs.push(y)):"string"==typeof k.open&&1===k.open.length&&"string"==typeof k.close&&1===k.close.length?(y={open:r.fixCase(n,k.open[0]),close:r.fixCase(n,k.close[0]),notIn:["string","comment"]},n.autoClosingPairs.push(y)):r.throwError(n,"every element in an 'autoClosingPairs' array must be a pair of 1 character strings, or a '@brackets' directive")}for(var b=[],u=0;u<f.length;++u)b.push([f[u].open,f[u].close]);return n.standardBrackets=b,n.outdentTriggers=s(e.outdentTriggers,""),n.noThrow=!0,n}var h=function(){function e(e){this.regex=new RegExp(""),this.action={token:""},this.matchOnlyAtLineStart=!1,this.name="",this.name=e}return e.prototype.setRegex=function(e,t){var n;"string"==typeof t?n=t:t instanceof RegExp?n=t.source:r.throwError(e,"rules must start with a match string or regular expression: "+this.name),this.matchOnlyAtLineStart=n.length>0&&"^"===n[0],this.name=this.name+": "+n,this.regex=a(e,"^(?:"+(this.matchOnlyAtLineStart?n.substr(1):n)+")")},e.prototype.setAction=function(e,t){this.action=d(e,this.name,t)},e}();t.compile=l}),define("vs/editor/common/modes/supports",["require","exports","vs/base/common/strings","vs/editor/common/core/arrays"],function(e,t,n,r){"use strict";function o(e,t,n){var o=e.modeTransitions;if(1===o.length)return n(o[0].mode,e,t);var i=r.Arrays.findIndexInSegmentsArray(o,t),s=o[i].mode,a=o[i].startIndex,c=e.findIndexOfOffset(a),d=-1,l=-1;i+1<o.length?(l=e.findIndexOfOffset(o[i+1].startIndex),d=e.getTokenStartIndex(l)):(l=e.getTokenCount(),d=e.getLineContent().length);var h=e.getTokenStartIndex(c),p=new u(e,s,c,l,h,d);return n(s,p,t-h)}function i(e,t,r,o){if(void 0===o&&(o=!1),!Array.isArray(r)||0===r.length)return!1;if(e.getLineContent().length<=t)return!1;for(var i=e.findIndexOfOffset(t),s=e.getTokenType(i),a=0,u=r.length;u>a;a++)if(o){if(s.indexOf(r[a])>=0)return!0}else if(n.endsWith(s,r[a]))return!0;return!1}function s(e){return/\b(comment|string|regex)\b/.test(e)}var a=function(){function e(e,t){this.startIndex=e,this.type=t}return e.prototype.toString=function(){return"("+this.startIndex+", "+this.type+")"},e}();t.Token=a,t.handleEvent=o,t.isLineToken=i;var u=function(){function e(e,t,n,r,o,i){this.modeTransitions=[{startIndex:0,mode:t}],this._actual=e,this._firstTokenInModeIndex=n,this._nextTokenAfterMode=r,this._firstTokenCharacterOffset=o,this._nextCharacterAfterModeIndex=i}return e.prototype.getLineContent=function(){var e=this._actual.getLineContent();return e.substring(this._firstTokenCharacterOffset,this._nextCharacterAfterModeIndex)},e.prototype.getTokenCount=function(){return this._nextTokenAfterMode-this._firstTokenInModeIndex},e.prototype.findIndexOfOffset=function(e){return this._actual.findIndexOfOffset(e+this._firstTokenCharacterOffset)-this._firstTokenInModeIndex},e.prototype.getTokenStartIndex=function(e){return this._actual.getTokenStartIndex(e+this._firstTokenInModeIndex)-this._firstTokenCharacterOffset},e.prototype.getTokenEndIndex=function(e){return this._actual.getTokenEndIndex(e+this._firstTokenInModeIndex)-this._firstTokenCharacterOffset},e.prototype.getTokenType=function(e){return this._actual.getTokenType(e+this._firstTokenInModeIndex)},e.prototype.getTokenText=function(e){return this._actual.getTokenText(e+this._firstTokenInModeIndex)},e}();t.FilteredLineContext=u,t.ignoreBracketsInToken=s;var c=function(){function e(){}return e.registerDefaultSnippets=function(e,t){this._defaultSnippets[e]=(this._defaultSnippets[e]||[]).concat(t)},e.registerSnippets=function(e,t,n){var r=this._snippets[e];r||(this._snippets[e]=r={}),r[t]=n},e.getSnippets=function(e,t){var r=e.getWordAtPosition(t),o=r?r.word.substring(0,t.column-r.startColumn):"",i={currentWord:o,suggestions:[]},s=null;if(0===o.length){if(t.column>1){var a=e.getValueInRange({startLineNumber:t.lineNumber,startColumn:t.column-1,endLineNumber:t.lineNumber,endColumn:t.column});if(0!==a.trim().length)return i}}else{var u=o.toLowerCase();s=function(e){return n.startsWith(e.label.toLowerCase(),u)}}var c=e.getMode().getId(),d=[],l=this._snippets[c];if(l)for(var h in l)d=d.concat(l[h]);var p=this._defaultSnippets[c];return p&&(d=d.concat(p)),i.suggestions=s?d.filter(s):d,i},e._defaultSnippets=Object.create(null),e._snippets=Object.create(null),e}();t.SnippetsRegistry=c}),define("vs/editor/common/modes/supports/characterPair",["require","exports","vs/editor/common/modes/supports"],function(e,t,n){"use strict";var r=function(){function e(e,t){this._modeId=e,this._autoClosingPairs=t.autoClosingPairs,this._surroundingPairs=Array.isArray(t.surroundingPairs)?t.surroundingPairs:t.autoClosingPairs}return e.prototype.getAutoClosingPairs=function(){return this._autoClosingPairs},e.prototype.shouldAutoClosePair=function(e,t,r){var o=this;return n.handleEvent(t,r,function(t,n,r){if(o._modeId===t.getId()){if(0===n.getTokenCount())return!0;for(var i=n.findIndexOfOffset(r-1),s=n.getTokenType(i),a=0;a<o._autoClosingPairs.length;++a)if(o._autoClosingPairs[a].open===e){if(o._autoClosingPairs[a].notIn)for(var u=0;u<o._autoClosingPairs[a].notIn.length;++u)if(s.indexOf(o._autoClosingPairs[a].notIn[u])>-1)return!1;break}return!0}return t.richEditSupport&&t.richEditSupport.characterPair?t.richEditSupport.characterPair.shouldAutoClosePair(e,n,r):null})},e.prototype.getSurroundingPairs=function(){return this._surroundingPairs},e}();t.CharacterPairSupport=r}),define("vs/editor/common/modes/supports/declarationSupport",["require","exports","vs/editor/common/modes/supports"],function(e,t,n){"use strict";var r=function(){function e(e,t){this._modeId=e,this.contribution=t}return e.prototype.canFindDeclaration=function(e,t){var r=this;return n.handleEvent(e,t,function(e,t,o){return r._modeId===e.getId()?!Array.isArray(r.contribution.tokens)||r.contribution.tokens.length<1||n.isLineToken(t,o,r.contribution.tokens):e.declarationSupport?e.declarationSupport.canFindDeclaration(t,o):!1})},e.prototype.findDeclaration=function(e,t){return this.contribution.findDeclaration(e,t)},e}();t.DeclarationSupport=r}),define("vs/editor/common/modes/supports/parameterHintsSupport",["require","exports","vs/editor/common/modes/supports"],function(e,t,n){"use strict";var r=function(){function e(e,t){this._modeId=e,this.contribution=t}return e.prototype.getParameterHintsTriggerCharacters=function(){return this.contribution.triggerCharacters},e.prototype.shouldTriggerParameterHints=function(e,t){var r=this;return n.handleEvent(e,t,function(e,t,o){return r._modeId===e.getId()?Array.isArray(r.contribution.excludeTokens)?1===r.contribution.excludeTokens.length&&"*"===r.contribution.excludeTokens[0]?!1:!n.isLineToken(t,o-1,r.contribution.excludeTokens):!0:e.parameterHintsSupport?e.parameterHintsSupport.shouldTriggerParameterHints(t,o):!1})},e.prototype.getParameterHints=function(e,t){return this.contribution.getParameterHints(e,t)},e}();t.ParameterHintsSupport=r}),define("vs/editor/common/modes/supports/referenceSupport",["require","exports","vs/editor/common/modes/supports"],function(e,t,n){"use strict";var r=function(){function e(e,t){this._modeId=e,this.contribution=t}return e.prototype.canFindReferences=function(e,t){var r=this;return n.handleEvent(e,t,function(e,t,o){return r._modeId===e.getId()?!Array.isArray(r.contribution.tokens)||r.contribution.tokens.length<1||n.isLineToken(t,o,r.contribution.tokens):e.referenceSupport?e.referenceSupport.canFindReferences(t,o):!1})},e.prototype.findReferences=function(e,t,n){return this.contribution.findReferences(e,t,n)},e}();t.ReferenceSupport=r}),define("vs/editor/common/modes/supports/richEditBrackets",["require","exports","vs/base/common/strings","vs/editor/common/core/range"],function(e,t,n,r){"use strict";function o(e,t){var n={};return function(r){var o=e(r);return n.hasOwnProperty(o)||(n[o]=t(r)),n[o]}}function i(e){var t="("+e.map(n.escapeRegExpCharacters).join(")|(")+")";return n.createRegExp(t,!0,!1,!1,!1)}function s(e){for(var t="",n=e.length-1;n>=0;n--)t+=e.charAt(n);return t}var a=function(){function e(e,t){var n=this;this.brackets=t.map(function(t){return{modeId:e,open:t[0],close:t[1],forwardRegex:u({open:t[0],close:t[1]}),reversedRegex:c({open:t[0],close:t[1]})}}),this.forwardRegex=d(this.brackets),this.reversedRegex=l(this.brackets),this.textIsBracket={},this.textIsOpenBracket={},this.maxBracketLength=0,this.brackets.forEach(function(e){n.textIsBracket[e.open]=e,n.textIsBracket[e.close]=e,n.textIsOpenBracket[e.open]=!0,n.textIsOpenBracket[e.close]=!1,n.maxBracketLength=Math.max(n.maxBracketLength,e.open.length),n.maxBracketLength=Math.max(n.maxBracketLength,e.close.length)})}return e}();t.RichEditBrackets=a;var u=o(function(e){return e.open+";"+e.close},function(e){return i([e.open,e.close])}),c=o(function(e){return e.open+";"+e.close},function(e){return i([s(e.open),s(e.close)])}),d=o(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(e.open),t.push(e.close)}),i(t)}),l=o(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(s(e.open)),t.push(s(e.close))}),i(t)}),h=function(){function e(){}return e._findPrevBracketInText=function(e,t,n,o){var i=n.match(e);if(!i)return null;var s=n.length-i.index,a=i[0].length,u=o+s;return new r.Range(t,u-a+1,t,u+1)},e.findPrevBracketInToken=function(e,t,n,r,o){for(var i="",s=o-1;s>=r;s--)i+=n.charAt(s);return this._findPrevBracketInText(e,t,i,r)},e.findNextBracketInText=function(e,t,n,o){var i=n.match(e);if(!i)return null;var s=i.index,a=i[0].length,u=o+s;return new r.Range(t,u+1,t,u+1+a)},e.findNextBracketInToken=function(e,t,n,r,o){var i=n.substring(r,o);return this.findNextBracketInText(e,t,i,r)},e}();t.BracketsUtils=h}),define("vs/editor/common/modes/supports/electricCharacter",["require","exports","vs/base/common/strings","vs/editor/common/modes/supports","vs/editor/common/modes/supports/richEditBrackets"],function(e,t,n,r,o){"use strict";var i=function(){function e(e,t,n){this._modeId=e,this.contribution=n||{},this.brackets=new s(e,t,this.contribution.docComment,this.contribution.caseInsensitive)}return e.prototype.getElectricCharacters=function(){return Array.isArray(this.contribution.embeddedElectricCharacters)?this.contribution.embeddedElectricCharacters.concat(this.brackets.getElectricCharacters()):this.brackets.getElectricCharacters()},e.prototype.onElectricCharacter=function(e,t){var n=this;return r.handleEvent(e,t,function(e,t,r){return n._modeId===e.getId()?n.brackets.onElectricCharacter(t,r):e.richEditSupport&&e.richEditSupport.electricCharacter?e.richEditSupport.electricCharacter.onElectricCharacter(t,r):null})},e}();t.BracketElectricCharacterSupport=i;var s=function(){function e(e,t,n,r){void 0===n&&(n=null),void 0===r&&(r=!1),this._modeId=e,this._richEditBrackets=t,this._docComment=n?n:null}return e.prototype.getElectricCharacters=function(){var e=[];if(this._richEditBrackets)for(var t=0,n=this._richEditBrackets.brackets.length;n>t;t++){var r=this._richEditBrackets.brackets[t],o=r.close.charAt(r.close.length-1);e.push(o)}return this._docComment&&e.push(this._docComment.open.charAt(this._docComment.open.length-1)),e=e.filter(function(e,t,n){return n.indexOf(e)===t})},e.prototype.onElectricCharacter=function(e,t){return 0===e.getTokenCount()?null:this._onElectricCharacterDocComment(e,t)||this._onElectricCharacterStandardBrackets(e,t)},e.prototype.containsTokenTypes=function(e,t){for(var n=t.split("."),r=0;r<n.length;++r)if(e.indexOf(n[r])<0)return!1;return!0},e.prototype._onElectricCharacterStandardBrackets=function(e,t){if(!this._richEditBrackets||0===this._richEditBrackets.brackets.length)return null;var i=this._richEditBrackets.reversedRegex,s=e.getLineContent(),a=e.findIndexOfOffset(t),u=e.getTokenStartIndex(a),c=t+1,d=n.firstNonWhitespaceIndex(e.getLineContent());if(-1!==d&&u>d)return null;if(!r.ignoreBracketsInToken(e.getTokenType(a))){var l=o.BracketsUtils.findPrevBracketInToken(i,1,s,u,c);if(l){var h=s.substring(l.startColumn-1,l.endColumn-1),p=this._richEditBrackets.textIsOpenBracket[h];if(!p)return{matchOpenBracket:h}}}return null},e.prototype._onElectricCharacterDocComment=function(e,t){if(!this._docComment||!this._docComment.close)return null;var n=e.getLineContent(),r=n[t];if(r!==this._docComment.open.charAt(this._docComment.open.length-1))return null;if(n.indexOf(this._docComment.close,t)>=0)return null;var o=e.findIndexOfOffset(t);return this.containsTokenTypes(e.getTokenType(o),this._docComment.scope)?n.substring(e.getTokenStartIndex(o),t+1)!==this._docComment.open?null:{appendText:this._docComment.close}:null},e}();t.Brackets=s}),define("vs/editor/common/viewModel/prefixSumComputer",["require","exports"],function(e,t){"use strict";var n=function(){function e(e){this.values=e,this.prefixSum=[];for(var t=0,n=this.values.length;n>t;t++)this.prefixSum[t]=0;this.prefixSumValidIndex=-1}return e.prototype.getCount=function(){return this.values.length},e.prototype.insertValue=function(e,t){this.values.splice(e,0,t),this.prefixSum.splice(e,0,0),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.insertValues=function(t,n){0!==n.length&&(this.values=this.values.slice(0,t).concat(n).concat(this.values.slice(t)),this.prefixSum=this.prefixSum.slice(0,t).concat(e._zeroArray(n.length)).concat(this.prefixSum.slice(t)),t-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=t-1))},e._zeroArray=function(e){for(var t=new Array(e),n=0;e>n;n++)t[n]=0;return t},e.prototype.changeValue=function(e,t){this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1))},e.prototype.removeValues=function(e,t){this.values.splice(e,t),this.prefixSum.splice(e,t),e-1<this.prefixSumValidIndex&&(this.prefixSumValidIndex=e-1)},e.prototype.getTotalValue=function(){return 0===this.values.length?0:this.getAccumulatedValue(this.values.length-1)},e.prototype.getAccumulatedValue=function(e){if(0>e)return 0;if(e<=this.prefixSumValidIndex)return this.prefixSum[e];var t=this.prefixSumValidIndex+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(var n=t;e>=n;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex=Math.max(this.prefixSumValidIndex,e),this.prefixSum[e]},e.prototype.getIndexOf=function(e,t){for(var n,r,o,i=0,s=this.values.length-1;s>=i;)if(n=i+(s-i)/2|0,o=this.getAccumulatedValue(n),r=o-this.values[n],r>e)s=n-1;else{if(!(e>=o))break;i=n+1}t.index=n,t.remainder=e-r},e}();t.PrefixSumComputer=n}),define("vs/base/common/callbackList",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var r=function(){function e(){}return e.prototype.add=function(e,t,n){var r=this;void 0===t&&(t=null),this._callbacks||(this._callbacks=[],this._contexts=[]),this._callbacks.push(e),this._contexts.push(t),Array.isArray(n)&&n.push({dispose:function(){return r.remove(e,t)}})},e.prototype.remove=function(e,t){if(void 0===t&&(t=null),this._callbacks){for(var n=!1,r=0,o=this._callbacks.length;o>r;r++)if(this._callbacks[r]===e){if(this._contexts[r]===t)return this._callbacks.splice(r,1),void this._contexts.splice(r,1);n=!0}if(n)throw new Error("When adding a listener with a context, you should remove it with the same context")}},e.prototype.invoke=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];if(this._callbacks){for(var r=[],o=this._callbacks.slice(0),i=this._contexts.slice(0),s=0,a=o.length;a>s;s++)try{r.push(o[s].apply(i[s],e))}catch(u){n.onUnexpectedError(u)}return r}},e.prototype.isEmpty=function(){return!this._callbacks||0===this._callbacks.length},e.prototype.dispose=function(){this._callbacks=void 0,this._contexts=void 0},e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=r}),define("vs/base/common/event",["require","exports","vs/base/common/callbackList"],function(e,t,n){"use strict";function r(e,t){return function(n,r,o){var i=e.addListener2(t,function(){n.apply(r,arguments)});return Array.isArray(o)&&o.push(i),i}}function o(e,t){return function(n,r,o){return e(function(e){return n(t(e))},r,o)}}var i;!function(e){var t={dispose:function(){}};e.None=function(){return t}}(i||(i={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=i;var s=function(){function e(e){this._options=e}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(r,o,i){t._callbacks||(t._callbacks=new n["default"]),t._options&&t._options.onFirstListenerAdd&&t._callbacks.isEmpty()&&t._options.onFirstListenerAdd(t),t._callbacks.add(r,o);var s;return s={dispose:function(){s.dispose=e._noop,t._disposed||(t._callbacks.remove(r,o),t._options&&t._options.onLastListenerRemove&&t._callbacks.isEmpty()&&t._options.onLastListenerRemove(t))}},Array.isArray(i)&&i.push(s),s}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){this._callbacks&&this._callbacks.invoke.call(this._callbacks,e)},e.prototype.dispose=function(){this._callbacks&&(this._callbacks.dispose(),this._callbacks=void 0,this._disposed=!0)},e._noop=function(){},e}();t.Emitter=s,t.fromEventEmitter=r,t.mapEvent=o;var a;!function(e){e[e.Idle=0]="Idle",e[e.Running=1]="Running"}(a||(a={}));var u=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,r,o){return e(function(e){var o=t.buffers[t.buffers.length-1];o?o.push(function(){return n.call(r,e)}):n.call(r,e)},void 0,o)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t),e(),this.buffers.pop(),t.forEach(function(e){return e()})},e}();t.EventBufferer=u}),define("vs/base/common/cancellation",["require","exports","vs/base/common/event"],function(e,t,n){"use strict";var r;!function(e){e.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n["default"].None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n["default"].None})}(r=t.CancellationToken||(t.CancellationToken={}));var o=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}}),i=function(){function e(){this._isCancelled=!1}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this._emitter=void 0))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?o:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new i),this._token},enumerable:!0,configurable:!0}),e.prototype.cancel=function(){this._token?this._token.cancel():this._token=r.Cancelled},e.prototype.dispose=function(){this.cancel()},e}();t.CancellationTokenSource=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/eventEmitter",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var r=function(){function e(e,t,n){void 0===n&&(n=null),this._type=e,this._data=t,this._emitterType=n}return e.prototype.getType=function(){return this._type},e.prototype.getData=function(){return this._data},e.prototype.getEmitterType=function(){return this._emitterType},e}();t.EmitterEvent=r;var o=function(){function e(e){if(void 0===e&&(e=null),this._listeners={},this._bulkListeners=[],this._collectedEvents=[],this._deferredCnt=0,e){this._allowedEventTypes={};for(var t=0;t<e.length;t++)this._allowedEventTypes[e[t]]=!0}else this._allowedEventTypes=null}return e.prototype.dispose=function(){this._listeners={},this._bulkListeners=[],this._collectedEvents=[],this._deferredCnt=0,this._allowedEventTypes=null},e.prototype.addListener=function(e,t){if("*"===e)throw new Error("Use addBulkListener(listener) to register your listener!");if(this._allowedEventTypes&&!this._allowedEventTypes.hasOwnProperty(e))throw new Error("This object will never emit this event type!");this._listeners.hasOwnProperty(e)?this._listeners[e].push(t):this._listeners[e]=[t];var n=this;return function(){n&&(n._removeListener(e,t),n=null,t=null)}},e.prototype.addListener2=function(e,t){var n=this.addListener(e,t);return{dispose:n}},e.prototype.on=function(e,t){return this.addListener(e,t)},e.prototype.addOneTimeListener=function(e,t){var n=this.addListener(e,function(e){n(),t(e)});return n},e.prototype.addOneTimeDisposableListener=function(e,t){var n=this.addOneTimeListener(e,t);return{dispose:n}},e.prototype.addBulkListener=function(e){var t=this;return this._bulkListeners.push(e),function(){t._removeBulkListener(e)}},e.prototype.addBulkListener2=function(e){var t=this.addBulkListener(e);return{dispose:t}},e.prototype.addEmitter=function(e,t){var n=this;return void 0===t&&(t=null),e.addBulkListener(function(e){var o=e;if(t){o=[];for(var i=0,s=e.length;s>i;i++)o.push(new r(e[i].getType(),e[i].getData(),t))}0===n._deferredCnt?n._emitEvents(o):n._collectedEvents.push.apply(n._collectedEvents,o)})},e.prototype.addEmitter2=function(e,t){var n=this.addEmitter(e,t);return{dispose:n}},e.prototype.addEmitterTypeListener=function(e,t,n){if(t){if("*"===e)throw new Error("Bulk listeners cannot specify an emitter type");return this.addListener(e+"/"+t,n)}return this.addListener(e,n)},e.prototype._removeListener=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e],r=0,o=n.length;o>r;r++)if(n[r]===t){n.splice(r,1);break}},e.prototype._removeBulkListener=function(e){for(var t=0,n=this._bulkListeners.length;n>t;t++)if(this._bulkListeners[t]===e){this._bulkListeners.splice(t,1);break}},e.prototype._emitToSpecificTypeListeners=function(e,t){if(this._listeners.hasOwnProperty(e))for(var r=this._listeners[e].slice(0),o=0,i=r.length;i>o;o++)try{r[o](t)}catch(s){n.onUnexpectedError(s)}},e.prototype._emitToBulkListeners=function(e){for(var t=this._bulkListeners.slice(0),r=0,o=t.length;o>r;r++)try{t[r](e)}catch(i){n.onUnexpectedError(i)}},e.prototype._emitEvents=function(e){this._bulkListeners.length>0&&this._emitToBulkListeners(e);for(var t=0,n=e.length;n>t;t++){var r=e[t];this._emitToSpecificTypeListeners(r.getType(),r.getData()),r.getEmitterType()&&this._emitToSpecificTypeListeners(r.getType()+"/"+r.getEmitterType(),r.getData())}},e.prototype.emit=function(e,t){if(void 0===t&&(t={}),this._allowedEventTypes&&!this._allowedEventTypes.hasOwnProperty(e))throw new Error("Cannot emit this event type because it wasn't white-listed!");
if(this._listeners.hasOwnProperty(e)||0!==this._bulkListeners.length){var n=new r(e,t);0===this._deferredCnt?this._emitEvents([n]):this._collectedEvents.push(n)}},e.prototype.deferredEmit=function(e){this._deferredCnt=this._deferredCnt+1;var t=null;try{t=e()}catch(r){n.onUnexpectedError(r)}return this._deferredCnt=this._deferredCnt-1,0===this._deferredCnt&&this._emitCollected(),t},e.prototype._emitCollected=function(){var e=this._collectedEvents;this._collectedEvents=[],e.length>0&&this._emitEvents(e)},e}();t.EventEmitter=o;var i=function(){function e(e,t){this.target=e,this.arg=t}return e}(),s=function(e){function t(t){void 0===t&&(t=null),e.call(this,t),this._emitQueue=[]}return __extends(t,e),t.prototype._emitToSpecificTypeListeners=function(e,t){if(this._listeners.hasOwnProperty(e))for(var n=this._listeners[e],r=0,o=n.length;o>r;r++)this._emitQueue.push(new i(n[r],t))},t.prototype._emitToBulkListeners=function(e){for(var t=this._bulkListeners,n=0,r=t.length;r>n;n++)this._emitQueue.push(new i(t[n],e))},t.prototype._emitEvents=function(t){for(e.prototype._emitEvents.call(this,t);this._emitQueue.length>0;){var r=this._emitQueue.shift();try{r.target(r.arg)}catch(o){n.onUnexpectedError(o)}}},t}(o);t.OrderGuaranteeEventEmitter=s}),define("vs/base/common/timer",["require","exports","vs/base/common/platform","vs/base/common/errors","vs/base/common/stopwatch"],function(e,t,n,r,o){"use strict";function i(e,t,n,r){return h.start(e,t,n,r)}function s(){return h}t.ENABLE_TIMER=!1;var a=n.globals.msWriteProfilerMark;!function(e){e[e.EDITOR=0]="EDITOR",e[e.LANGUAGES=1]="LANGUAGES",e[e.WORKER=2]="WORKER",e[e.WORKBENCH=3]="WORKBENCH",e[e.STARTUP=4]="STARTUP"}(t.Topic||(t.Topic={}));var u=t.Topic,c=function(){function e(){}return e.prototype.stop=function(){},e.prototype.timeTaken=function(){return-1},e}(),d=function(){function e(e,t,n,r,i){if(this.timeKeeper=e,this.name=t,this.description=i,this.topic=n,this.stopTime=null,r)return void(this.startTime=r);if(this.startTime=new Date,this.sw=o.StopWatch.create(),a){var s=["Monaco",this.topic,this.name,"start"];a(s.join("|"))}}return e.prototype.stop=function(e){if(null===this.stopTime){if(e)return this.stopTime=e,this.sw=null,void this.timeKeeper._onEventStopped(this);if(this.stopTime=new Date,this.sw&&this.sw.stop(),this.timeKeeper._onEventStopped(this),a){var t=["Monaco",this.topic,this.name,"stop"];a(t.join("|"))}}},e.prototype.timeTaken=function(){return this.sw?this.sw.elapsed():this.stopTime?this.stopTime.getTime()-this.startTime.getTime():-1},e}(),l=function(){function e(){this.cleaningIntervalId=-1,this.collectedEvents=[],this.listeners=[]}return e.prototype.isEnabled=function(){return t.ENABLE_TIMER},e.prototype.start=function(e,n,r,o){if(!this.isEnabled())return t.nullEvent;var i;"string"==typeof e?i=e:e===u.EDITOR?i="Editor":e===u.LANGUAGES?i="Languages":e===u.WORKER?i="Worker":e===u.WORKBENCH?i="Workbench":e===u.STARTUP&&(i="Startup"),this.initAutoCleaning();var s=new d(this,n,i,r,o);return this.addEvent(s),s},e.prototype.dispose=function(){-1!==this.cleaningIntervalId&&(n.clearInterval(this.cleaningIntervalId),this.cleaningIntervalId=-1)},e.prototype.addListener=function(e){this.listeners.push(e)},e.prototype.removeListener=function(e){for(var t=0;t<this.listeners.length;t++)if(this.listeners[t]===e)return void this.listeners.splice(t,1)},e.prototype.addEvent=function(t){t.id=e.EVENT_ID,e.EVENT_ID++,this.collectedEvents.push(t),this.collectedEvents.length>e._EVENT_CACHE_LIMIT&&this.collectedEvents.shift()},e.prototype.initAutoCleaning=function(){var t=this;-1===this.cleaningIntervalId&&(this.cleaningIntervalId=n.setInterval(function(){var n=Date.now();t.collectedEvents.forEach(function(t){!t.stopTime&&n-t.startTime.getTime()>=e._MAX_TIMER_LENGTH&&t.stop()})},e._CLEAN_UP_INTERVAL))},e.prototype.getCollectedEvents=function(){return this.collectedEvents.slice(0)},e.prototype.clearCollectedEvents=function(){this.collectedEvents=[]},e.prototype._onEventStopped=function(e){for(var t=[e],n=this.listeners.slice(0),o=0;o<n.length;o++)try{n[o](t)}catch(i){r.onUnexpectedError(i)}},e.prototype.setInitialCollectedEvents=function(t,n){var r=this;this.isEnabled()&&(n&&(e.PARSE_TIME=n),t.forEach(function(e){var t=new d(r,e.name,e.topic,e.startTime,e.description);t.stop(e.stopTime),r.addEvent(t)}))},e._MAX_TIMER_LENGTH=6e4,e._CLEAN_UP_INTERVAL=12e4,e._EVENT_CACHE_LIMIT=1e3,e.EVENT_ID=1,e.PARSE_TIME=new Date,e}();t.TimeKeeper=l;var h=new l;t.nullEvent=new c,t.start=i,t.getTimeKeeper=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/base/common/async",["require","exports","vs/base/common/errors","vs/base/common/winjs.base","vs/base/common/platform","vs/base/common/cancellation","vs/base/common/lifecycle"],function(e,t,n,r,o,i,s){"use strict";function a(e){return e&&"function"==typeof e.then}function u(e){var t=new i.CancellationTokenSource;return new r.TPromise(function(n,r){var o=e(t.token);a(o)?o.then(n,r):n(o)},function(){t.cancel()})}function c(e,t){return new r.TPromise(function(r,o,i){e.done(function(e){try{t(e)}catch(o){n.onUnexpectedError(o)}r(e)},function(e){try{t(e)}catch(r){n.onUnexpectedError(r)}o(e)},function(e){i(e)})},function(){e.cancel()})}function d(e){function t(){return e.length?e.pop()():null}function n(e){e&&o.push(e);var i=t();return i?i.then(n):r.TPromise.as(o)}var o=[];return e=e.reverse(),r.TPromise.as(null).then(n)}function l(e){var t,n=this,r=!1;return function(){return r?t:(r=!0,t=e.apply(n,arguments))}}function h(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new r.Promise(function(n,r){return e.apply(void 0,t.concat([function(e,t){return e?r(e):n(t)}]))})}function p(e,t){for(var n=[],o=2;o<arguments.length;o++)n[o-2]=arguments[o];return new r.Promise(function(r,o){return t.call.apply(t,[e].concat(n,[function(e,t){return e?o(e):r(t)}]))})}t.asWinJsPromise=u;var f=function(){function e(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}return e.prototype.queue=function(e){var t=this;if(this.activePromise){if(this.queuedPromiseFactory=e,!this.queuedPromise){var n=function(){t.queuedPromise=null;var e=t.queue(t.queuedPromiseFactory);return t.queuedPromiseFactory=null,e};this.queuedPromise=new r.Promise(function(e,r,o){t.activePromise.then(n,n,o).done(e)},function(){t.activePromise.cancel()})}return new r.Promise(function(e,n,r){t.queuedPromise.then(e,n,r)},function(){})}return this.activePromise=e(),new r.Promise(function(e,n,r){t.activePromise.done(function(n){t.activePromise=null,e(n)},function(e){t.activePromise=null,n(e)},r)},function(){t.activePromise.cancel()})},e}();t.Throttler=f;var m=function(){function e(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.onSuccess=null,this.task=null}return e.prototype.trigger=function(e,t){var n=this;return void 0===t&&(t=this.defaultDelay),this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new r.Promise(function(e){n.onSuccess=e},function(){}).then(function(){n.completionPromise=null,n.onSuccess=null;var e=n.task;return n.task=null,e()})),this.timeout=setTimeout(function(){n.timeout=null,n.onSuccess(null)},t),this.completionPromise},e.prototype.isTriggered=function(){return null!==this.timeout},e.prototype.cancel=function(){this.cancelTimeout(),this.completionPromise&&(this.completionPromise.cancel(),this.completionPromise=null)},e.prototype.cancelTimeout=function(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e}();t.Delayer=m;var g=function(e){function t(t){e.call(this,t),this.throttler=new f}return __extends(t,e),t.prototype.trigger=function(t,n){var r=this;return e.prototype.trigger.call(this,function(){return r.throttler.queue(t)},n)},t}(m);t.ThrottledDelayer=g;var v=function(e){function t(t,n){void 0===n&&(n=0),e.call(this,t),this.minimumPeriod=n,this.periodThrottler=new f}return __extends(t,e),t.prototype.trigger=function(t,n){var o=this;return e.prototype.trigger.call(this,function(){return o.periodThrottler.queue(function(){return r.Promise.join([r.TPromise.timeout(o.minimumPeriod),t()]).then(function(e){return e[1]})})},n)},t}(g);t.PeriodThrottledDelayer=v;var _=function(){function e(){var e=this;this._value=new r.TPromise(function(t,n){e._completeCallback=t,e._errorCallback=n})}return Object.defineProperty(e.prototype,"value",{get:function(){return this._value},enumerable:!0,configurable:!0}),e.prototype.complete=function(e){this._completeCallback(e)},e.prototype.error=function(e){this._errorCallback(e)},e}();t.PromiseSource=_;var y=function(e){function t(t){var r,o,i;e.call(this,function(e,t,n){r=e,o=t,i=n},function(){o(n.canceled())}),t.then(r,o,i)}return __extends(t,e),t}(r.TPromise);t.ShallowCancelThenPromise=y,t.always=c,t.sequence=d,t.once=l;var k=function(){function e(e){this.maxDegreeOfParalellism=e,this.outstandingPromises=[],this.runningPromises=0}return e.prototype.queue=function(e){var t=this;return new r.TPromise(function(n,r,o){t.outstandingPromises.push({factory:e,c:n,e:r,p:o}),t.consume()})},e.prototype.consume=function(){for(var e=this;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){var t=this.outstandingPromises.shift();this.runningPromises++;var n=t.factory();n.done(t.c,t.e,t.p),n.done(function(){return e.consumed()},function(){return e.consumed()})}},e.prototype.consumed=function(){this.runningPromises--,this.consume()},e}();t.Limiter=k;var E=function(e){function t(){e.call(this),this._token=-1}return __extends(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(o.clearTimeout(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){var n=this;this.cancel(),this._token=o.setTimeout(function(){n._token=-1,e()},t)},t.prototype.setIfNotSet=function(e,t){var n=this;-1===this._token&&(this._token=o.setTimeout(function(){n._token=-1,e()},t))},t}(s.Disposable);t.TimeoutTimer=E;var b=function(e){function t(){e.call(this),this._token=-1}return __extends(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(o.clearInterval(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){this.cancel(),this._token=o.setInterval(function(){e()},t)},t}(s.Disposable);t.IntervalTimer=b;var S=function(){function e(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}return e.prototype.dispose=function(){this.cancel(),this.runner=null},e.prototype.cancel=function(){this.isScheduled()&&(o.clearTimeout(this.timeoutToken),this.timeoutToken=-1)},e.prototype.setRunner=function(e){this.runner=e},e.prototype.setTimeout=function(e){this.timeout=e},e.prototype.schedule=function(){this.cancel(),this.timeoutToken=o.setTimeout(this.timeoutHandler,this.timeout)},e.prototype.isScheduled=function(){return-1!==this.timeoutToken},e.prototype.onTimeout=function(){this.timeoutToken=-1,this.runner&&this.runner()},e}();t.RunOnceScheduler=S,t.nfcall=h,t.ninvoke=p}),define("vs/editor/common/model/editStack",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var r=function(){function e(e){this.model=e,this.currentOpenStackElement=null,this.past=[],this.future=[]}return e.prototype.pushStackElement=function(){null!==this.currentOpenStackElement&&(this.past.push(this.currentOpenStackElement),this.currentOpenStackElement=null)},e.prototype.clear=function(){this.currentOpenStackElement=null,this.past=[],this.future=[]},e.prototype.pushEditOperation=function(e,t,r){this.future=[],this.currentOpenStackElement||(this.currentOpenStackElement={beforeVersionId:this.model.getAlternativeVersionId(),beforeCursorState:e,editOperations:[],afterCursorState:null,afterVersionId:-1});var o={operations:this.model.applyEdits(t)};this.currentOpenStackElement.editOperations.push(o);try{this.currentOpenStackElement.afterCursorState=r?r(o.operations):null}catch(i){n.onUnexpectedError(i),this.currentOpenStackElement.afterCursorState=null}return this.currentOpenStackElement.afterVersionId=this.model.getVersionId(),this.currentOpenStackElement.afterCursorState},e.prototype.undo=function(){if(this.pushStackElement(),this.past.length>0){var e=this.past.pop();try{for(var t=e.editOperations.length-1;t>=0;t--)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(n){return this.clear(),null}return this.future.push(e),{selections:e.beforeCursorState,recordedVersionId:e.beforeVersionId}}return null},e.prototype.redo=function(){if(this.future.length>0){if(this.currentOpenStackElement)throw new Error("How is this possible?");var e=this.future.pop();try{for(var t=0;t<e.editOperations.length;t++)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(n){return this.clear(),null}return this.past.push(e),{selections:e.afterCursorState,recordedVersionId:e.afterVersionId}}return null},e}();t.EditStack=r}),define("vs/editor/common/model/tokensBinaryEncoding",["require","exports","vs/base/common/errors","vs/base/common/strings"],function(e,t,n,r){"use strict";function o(e,r){if(0===r.length)return m;if(1===r.length&&0===r[0].startIndex&&!r[0].type)return v;var o,i,s,a,u,c=e._inflate,d=e._deflate,l=-1,h=new Array(r.length);for(o=0,i=r.length;i>o;o++)u=r[o],u.startIndex<=l&&(u.startIndex=l+1,n.onUnexpectedError({message:"Invalid tokens detected",tokens:r})),d.hasOwnProperty(u.type)?s=d[u.type]:(s=c.length,d[u.type]=s,c.push(u.type)),a=s*t.TYPE_OFFSET+u.startIndex*t.START_INDEX_OFFSET,h[o]=a,l=u.startIndex;return h}function i(e,n){if(0===n)return p;var r=n/t.START_INDEX_OFFSET&t.START_INDEX_MASK,o=n/t.TYPE_OFFSET&t.TYPE_MASK;return new h(r,e._inflate[o])}function s(e){return e/t.START_INDEX_OFFSET&t.START_INDEX_MASK}function a(e,n){var o=n/t.TYPE_OFFSET&t.TYPE_MASK;return 0===o?r.empty:e._inflate[o]}function u(e,n){if(0===n.length)return f;if(1===n.length&&0===n[0])return g;var r,o,i,s,a,u=new Array(n.length),c=e._inflate;for(r=0,o=n.length;o>r;r++)i=n[r],s=i/t.START_INDEX_OFFSET&t.START_INDEX_MASK,a=i/t.TYPE_OFFSET&t.TYPE_MASK,u[r]=new h(s,c[a]);return u}function c(e,t){return l(e,t)}function d(e,n,r,o,i){if(0===n.length)return f;if(1===n.length&&0===n[0])return g;var s,a,u,c,d,p,m=l(n,r),v=[],_=e._inflate;for(u=n[m],p=u/t.TYPE_OFFSET&t.TYPE_MASK,d=0,v.push(new h(d,_[p])),s=m+1,a=n.length;a>s&&(u=n[s],c=u/t.START_INDEX_OFFSET&t.START_INDEX_MASK,!(c>=o));s++)p=u/t.TYPE_OFFSET&t.TYPE_MASK,d=c-r+i,v.push(new h(d,_[p]));return v}function l(e,t){for(var n,r,o=0,i=e.length-1;i>o;)n=o+Math.ceil((i-o)/2),r=4294967295&e[n],r>t?i=n-1:o=n;return o}var h=function(){function e(e,t){this.startIndex=e,this.type=t}return e.prototype.toString=function(){return"{ "+this.startIndex+", '"+this.type+"'}"},e}();t.START_INDEX_MASK=4294967295,t.TYPE_MASK=65535,t.START_INDEX_OFFSET=1,t.TYPE_OFFSET=Math.pow(2,32);var p={startIndex:0,type:""},f=[],m=[],g=[p],v=[0];t.deflateArr=o,t.inflate=i,t.getStartIndex=s,t.getType=a,t.inflateArr=u,t.findIndexOfOffset=c,t.sliceAndInflate=d,t.findIndexInSegmentsArray=l}),define("vs/editor/common/editorCommon",["require","exports","vs/editor/common/model/tokensBinaryEncoding"],function(e,t,n){"use strict";function r(e){return"indent"===e?s.Indent:"same"===e?s.Same:s.None}function o(e){return"line"===e?u.Line:"block"===e?u.Block:"underline"===e?u.Underline:u.Line}function i(e){if(e===u.Line)return"line";if(e===u.Block)return"block";if(e===u.Underline)return"underline";throw new Error("cursorStyleToString: Unknown cursorStyle")}!function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(t.SelectionDirection||(t.SelectionDirection={}));t.SelectionDirection;!function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent"}(t.WrappingIndent||(t.WrappingIndent={}));var s=t.WrappingIndent;t.wrappingIndentFromString=r,function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));t.OverviewRulerLane;!function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={}));t.EndOfLinePreference;!function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={}));t.DefaultEndOfLine;!function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));t.EndOfLineSequence;t.LineTokensBinaryEncoding=n,function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));t.TrackedRangeStickiness;!function(e){e[e.Simple=0]="Simple",e[e.Center=1]="Center",e[e.CenterIfOutsideViewport=2]="CenterIfOutsideViewport"}(t.VerticalRevealType||(t.VerticalRevealType={}));t.VerticalRevealType;!function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET"}(t.MouseTargetType||(t.MouseTargetType={}));t.MouseTargetType;t.KEYBINDING_CONTEXT_EDITOR_TEXT_FOCUS="editorTextFocus",t.KEYBINDING_CONTEXT_EDITOR_FOCUS="editorFocus",t.KEYBINDING_CONTEXT_EDITOR_TAB_MOVES_FOCUS="editorTabMovesFocus",t.KEYBINDING_CONTEXT_EDITOR_HAS_MULTIPLE_SELECTIONS="editorHasMultipleSelections",t.KEYBINDING_CONTEXT_EDITOR_HAS_NON_EMPTY_SELECTION="editorHasSelection",t.KEYBINDING_CONTEXT_EDITOR_LANGUAGE_ID="editorLangId",t.SHOW_ACCESSIBILITY_HELP_ACTION_ID="editor.action.showAccessibilityHelp",t.ViewEventNames={ModelFlushedEvent:"modelFlushedEvent",LinesDeletedEvent:"linesDeletedEvent",LinesInsertedEvent:"linesInsertedEvent",LineChangedEvent:"lineChangedEvent",TokensChangedEvent:"tokensChangedEvent",DecorationsChangedEvent:"decorationsChangedEvent",CursorPositionChangedEvent:"cursorPositionChangedEvent",CursorSelectionChangedEvent:"cursorSelectionChangedEvent",RevealRangeEvent:"revealRangeEvent",LineMappingChangedEvent:"lineMappingChangedEvent",ScrollRequestEvent:"scrollRequestEvent"},function(e){e[e.Value=0]="Value",e[e.Selection=1]="Selection",e[e.Position=2]="Position",e[e.Scroll=3]="Scroll"}(t.CodeEditorStateFlag||(t.CodeEditorStateFlag={}));t.CodeEditorStateFlag;t.EditorType={ICodeEditor:"vs.editor.ICodeEditor",IDiffEditor:"vs.editor.IDiffEditor"},t.ClassName={EditorWarningDecoration:"greensquiggly",EditorErrorDecoration:"redsquiggly"},t.EventType={Disposed:"disposed",ConfigurationChanged:"configurationChanged",ModelDispose:"modelDispose",ModelChanged:"modelChanged",ModelTokensChanged:"modelTokensChanged",ModelModeChanged:"modelsModeChanged",ModelModeSupportChanged:"modelsModeSupportChanged",ModelOptionsChanged:"modelOptionsChanged",ModelContentChanged:"contentChanged",ModelContentChanged2:"contentChanged2",ModelContentChangedFlush:"flush",ModelContentChangedLinesDeleted:"linesDeleted",ModelContentChangedLinesInserted:"linesInserted",ModelContentChangedLineChanged:"lineChanged",EditorTextBlur:"blur",EditorTextFocus:"focus",EditorFocus:"widgetFocus",EditorBlur:"widgetBlur",ModelDecorationsChanged:"decorationsChanged",CursorPositionChanged:"positionChanged",CursorSelectionChanged:"selectionChanged",CursorRevealRange:"revealRange",CursorScrollRequest:"scrollRequest",ViewFocusGained:"focusGained",ViewFocusLost:"focusLost",ViewFocusChanged:"focusChanged",ViewScrollWidthChanged:"scrollWidthChanged",ViewScrollHeightChanged:"scrollHeightChanged",ViewScrollChanged:"scrollChanged",ViewZonesChanged:"zonesChanged",ViewLayoutChanged:"viewLayoutChanged",ContextMenu:"contextMenu",MouseDown:"mousedown",MouseUp:"mouseup",MouseMove:"mousemove",MouseLeave:"mouseleave",KeyDown:"keydown",KeyUp:"keyup",EditorLayout:"editorLayout",DiffUpdated:"diffUpdated"},t.Handler={ExecuteCommand:"executeCommand",ExecuteCommands:"executeCommands",CursorLeft:"cursorLeft",CursorLeftSelect:"cursorLeftSelect",CursorWordLeft:"cursorWordLeft",CursorWordStartLeft:"cursorWordStartLeft",CursorWordEndLeft:"cursorWordEndLeft",CursorWordLeftSelect:"cursorWordLeftSelect",CursorWordStartLeftSelect:"cursorWordStartLeftSelect",CursorWordEndLeftSelect:"cursorWordEndLeftSelect",CursorRight:"cursorRight",CursorRightSelect:"cursorRightSelect",CursorWordRight:"cursorWordRight",CursorWordStartRight:"cursorWordStartRight",CursorWordEndRight:"cursorWordEndRight",CursorWordRightSelect:"cursorWordRightSelect",CursorWordStartRightSelect:"cursorWordStartRightSelect",CursorWordEndRightSelect:"cursorWordEndRightSelect",CursorUp:"cursorUp",CursorUpSelect:"cursorUpSelect",CursorDown:"cursorDown",CursorDownSelect:"cursorDownSelect",CursorPageUp:"cursorPageUp",CursorPageUpSelect:"cursorPageUpSelect",CursorPageDown:"cursorPageDown",CursorPageDownSelect:"cursorPageDownSelect",CursorHome:"cursorHome",CursorHomeSelect:"cursorHomeSelect",CursorEnd:"cursorEnd",CursorEndSelect:"cursorEndSelect",ExpandLineSelection:"expandLineSelection",CursorTop:"cursorTop",CursorTopSelect:"cursorTopSelect",CursorBottom:"cursorBottom",CursorBottomSelect:"cursorBottomSelect",CursorColumnSelectLeft:"cursorColumnSelectLeft",CursorColumnSelectRight:"cursorColumnSelectRight",CursorColumnSelectUp:"cursorColumnSelectUp",CursorColumnSelectPageUp:"cursorColumnSelectPageUp",CursorColumnSelectDown:"cursorColumnSelectDown",CursorColumnSelectPageDown:"cursorColumnSelectPageDown",AddCursorDown:"addCursorDown",AddCursorUp:"addCursorUp",CursorUndo:"cursorUndo",MoveTo:"moveTo",MoveToSelect:"moveToSelect",ColumnSelect:"columnSelect",CreateCursor:"createCursor",LastCursorMoveToSelect:"lastCursorMoveToSelect",JumpToBracket:"jumpToBracket",Type:"type",ReplacePreviousChar:"replacePreviousChar",Paste:"paste",Tab:"tab",Indent:"indent",Outdent:"outdent",DeleteLeft:"deleteLeft",DeleteRight:"deleteRight",DeleteWordLeft:"deleteWordLeft",DeleteWordStartLeft:"deleteWordStartLeft",DeleteWordEndLeft:"deleteWordEndLeft",DeleteWordRight:"deleteWordRight",DeleteWordStartRight:"deleteWordStartRight",DeleteWordEndRight:"deleteWordEndRight",DeleteAllLeft:"deleteAllLeft",DeleteAllRight:"deleteAllRight",Enter:"enter",RemoveSecondaryCursors:"removeSecondaryCursors",CancelSelection:"cancelSelection",Cut:"cut",Undo:"undo",Redo:"redo",WordSelect:"wordSelect",WordSelectDrag:"wordSelectDrag",LastCursorWordSelect:"lastCursorWordSelect",LineSelect:"lineSelect",LineSelectDrag:"lineSelectDrag",LastCursorLineSelect:"lastCursorLineSelect",LastCursorLineSelectDrag:"lastCursorLineSelectDrag",LineInsertBefore:"lineInsertBefore",LineInsertAfter:"lineInsertAfter",LineBreakInsert:"lineBreakInsert",SelectAll:"selectAll",ScrollLineUp:"scrollLineUp",ScrollLineDown:"scrollLineDown",ScrollPageUp:"scrollPageUp",ScrollPageDown:"scrollPageDown"};var a=function(){function e(e,t,n){this.top=e,this.left=t,this.width=n}return e}();t.VisibleRange=a,function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline"}(t.TextEditorCursorStyle||(t.TextEditorCursorStyle={}));var u=t.TextEditorCursorStyle;t.cursorStyleFromString=o,t.cursorStyleToString=i;var c=function(){function e(e,t){this.left=e,this.width=t}return e}();t.HorizontalRange=c;var d=function(){function e(e,t){this.lineNumber=e,this.ranges=t}return e}();t.LineVisibleRanges=d}),define("vs/editor/common/model/modelLine",["require","exports","vs/base/common/strings","vs/editor/common/editorCommon"],function(e,t,n,r){"use strict";function o(e){return"number"==typeof e[0]}function i(e,t,n){if(0===n)return null;if(!t||0===t.length)return null;if(1===t.length)if(o(t)){if(0===t[0])return null}else if(0===t[0].startIndex&&""===t[0].type)return null;return new f(e,t)}function s(e,t){return t&&0!==t.length?1===t.length&&0===t[0].startIndex?t[0].mode===e?null:new _(t[0].mode):new y(t):null}var a,u={adjust:function(){},finish:function(){}},c={adjustDelta:function(){},adjustSet:function(){},finish:function(){}};!function(e){e[e.MarkerDefined=0]="MarkerDefined",e[e.ForceMove=1]="ForceMove",e[e.ForceStay=2]="ForceStay"}(a||(a={}));var d=function(){function e(e,t){this.lineNumber=e,this.text=t,this.isInvalid=!1}return e.prototype.setState=function(e){this._state=e},e.prototype.getState=function(){return this._state||null},e.prototype._setModeTransitions=function(e,t){var n=s(e,t);if(null===n){if("undefined"==typeof this._modeTransitions)return;return void(this._modeTransitions=null)}this._modeTransitions=n},e.prototype.getModeTransitions=function(){return this._modeTransitions?this._modeTransitions:v.INSTANCE},e.prototype.setTokens=function(e,t,n,r){this._setLineTokens(e,t),this._setModeTransitions(n,r)},e.prototype._setLineTokens=function(e,t){var n=i(e,t,this.text.length);if(null===n){if("undefined"==typeof this._lineTokens)return;return void(this._lineTokens=null)}this._lineTokens=n},e.prototype.getTokens=function(){return this._lineTokens?this._lineTokens:0===this.text.length?m.INSTANCE:g.INSTANCE},e.prototype._createTokensAdjuster=function(){if(!this._lineTokens)return u;var e=this._lineTokens,t=r.LineTokensBinaryEncoding,n=e.getBinaryEncodedTokens(),o=n.length,i=0,s=0,a=function(e,r,a){for(var u=a-1;e>s&&o>i;){if(s>0&&0!==r){var c=n[i]/t.TYPE_OFFSET&t.TYPE_MASK,d=Math.max(u,s+r),l=c*t.TYPE_OFFSET+d*t.START_INDEX_OFFSET;if(0>r)for(;i>0;){var h=n[i-1]/t.START_INDEX_OFFSET&t.START_INDEX_MASK;if(!(h>=d))break;n.splice(i-1,1),o--,i--}n[i]=l}i++,o>i&&(s=n[i]/t.START_INDEX_OFFSET&t.START_INDEX_MASK)}},c=function(e,t){a(Number.MAX_VALUE,e,1)};return{adjust:a,finish:c}},e.prototype._setText=function(e){if(this.text=e,this._lineTokens){for(var t=r.LineTokensBinaryEncoding,n=this._lineTokens.getBinaryEncodedTokensMap(),o=this._lineTokens.getBinaryEncodedTokens(),i=this.text.length;o.length>0;){var s=o[o.length-1]/t.START_INDEX_OFFSET&t.START_INDEX_MASK;if(i>s)break;o.pop()}this._setLineTokens(n,o)}},e.prototype._createMarkersAdjuster=function(t){var n=this;if(!this._markers)return c;if(0===this._markers.length)return c;this._markers.sort(e._compareMarkers);var r=this._markers,o=r.length,i=0,s=r[i],u=function(e,t){return s.column<e?!0:s.column>e?!1:t===a.ForceMove?!1:t===a.ForceStay?!0:s.stickToPreviousCharacter},d=function(e,a,c,d){for(;o>i&&u(e,d);){if(0!==a){var l=Math.max(c,s.column+a);s.column!==l&&(t[s.id]=!0,s.oldLineNumber=s.oldLineNumber||n.lineNumber,s.oldColumn=s.oldColumn||s.column,s.column=l)}i++,o>i&&(s=r[i])}},l=function(e,a,c){for(;o>i&&u(e,c);)s.column!==a&&(t[s.id]=!0,s.oldLineNumber=s.oldLineNumber||n.lineNumber,s.oldColumn=s.oldColumn||s.column,s.column=a),i++,o>i&&(s=r[i])},h=function(e,t){d(Number.MAX_VALUE,e,1,a.MarkerDefined)};return{adjustDelta:d,adjustSet:l,finish:h}},e.prototype.applyEdits=function(e,t){for(var n=0,r=this.text,o=this._createTokensAdjuster(),i=this._createMarkersAdjuster(e),s=0,u=t.length;u>s;s++){var c=t[s],d=n+c.startColumn,l=n+c.endColumn,h=l-d,p=c.text.length;o.adjust(c.startColumn-1,n,1),i.adjustDelta(c.startColumn,n,1,c.forceMoveMarkers?a.ForceMove:h>0?a.ForceStay:a.MarkerDefined);var f=Math.min(h,p);f>0&&(o.adjust(c.startColumn-1+f,n,d),c.forceMoveMarkers||i.adjustDelta(c.startColumn+f,n,d,c.forceMoveMarkers?a.ForceMove:h>p?a.ForceStay:a.MarkerDefined)),r=r.substring(0,d-1)+c.text+r.substring(l-1),n+=p-h,o.adjust(c.endColumn,n,d),i.adjustSet(c.endColumn,d+p,c.forceMoveMarkers?a.ForceMove:a.MarkerDefined)}return o.finish(n,r.length),i.finish(n,r.length),this._setText(r),n},e.prototype.split=function(t,n,r){var o=this.text.substring(0,n-1),i=this.text.substring(n-1),s=null;if(this._markers){this._markers.sort(e._compareMarkers);for(var a=0,u=this._markers.length;u>a;a++){var c=this._markers[a];if(c.column>n||c.column===n&&(r||!c.stickToPreviousCharacter)){var d=this._markers.slice(0,a);s=this._markers.slice(a),this._markers=d;break}}if(s)for(var a=0,u=s.length;u>a;a++){var c=s[a];t[c.id]=!0,c.oldLineNumber=c.oldLineNumber||this.lineNumber,c.oldColumn=c.oldColumn||c.column,c.column-=n-1}}this._setText(o);var l=new e(this.lineNumber+1,i);return s&&l.addMarkers(s),l},e.prototype.append=function(e,t){var n=this.text.length;this._setText(this.text+t.text);var o=t._lineTokens;if(o){var i=o.getBinaryEncodedTokens();if(n>0)for(var s=r.LineTokensBinaryEncoding,a=0,u=i.length;u>a;a++){var c=i[a],d=c/s.START_INDEX_OFFSET&s.START_INDEX_MASK,l=c/s.TYPE_OFFSET&s.TYPE_MASK,h=d+n,p=l*s.TYPE_OFFSET+h*s.START_INDEX_OFFSET;i[a]=p}var f=this._lineTokens;f?this._setLineTokens(f.getBinaryEncodedTokensMap(),f.getBinaryEncodedTokens().concat(i)):this._setLineTokens(o.getBinaryEncodedTokensMap(),i)}if(t._markers){for(var m=t._markers,a=0,u=m.length;u>a;a++){var g=m[a];e[g.id]=!0,g.oldLineNumber=g.oldLineNumber||t.lineNumber,g.oldColumn=g.oldColumn||g.column,g.column+=n}this.addMarkers(m)}},e.prototype.addMarker=function(e){e.line=this,this._markers?this._markers.push(e):this._markers=[e]},e.prototype.addMarkers=function(e){if(0!==e.length){var t,n;for(t=0,n=e.length;n>t;t++)e[t].line=this;this._markers?this._markers=this._markers.concat(e):this._markers=e.slice(0)}},e._compareMarkers=function(e,t){return e.column===t.column?(e.stickToPreviousCharacter?0:1)-(t.stickToPreviousCharacter?0:1):e.column-t.column},e.prototype.removeMarker=function(e){var t=this._indexOfMarkerId(e.id);t>=0&&this._markers.splice(t,1),e.line=null},e.prototype.removeMarkers=function(e){if(this._markers)for(var t=0,n=this._markers.length;n>t;t++){var r=this._markers[t];e[r.id]&&(r.line=null,this._markers.splice(t,1),n--,t--)}},e.prototype.getMarkers=function(){return this._markers?this._markers.slice(0):[]},e.prototype.updateLineNumber=function(e,t){if(this._markers){var n,r,o,i=this._markers;for(n=0,r=i.length;r>n;n++)o=i[n],e[o.id]=!0,o.oldLineNumber=o.oldLineNumber||this.lineNumber}this.lineNumber=t},e.prototype.deleteLine=function(e,t,n){if(this._markers){var r,o,i,s=this._markers;for(r=0,o=s.length;o>r;r++)i=s[r],e[i.id]=!0,i.oldColumn=i.oldColumn||i.column,i.oldLineNumber=i.oldLineNumber||n,i.column=t;return s}return[]},e.prototype._indexOfMarkerId=function(e){if(this._markers){var t,n,r=this._markers;for(t=0,n=r.length;n>t;t++)if(r[t].id===e)return t}return-1},e}();t.ModelLine=d;var l=r.LineTokensBinaryEncoding.getStartIndex,h=r.LineTokensBinaryEncoding.getType,p=r.LineTokensBinaryEncoding.findIndexOfOffset,f=function(){function e(e,t){this.map=e,o(t)?this._tokens=t:this._tokens=r.LineTokensBinaryEncoding.deflateArr(e,t)}return e.prototype.toString=function(){return r.LineTokensBinaryEncoding.inflateArr(this.map,this._tokens).toString()},e.prototype.getBinaryEncodedTokensMap=function(){return this.map},e.prototype.getBinaryEncodedTokens=function(){return this._tokens},e.prototype.getTokenCount=function(){return this._tokens.length},e.prototype.getTokenStartIndex=function(e){return l(this._tokens[e])},e.prototype.getTokenType=function(e){return h(this.map,this._tokens[e])},e.prototype.getTokenEndIndex=function(e,t){return e+1<this._tokens.length?l(this._tokens[e+1]):t},e.prototype.equals=function(e){return this===e},e.prototype.findIndexOfOffset=function(e){return p(this._tokens,e)},e}();t.LineTokens=f;var m=function(){function e(){}return e.prototype.getBinaryEncodedTokens=function(){return e.TOKENS},e.prototype.getBinaryEncodedTokensMap=function(){return null},e.prototype.getTokenCount=function(){return 0},e.prototype.getTokenStartIndex=function(e){return 0},e.prototype.getTokenType=function(e){return n.empty},e.prototype.getTokenEndIndex=function(e,t){return 0},e.prototype.equals=function(e){return e===this},e.prototype.findIndexOfOffset=function(e){return 0},e.INSTANCE=new e,
e.TOKENS=[],e}(),g=function(){function e(){}return e.prototype.getBinaryEncodedTokensMap=function(){return null},e.prototype.getBinaryEncodedTokens=function(){return e.TOKENS},e.prototype.getTokenCount=function(){return 1},e.prototype.getTokenStartIndex=function(e){return 0},e.prototype.getTokenType=function(e){return n.empty},e.prototype.getTokenEndIndex=function(e,t){return t},e.prototype.equals=function(e){return this===e},e.prototype.findIndexOfOffset=function(e){return 0},e.INSTANCE=new e,e.TOKENS=[0],e}();t.DefaultLineTokens=g;var v=function(){function e(){}return e.prototype.toArray=function(e){return[{startIndex:0,mode:e}]},e.INSTANCE=new e,e}(),_=function(){function e(e){this._mode=e}return e.prototype.toArray=function(e){return[{startIndex:0,mode:this._mode}]},e}(),y=function(){function e(e){this._modeTransitions=e}return e.prototype.toArray=function(e){return this._modeTransitions.slice(0)},e}()}),define("vs/editor/common/model/tokenIterator",["require","exports","vs/editor/common/editorCommon"],function(e,t,n){"use strict";var r=n.LineTokensBinaryEncoding.getStartIndex,o=n.LineTokensBinaryEncoding.inflate,i=function(){function e(e,t){this._model=e,this._currentLineNumber=t.lineNumber,this._currentTokenIndex=0,this._readLineTokens(this._currentLineNumber),this._next=null,this._prev=null;for(var n=t.column-1,o=Number.MAX_VALUE,i=this._currentTokens.length-1;i>=0;i--){if(r(this._currentTokens[i])<=n&&o>=n){this._currentTokenIndex=i,this._next=this._current(),this._prev=this._current();break}o=r(this._currentTokens[i])}}return e.prototype._readLineTokens=function(e){this._currentLineTokens=this._model.getLineTokens(e,!1),this._currentTokens=this._currentLineTokens.getBinaryEncodedTokens(),this._map=this._currentLineTokens.getBinaryEncodedTokensMap()},e.prototype._advanceNext=function(){if(this._prev=this._next,this._next=null,this._currentTokenIndex+1<this._currentTokens.length)this._currentTokenIndex++,this._next=this._current();else{for(;this._currentLineNumber+1<=this._model.getLineCount();)if(this._currentLineNumber++,this._readLineTokens(this._currentLineNumber),this._currentTokens.length>0){this._currentTokenIndex=0,this._next=this._current();break}null===this._next&&(this._readLineTokens(this._currentLineNumber),this._currentTokenIndex=this._currentTokens.length,this._advancePrev(),this._next=null)}},e.prototype._advancePrev=function(){if(this._next=this._prev,this._prev=null,this._currentTokenIndex>0)this._currentTokenIndex--,this._prev=this._current();else for(;this._currentLineNumber>1;)if(this._currentLineNumber--,this._readLineTokens(this._currentLineNumber),this._currentTokens.length>0){this._currentTokenIndex=this._currentTokens.length-1,this._prev=this._current();break}},e.prototype._current=function(){return{token:o(this._map,this._currentTokens[this._currentTokenIndex]),lineNumber:this._currentLineNumber,startColumn:r(this._currentTokens[this._currentTokenIndex])+1,endColumn:this._currentTokenIndex+1<this._currentTokens.length?r(this._currentTokens[this._currentTokenIndex+1])+1:this._model.getLineContent(this._currentLineNumber).length+1}},e.prototype.hasNext=function(){return null!==this._next},e.prototype.next=function(){var e=this._next;return this._advanceNext(),e},e.prototype.hasPrev=function(){return null!==this._prev},e.prototype.prev=function(){var e=this._prev;return this._advancePrev(),e},e.prototype._invalidate=function(){var e=function(){throw new Error("iteration isn't valid anymore")};this.hasNext=e,this.next=e,this.hasPrev=e,this.prev=e},e}();t.TokenIterator=i}),define("vs/editor/common/modes/supports/onEnter",["require","exports","vs/base/common/errors","vs/base/common/strings","vs/editor/common/core/position","vs/editor/common/modes","vs/editor/common/modes/supports"],function(e,t,n,r,o,i,s){"use strict";function a(e,t,r){var i,s=e.getMode().richEditSupport;if(s&&s.onEnter)try{i=s.onEnter.onEnter(e,new o.Position(t,r))}catch(a){n.onUnexpectedError(a)}return i}function u(e,t,n){var o=e.getLineContent(t),s=r.getLeadingWhitespace(o);s.length>n-1&&(s=s.substring(0,n-1));var u=a(e,t,n);return u?u.appendText||(u.indentAction===i.IndentAction.Indent||u.indentAction===i.IndentAction.IndentOutdent?u.appendText="	":u.appendText=""):u={indentAction:i.IndentAction.None,appendText:""},u.removeText&&(s=s.substring(0,s.length-1)),{enterAction:u,indentation:s}}var c=function(){function e(t,n){n=n||{},n.brackets=n.brackets||[["(",")"],["{","}"],["[","]"]],this._modeId=t,this._brackets=n.brackets.map(function(t){return{open:t[0],openRegExp:e._createOpenBracketRegExp(t[0]),close:t[1],closeRegExp:e._createCloseBracketRegExp(t[1])}}),this._regExpRules=n.regExpRules||[],this._indentationRules=n.indentationRules}return e.prototype.onEnter=function(e,t){var n=this,r=e.getLineContext(t.lineNumber);return s.handleEvent(r,t.column-1,function(r,o,i){return n._modeId===r.getId()?n._onEnter(e,t):r.richEditSupport&&r.richEditSupport.onEnter?r.richEditSupport.onEnter.onEnter(e,t):null})},e.prototype._onEnter=function(e,t){var n=e.getLineContent(t.lineNumber),r=n.substr(0,t.column-1),o=n.substr(t.column-1),i=1===t.lineNumber?"":e.getLineContent(t.lineNumber-1);return this._actualOnEnter(i,r,o)},e.prototype._actualOnEnter=function(t,n,r){for(var o=0,i=this._regExpRules.length;i>o;o++){var s=this._regExpRules[o];if(s.beforeText.test(n)){if(!s.afterText)return s.action;if(s.afterText.test(r))return s.action}}if(n.length>0&&r.length>0)for(var o=0,i=this._brackets.length;i>o;o++){var a=this._brackets[o];if(a.openRegExp.test(n)&&a.closeRegExp.test(r))return e._INDENT_OUTDENT}if(this._indentationRules){if(this._indentationRules.increaseIndentPattern&&this._indentationRules.increaseIndentPattern.test(n))return e._INDENT;if(this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(n))return e._INDENT;if(/^\s/.test(n)){if(this._indentationRules.decreaseIndentPattern&&this._indentationRules.decreaseIndentPattern.test(r))return e._OUTDENT;if(this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(t))return e._OUTDENT}}if(n.length>0)for(var o=0,i=this._brackets.length;i>o;o++){var a=this._brackets[o];if(a.openRegExp.test(n))return e._INDENT}return null},e._createOpenBracketRegExp=function(t){var n=r.escapeRegExpCharacters(t);return/\B/.test(n.charAt(0))||(n="\\b"+n),n+="\\s*$",e._safeRegExp(n)},e._createCloseBracketRegExp=function(t){var n=r.escapeRegExpCharacters(t);return/\B/.test(n.charAt(n.length-1))||(n+="\\b"),n="^\\s*"+n,e._safeRegExp(n)},e._safeRegExp=function(e){try{return new RegExp(e)}catch(t){return n.onUnexpectedError(t),null}},e._INDENT={indentAction:i.IndentAction.Indent},e._INDENT_OUTDENT={indentAction:i.IndentAction.IndentOutdent},e._OUTDENT={indentAction:i.IndentAction.Outdent},e}();t.OnEnterSupport=c,t.getRawEnterActionAtPosition=a,t.getEnterActionAtPosition=u});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/modes/supports/suggestSupport",["require","exports","vs/base/common/winjs.base","vs/editor/common/modes/modesFilters","vs/editor/common/modes/supports"],function(e,t,n,r,o){"use strict";function i(e,t,n,r){return n&&0!==n.length?(r||(r=[]),r.push({currentWord:e.getWordUntilPosition(t).word,suggestions:n.slice(0)}),r):r}function s(e){if(e){var t=r.DefaultFilter,n=[];return n.push({currentWord:e.currentWord,suggestions:e.suggestions.filter(function(n){return!!t(e.currentWord,n)}),incomplete:e.incomplete}),n}}var a=function(){function e(e,t){this._modeId=e,this.contribution=t,this.suggest=function(e,n){return t.suggest(e,n)},"function"==typeof t.getSuggestionDetails&&(this.getSuggestionDetails=function(e,n,r){return t.getSuggestionDetails(e,n,r)})}return e.prototype.shouldAutotriggerSuggest=function(e,t,n){var r=this;return o.handleEvent(e,t,function(e,t,i){return r._modeId===e.getId()?r.contribution.disableAutoTrigger?!1:Array.isArray(r.contribution.excludeTokens)?1===r.contribution.excludeTokens.length&&"*"===r.contribution.excludeTokens[0]?!1:!o.isLineToken(t,i-1,r.contribution.excludeTokens,!0):!0:e.suggestSupport?e.suggestSupport.shouldAutotriggerSuggest(t,i,n):!1})},e.prototype.getFilter=function(){return r.DefaultFilter},e.prototype.getTriggerCharacters=function(){return this.contribution.triggerCharacters},e.prototype.shouldShowEmptySuggestionList=function(){return!0},e}();t.SuggestSupport=a;var u=function(){function e(e,t){this._modeId=e,this._editorWorkerService=t}return e.prototype.suggest=function(e,t,n){return this._editorWorkerService.textualSuggest(e,t)},e.prototype.getFilter=function(){return r.StrictPrefix},e.prototype.getTriggerCharacters=function(){return[]},e.prototype.shouldShowEmptySuggestionList=function(){return!0},e.prototype.shouldAutotriggerSuggest=function(e,t,n){var r=this;return o.handleEvent(e,t,function(e,t,o){return r._modeId===e.getId()?!0:e.suggestSupport?e.suggestSupport.shouldAutotriggerSuggest(t,o,n):!1})},e}();t.TextualSuggestSupport=u;var c=function(e){function t(t,r,o,s,a){e.call(this,t,{triggerCharacters:s,disableAutoTrigger:a,excludeTokens:[],suggest:function(e,t){var s=r.getModel(e),a=i(s,t,o,null);return n.TPromise.as(a)}})}return __extends(t,e),t}(a);t.PredefinedResultSuggestSupport=c;var d=function(e){function t(t,n,r,o,s,a){e.call(this,t,{triggerCharacters:s,disableAutoTrigger:a,excludeTokens:[],suggest:function(e,t){return r.textualSuggest(e,t).then(function(r){var s=n.getModel(e),a=i(s,t,o,r);return a})}})}return __extends(t,e),t}(a);t.TextualAndPredefinedResultSuggestSupport=d,t.filterSuggestions=s}),define("vs/editor/common/modes/monarch/monarchDefinition",["require","exports","vs/editor/common/modes/supports/suggestSupport"],function(e,t,n){"use strict";function r(e){return{wordPattern:e.wordDefinition,comments:{lineComment:e.lineComment,blockComment:[e.blockCommentStart,e.blockCommentEnd]},brackets:e.standardBrackets,__electricCharacterSupport:{caseInsensitive:e.ignoreCase,embeddedElectricCharacters:e.outdentTriggers.split("")},__characterPairSupport:{autoClosingPairs:e.autoClosingPairs}}}function o(e,t,r,o){return o.suggestSupport.textualCompletions?new n.TextualAndPredefinedResultSuggestSupport(r,e,t,o.suggestSupport.snippets,o.suggestSupport.triggerCharacters,o.suggestSupport.disableAutoTrigger):new n.PredefinedResultSuggestSupport(r,e,o.suggestSupport.snippets,o.suggestSupport.triggerCharacters,o.suggestSupport.disableAutoTrigger)}t.createRichEditSupport=r,t.createSuggestSupport=o}),define("vs/nls!vs/base/common/severity",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/base/common/severity",t)}),define("vs/base/common/severity",["require","exports","vs/nls!vs/base/common/severity","vs/base/common/strings"],function(e,t,n,r){"use strict";var o;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(o||(o={}));var o;!function(e){function t(t){return t?r.equalsIgnoreCase(s,t)?e.Error:r.equalsIgnoreCase(a,t)||r.equalsIgnoreCase(u,t)?e.Warning:r.equalsIgnoreCase(c,t)?e.Info:e.Ignore:e.Ignore}function o(e){return d[e]||r.empty}function i(e,t){return t-e}var s="error",a="warning",u="warn",c="info",d=Object.create(null);d[e.Error]=n.localize(0,null),d[e.Warning]=n.localize(1,null),d[e.Info]=n.localize(2,null),e.fromValue=t,e.toString=o,e.compare=i}(o||(o={})),Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=o}),define("vs/nls!vs/editor/common/config/defaultConfig",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/editor/common/config/defaultConfig",t)}),define("vs/editor/common/config/defaultConfig",["require","exports","vs/nls!vs/editor/common/config/defaultConfig"],function(e,t,n){"use strict";t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.DEFAULT_INDENTATION={tabSize:4,insertSpaces:!0,detectIndentation:!0};var r=function(){function e(){this.editor={experimentalScreenReader:!0,rulers:[],wordSeparators:t.USUAL_WORD_SEPARATORS,selectionClipboard:!1,ariaLabel:n.localize(0,null),lineNumbers:!0,selectOnLineNumbers:!0,lineNumbersMinChars:5,glyphMargin:!1,lineDecorationsWidth:10,revealHorizontalRightPadding:30,roundedSelection:!0,theme:"vs",readOnly:!1,scrollbar:{verticalScrollbarSize:14,horizontal:"auto",useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1},overviewRulerLanes:2,cursorBlinking:"blink",cursorStyle:"line",fontLigatures:!1,hideCursorInOverviewRuler:!1,scrollBeyondLastLine:!0,automaticLayout:!1,wrappingColumn:300,wrappingIndent:"same",wordWrapBreakBeforeCharacters:"{([+",wordWrapBreakAfterCharacters:" 	})]?|&,;",wordWrapBreakObtrusiveCharacters:".",tabFocusMode:!1,longLineBoundary:300,forcedTokenizationBoundary:1e3,hover:!0,contextmenu:!0,mouseWheelScrollSensitivity:1,quickSuggestions:!0,quickSuggestionsDelay:10,iconsInSuggestions:!0,autoClosingBrackets:!0,formatOnType:!1,suggestOnTriggerCharacters:!0,acceptSuggestionOnEnter:!0,selectionHighlight:!0,outlineMarkers:!1,referenceInfos:!0,folding:!0,renderWhitespace:!1,fontFamily:"",fontSize:0,lineHeight:0}}return e}();t.DefaultConfig=new r});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModel",["require","exports","vs/base/common/eventEmitter","vs/base/common/strings","vs/editor/common/core/position","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/modelLine","vs/editor/common/model/indentationGuesser","vs/editor/common/config/defaultConfig"],function(e,t,n,r,o,i,s,a,u,c){"use strict";var d=999,l=function(e){function t(t,n){t.push(s.EventType.ModelContentChanged,s.EventType.ModelOptionsChanged),e.call(this,t),this._options=n.options,this._constructLines(n),this._setVersionId(1),this._isDisposed=!1,this._isDisposing=!1}return __extends(t,e),t.prototype.getOptions=function(){if(this._isDisposed)throw new Error("TextModel.getOptions: Model is disposed");return this._options},t.prototype.updateOptions=function(e){var t=!1,n={tabSize:!1,insertSpaces:!1};"undefined"!=typeof e.insertSpaces&&this._options.insertSpaces!==e.insertSpaces&&(t=!0,n.insertSpaces=!0,this._options.insertSpaces=e.insertSpaces),"undefined"!=typeof e.tabSize&&this._options.tabSize!==e.tabSize&&(t=!0,n.tabSize=!0,this._options.tabSize=e.tabSize),t&&this.emit(s.EventType.ModelOptionsChanged,n)},t.prototype.detectIndentation=function(e,t){var n=this._lines.map(function(e){return e.text}),r=u.guessIndentation(n,t,e);this.updateOptions({insertSpaces:r.insertSpaces,tabSize:r.tabSize})},t.prototype._normalizeIndentationFromWhitespace=function(e){for(var t=this._options.tabSize,n=this._options.insertSpaces,r=0,o=0;o<e.length;o++)"	"===e.charAt(o)?r+=t:r++;var i="";if(!n){var s=Math.floor(r/t);r%=t;for(var o=0;s>o;o++)i+="	"}for(var o=0;r>o;o++)i+=" ";return i},t.prototype.normalizeIndentation=function(e){var t=r.firstNonWhitespaceIndex(e);return-1===t&&(t=e.length),this._normalizeIndentationFromWhitespace(e.substring(0,t))+e.substring(t)},t.prototype.getOneIndent=function(){var e=this._options.tabSize,t=this._options.insertSpaces;if(t){for(var n="",r=0;e>r;r++)n+=" ";return n}return"	"},t.prototype.getVersionId=function(){if(this._isDisposed)throw new Error("TextModel.getVersionId: Model is disposed");return this._versionId},t.prototype.getAlternativeVersionId=function(){if(this._isDisposed)throw new Error("TextModel.getAlternativeVersionId: Model is disposed");return this._alternativeVersionId},t.prototype._increaseVersionId=function(){this._setVersionId(this._versionId+1)},t.prototype._setVersionId=function(e){this._versionId=e,this._alternativeVersionId=this._versionId},t.prototype._overwriteAlternativeVersionId=function(e){this._alternativeVersionId=e},t.prototype.isDisposed=function(){return this._isDisposed},t.prototype.dispose=function(){if(this._isDisposed)throw new Error("TextModel.dispose: Model is disposed");this._isDisposed=!0,this._lines=null,this._EOL=null,this._BOM=null,e.prototype.dispose.call(this)},t.prototype._createContentChangedFlushEvent=function(){return{changeType:s.EventType.ModelContentChangedFlush,detail:null,versionId:-1,isUndoing:!1,isRedoing:!1}},t.prototype._emitContentChanged2=function(e,t,n,r,o,a,u,c){var d={range:new i.Range(e,t,n,r),rangeLength:o,text:a,eol:this._EOL,versionId:this.getVersionId(),isUndoing:u,isRedoing:c};this._isDisposing||this.emit(s.EventType.ModelContentChanged2,d)},t.prototype._resetValue=function(e,t){this._constructLines(t),this._increaseVersionId(),e.detail=this.toRawText(),e.versionId=this._versionId},t.prototype.toRawText=function(){return{BOM:this._BOM,EOL:this._EOL,lines:this.getLinesContent(),length:this.getValueLength(),options:this._options}},t.prototype.equals=function(e){if(this._BOM!==e.BOM)return!1;if(this._EOL!==e.EOL)return!1;if(this._lines.length!==e.lines.length)return!1;for(var t=0,n=this._lines.length;n>t;t++)if(this._lines[t].text!==e.lines[t])return!1;return!0},t.prototype.setValue=function(e){if(this._isDisposed)throw new Error("TextModel.setValue: Model is disposed");var n=null;null!==e&&(n=t.toRawText(e,{tabSize:this._options.tabSize,insertSpaces:this._options.insertSpaces,detectIndentation:!1,defaultEOL:this._options.defaultEOL})),this.setValueFromRawText(n)},t.prototype.setValueFromRawText=function(e){if(this._isDisposed)throw new Error("TextModel.setValueFromRawText: Model is disposed");if(null!==e){var t=this.getFullModelRange(),n=this.getValueLengthInRange(t),r=this.getLineCount(),o=this.getLineMaxColumn(r),i=this._createContentChangedFlushEvent();this._resetValue(i,e),this._emitModelContentChangedFlushEvent(i),this._emitContentChanged2(1,1,r,o,n,this.getValue(),!1,!1)}},t.prototype.getValue=function(e,t){if(void 0===t&&(t=!1),this._isDisposed)throw new Error("TextModel.getValue: Model is disposed");var n=this.getFullModelRange(),r=this.getValueInRange(n,e);return t?this._BOM+r:r},t.prototype.getValueLength=function(e,t){if(void 0===t&&(t=!1),this._isDisposed)throw new Error("TextModel.getValueLength: Model is disposed");var n=this.getFullModelRange(),r=this.getValueLengthInRange(n,e);return t?this._BOM.length+r:r},t.prototype.getEmptiedValueInRange=function(e,t,n){if(void 0===t&&(t=""),void 0===n&&(n=s.EndOfLinePreference.TextDefined),this._isDisposed)throw new Error("TextModel.getEmptiedValueInRange: Model is disposed");var r=this.validateRange(e);if(r.isEmpty())return"";if(r.startLineNumber===r.endLineNumber)return this._repeatCharacter(t,r.endColumn-r.startColumn);var o=this._getEndOfLine(n),i=r.startLineNumber-1,a=r.endLineNumber-1,u=[];u.push(this._repeatCharacter(t,this._lines[i].text.length-r.startColumn+1));for(var c=i+1;a>c;c++)u.push(this._repeatCharacter(t,this._lines[c].text.length));return u.push(this._repeatCharacter(t,r.endColumn-1)),u.join(o)},t.prototype._repeatCharacter=function(e,t){for(var n="",r=0;t>r;r++)n+=e;return n},t.prototype.getValueInRange=function(e,t){if(void 0===t&&(t=s.EndOfLinePreference.TextDefined),this._isDisposed)throw new Error("TextModel.getValueInRange: Model is disposed");var n=this.validateRange(e);if(n.isEmpty())return"";if(n.startLineNumber===n.endLineNumber)return this._lines[n.startLineNumber-1].text.substring(n.startColumn-1,n.endColumn-1);var r=this._getEndOfLine(t),o=n.startLineNumber-1,i=n.endLineNumber-1,a=[];a.push(this._lines[o].text.substring(n.startColumn-1));for(var u=o+1;i>u;u++)a.push(this._lines[u].text);return a.push(this._lines[i].text.substring(0,n.endColumn-1)),a.join(r)},t.prototype.getValueLengthInRange=function(e,t){if(void 0===t&&(t=s.EndOfLinePreference.TextDefined),this._isDisposed)throw new Error("TextModel.getValueInRange: Model is disposed");var n=this.validateRange(e);if(n.isEmpty())return 0;if(n.startLineNumber===n.endLineNumber)return n.endColumn-n.startColumn;var r=this._getEndOfLine(t).length,o=n.startLineNumber-1,i=n.endLineNumber-1,a=0;a+=this._lines[o].text.length-n.startColumn+1;for(var u=o+1;i>u;u++)a+=r+this._lines[u].text.length;return a+=r+(n.endColumn-1)},t.prototype.isDominatedByLongLines=function(e){if(this._isDisposed)throw new Error("TextModel.isDominatedByLongLines: Model is disposed");var t,n,r,o=0,i=0,s=this._lines;for(t=0,n=this._lines.length;n>t;t++)r=s[t].text.length,r>=e?i+=r:o+=r;return i>o},t.prototype.getLineCount=function(){if(this._isDisposed)throw new Error("TextModel.getLineCount: Model is disposed");return this._lines.length},t.prototype.getLineContent=function(e){if(this._isDisposed)throw new Error("TextModel.getLineContent: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].text},t.prototype.getLinesContent=function(){if(this._isDisposed)throw new Error("TextModel.getLineContent: Model is disposed");for(var e=[],t=0,n=this._lines.length;n>t;t++)e[t]=this._lines[t].text;return e},t.prototype.getEOL=function(){if(this._isDisposed)throw new Error("TextModel.getEOL: Model is disposed");return this._EOL},t.prototype.setEOL=function(e){var t=e===s.EndOfLineSequence.CRLF?"\r\n":"\n";if(this._EOL!==t){var n=this.getFullModelRange(),r=this.getValueLengthInRange(n),o=this.getLineCount(),i=this.getLineMaxColumn(o);this._EOL=t,this._increaseVersionId();var a=this._createContentChangedFlushEvent();a.detail=this.toRawText(),a.versionId=this._versionId,this._emitModelContentChangedFlushEvent(a),this._emitContentChanged2(1,1,o,i,r,this.getValue(),!1,!1)}},t.prototype.getLineMinColumn=function(e){return 1},t.prototype.getLineMaxColumn=function(e){if(this._isDisposed)throw new Error("TextModel.getLineMaxColumn: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].text.length+1},t.prototype.getLineFirstNonWhitespaceColumn=function(e){if(this._isDisposed)throw new Error("TextModel.getLineFirstNonWhitespaceColumn: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");var t=r.firstNonWhitespaceIndex(this._lines[e-1].text);return-1===t?0:t+1},t.prototype.getLineLastNonWhitespaceColumn=function(e){if(this._isDisposed)throw new Error("TextModel.getLineLastNonWhitespaceColumn: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");var t=r.lastNonWhitespaceIndex(this._lines[e-1].text);return-1===t?0:t+2},t.prototype.validateLineNumber=function(e){if(this._isDisposed)throw new Error("TextModel.validateLineNumber: Model is disposed");return 1>e&&(e=1),e>this._lines.length&&(e=this._lines.length),e},t.prototype.validatePosition=function(e){if(this._isDisposed)throw new Error("TextModel.validatePosition: Model is disposed");var t=e.lineNumber?e.lineNumber:1,n=e.column?e.column:1;1>t&&(t=1),t>this._lines.length&&(t=this._lines.length),1>n&&(n=1);var r=this.getLineMaxColumn(t);return n>r&&(n=r),new o.Position(t,n)},t.prototype.validateRange=function(e){if(this._isDisposed)throw new Error("TextModel.validateRange: Model is disposed");var t=this.validatePosition(new o.Position(e.startLineNumber,e.startColumn)),n=this.validatePosition(new o.Position(e.endLineNumber,e.endColumn));return new i.Range(t.lineNumber,t.column,n.lineNumber,n.column)},t.prototype.modifyPosition=function(e,t){if(this._isDisposed)throw new Error("TextModel.modifyPosition: Model is disposed");for(var n=this.validatePosition(e);t>0;){var r=this.getLineMaxColumn(n.lineNumber);if(n.column<r){var o=Math.min(t,r-n.column);t-=o,n.column+=o}if(0===t)break;if(t-=this._EOL.length,0>t)throw new Error("TextModel.modifyPosition: Breaking line terminators");if(++n.lineNumber,n.lineNumber>this._lines.length)throw new Error("TextModel.modifyPosition: Offset goes beyond the end of the model");n.column=1}for(;0>t;){if(n.column>1){var i=Math.min(-t,n.column-1);t+=i,n.column-=i}if(0===t)break;if(t+=this._EOL.length,t>0)throw new Error("TextModel.modifyPosition: Breaking line terminators");if(--n.lineNumber,n.lineNumber<1)throw new Error("TextModel.modifyPosition: Offset goes beyond the beginning of the model");n.column=this.getLineMaxColumn(n.lineNumber)}return n},t.prototype.getFullModelRange=function(){if(this._isDisposed)throw new Error("TextModel.getFullModelRange: Model is disposed");var e=this.getLineCount();return new i.Range(1,1,e,this.getLineMaxColumn(e))},t.prototype._emitModelContentChangedFlushEvent=function(e){this._isDisposing||this.emit(s.EventType.ModelContentChanged,e)},t.toRawText=function(e,t){for(var n=0,o=-1;-1!==(o=e.indexOf("\r",o+1));)n++;var i=e.split(/\r\n|\r|\n/),a="";r.startsWithUTF8BOM(i[0])&&(a=r.UTF8_BOM_CHARACTER,i[0]=i[0].substr(1));var c=i.length-1,d="";d=0===c?t.defaultEOL===s.DefaultEndOfLine.LF?"\n":"\r\n":n>c/2?"\r\n":"\n";var l;if(t.detectIndentation){var h=u.guessIndentation(i,t.tabSize,t.insertSpaces);l={tabSize:h.tabSize,insertSpaces:h.insertSpaces,defaultEOL:t.defaultEOL}}else l={tabSize:t.tabSize,insertSpaces:t.insertSpaces,defaultEOL:t.defaultEOL};return{BOM:a,EOL:d,lines:i,length:e.length,options:l}},t.prototype._constructLines=function(e){var t,n,r=e.lines,o=[];for(t=0,n=r.length;n>t;t++)o.push(new a.ModelLine(t+1,r[t]));this._BOM=e.BOM,this._EOL=e.EOL,this._lines=o},t.prototype._getEndOfLine=function(e){switch(e){case s.EndOfLinePreference.LF:return"\n";case s.EndOfLinePreference.CRLF:return"\r\n";case s.EndOfLinePreference.TextDefined:return this.getEOL()}throw new Error("Unknown EOL preference")},t.prototype.findMatches=function(e,t,n,o,s,a){if(void 0===a&&(a=d),this._isDisposed)throw new Error("Model.findMatches: Model is disposed");var u=r.createSafeRegExp(e,n,o,s);if(!u)return[];var c;return c=i.Range.isIRange(t)?t:this.getFullModelRange(),this._doFindMatches(c,u,a)},t.prototype.findNextMatch=function(e,t,n,o,i){if(this._isDisposed)throw new Error("Model.findNextMatch: Model is disposed");var s=r.createSafeRegExp(e,n,o,i);if(!s)return null;var a,u,c=this.validatePosition(t),d=this.getLineCount(),l=c.lineNumber;if(a=this._lines[l-1].text.substring(c.column-1),u=this._findMatchInLine(s,a,l,c.column-1))return u;for(var h=1;d>=h;h++){var p=(l+h-1)%d;if(a=this._lines[p].text,u=this._findMatchInLine(s,a,p+1,0))return u}return null},t.prototype.findPreviousMatch=function(e,t,n,o,i){if(this._isDisposed)throw new Error("Model.findPreviousMatch: Model is disposed");var s=r.createSafeRegExp(e,n,o,i);if(!s)return null;var a,u,c=this.validatePosition(t),d=this.getLineCount(),l=c.lineNumber;if(a=this._lines[l-1].text.substring(0,c.column-1),u=this._findLastMatchInLine(s,a,l))return u;for(var h=1;d>=h;h++){var p=(d+l-h-1)%d;if(a=this._lines[p].text,u=this._findLastMatchInLine(s,a,p+1))return u}return null},t.prototype._doFindMatches=function(e,t,n){var r,o=[],i=0;if(e.startLineNumber===e.endLineNumber)return r=this._lines[e.startLineNumber-1].text.substring(e.startColumn-1,e.endColumn-1),i=this._findMatchesInLine(t,r,e.startLineNumber,e.startColumn-1,i,o,n),o;r=this._lines[e.startLineNumber-1].text.substring(e.startColumn-1),i=this._findMatchesInLine(t,r,e.startLineNumber,e.startColumn-1,i,o,n);for(var s=e.startLineNumber+1;s<e.endLineNumber&&n>i;s++)i=this._findMatchesInLine(t,this._lines[s-1].text,s,0,i,o,n);return n>i&&(r=this._lines[e.endLineNumber-1].text.substring(0,e.endColumn-1),i=this._findMatchesInLine(t,r,e.endLineNumber,0,i,o,n)),o},t.prototype._findMatchInLine=function(e,t,n,r){var o=e.exec(t);return o?new i.Range(n,o.index+1+r,n,o.index+1+o[0].length+r):null},t.prototype._findLastMatchInLine=function(e,t,n){for(var r,o=null;r=e.exec(t);){var s=new i.Range(n,r.index+1,n,r.index+1+r[0].length);if(s.equalsRange(o))break;o=s}return o},t.prototype._findMatchesInLine=function(e,t,n,r,o,s,a){var u;e.lastIndex=0;do if(u=e.exec(t)){var c=new i.Range(n,u.index+1+r,n,u.index+1+u[0].length+r);if(c.equalsRange(s[s.length-1]))return o;if(s.push(c),o++,o>=a)return o}while(u);return o},t.DEFAULT_CREATION_OPTIONS={tabSize:c.DEFAULT_INDENTATION.tabSize,insertSpaces:c.DEFAULT_INDENTATION.insertSpaces,detectIndentation:!1,defaultEOL:s.DefaultEndOfLine.LF},t}(n.OrderGuaranteeEventEmitter);t.TextModel=l;var h=function(){function e(){}return e.fromString=function(e,t){return l.toRawText(e,t)},e.fromStringWithModelOptions=function(e,t){var n=t.getOptions();return l.toRawText(e,{tabSize:n.tabSize,insertSpaces:n.insertSpaces,detectIndentation:!1,defaultEOL:n.defaultEOL})},e}();t.RawText=h}),define("vs/editor/common/modes/nullMode",["require","exports","vs/editor/common/config/defaultConfig"],function(e,t,n){"use strict";function r(e,t,n,r,o){void 0===r&&(r=0);var i=[{startIndex:r,type:""}],s=[{startIndex:r,mode:e}];return{tokens:i,actualStopOffset:r+t.length,endState:n,modeTransitions:s}}var o=function(){function e(e,t){this.mode=e,this.stateData=t}return e.prototype.clone=function(){var t=this.stateData?this.stateData.clone():null;return new e(this.mode,t)},e.prototype.equals=function(e){if(this.mode!==e.getMode())return!1;var t=e.getStateData();return this.stateData||t?this.stateData&&t?this.stateData.equals(t):!1:!0},e.prototype.getMode=function(){return this.mode},e.prototype.tokenize=function(e){return e.advanceToEOS(),{type:""}},e.prototype.getStateData=function(){return this.stateData},e.prototype.setStateData=function(e){this.stateData=e},e}();t.NullState=o;var i=function(){function e(){this.richEditSupport={wordDefinition:e.DEFAULT_WORD_REGEXP}}return e.createWordRegExp=function(e){void 0===e&&(e="");for(var t=n.USUAL_WORD_SEPARATORS,r="(-?\\d*\\.\\d\\w*)|([^",o=0;o<t.length;o++)e.indexOf(t[o])>=0||(r+="\\"+t[o]);return r+="\\s]+)",new RegExp(r,"g")},e.prototype.getId=function(){return e.ID},e.prototype.toSimplifiedMode=function(){return this},e.DEFAULT_WORD_REGEXP=e.createWordRegExp(),e.ID="vs.editor.modes.nullMode",e}();t.NullMode=i,t.nullTokenize=r}),define("vs/editor/common/model/textModelWithTokensHelpers",["require","exports","vs/editor/common/core/arrays","vs/editor/common/modes/nullMode"],function(e,t,n,r){"use strict";var o=function(){function e(){}return e._safeGetWordDefinition=function(e){return e.richEditSupport?e.richEditSupport.wordDefinition:null},e.ensureValidWordDefinition=function(e){var t=r.NullMode.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)t=e;else{var n="g";e.ignoreCase&&(n+="i"),e.multiline&&(n+="m"),t=new RegExp(e.source,n)}return t.lastIndex=0,t},e.massageWordDefinitionOf=function(t){return e.ensureValidWordDefinition(e._safeGetWordDefinition(t))},e.getWords=function(t,n){if(!t._lineIsTokenized(n))return e._getWordsInText(t.getLineContent(n),e.massageWordDefinitionOf(t.getMode()));var r=[],o=t.getLineContent(n);if(o.length>0){var i,s,a,u,c,d,l,h,p,f,m,g,v=t._getLineModeTransitions(n);for(i=0,c=0,s=v.length;s>i;i++)if(l=e.massageWordDefinitionOf(v[i].mode),c=v[i].startIndex,d=s>i+1?v[i+1].startIndex:o.length,h=o.substring(c,d),p=h.match(l))for(m=0,a=0,u=p.length;u>a;a++)g=p[a],g.length>0&&(f=h.indexOf(g,m),m=f+g.length,r.push({start:c+f,end:c+m}))}return r},e._getWordsInText=function(e,t){var n,r,o,i,s,a,u=e.match(t)||[],c=[];for(n=0;n<u.length;n++)a=u[n].trim(),a.length>0&&(r=e.indexOf(a,o),o=r+a.length,i=r,s=o,c.push({start:i,end:s}));return c},e._getWordAtColumn=function(t,n,r,o){var i=o[r].startIndex,s=r+1<o.length?o[r+1].startIndex:t.length,a=o[r].mode;return e._getWordAtText(n,e.massageWordDefinitionOf(a),t.substring(i,s),i)},e.getWordAtPosition=function(t,r){if(!t._lineIsTokenized(r.lineNumber))return e._getWordAtText(r.column,e.massageWordDefinitionOf(t.getMode()),t.getLineContent(r.lineNumber),0);var o=null,i=t.getLineContent(r.lineNumber),s=t._getLineModeTransitions(r.lineNumber),a=r.column-1,u=n.Arrays.findIndexInSegmentsArray(s,a);return o=e._getWordAtColumn(i,r.column,u,s),!o&&u>0&&s[u].startIndex===a&&(o=e._getWordAtColumn(i,r.column,u-1,s)),o},e._getWordAtText=function(e,t,n,r){var o,i,s,a,u,c,d=n.match(t);
if(d)for(o=0;o<d.length;o++)if(c=d[o].trim(),c.length>0&&(i=n.indexOf(c,s),s=i+c.length,a=r+i+1,u=r+s+1,e>=a&&u>=e))return{word:c,startColumn:a,endColumn:u};return null},e}();t.WordHelper=o}),define("vs/editor/common/modes/supports/richEditSupport",["require","exports","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports/characterPair","vs/editor/common/modes/supports/electricCharacter","vs/editor/common/modes/supports/onEnter","vs/editor/common/modes/supports/richEditBrackets"],function(e,t,n,r,o,i,s){"use strict";var a=function(){function e(t,i,a){var u=null;i instanceof e&&(u=i._conf),this._conf=e._mergeConf(u,a),this._conf.brackets&&(this.brackets=new s.RichEditBrackets(t,this._conf.brackets)),this._handleOnEnter(t,this._conf),this._handleComments(t,this._conf),this._conf.__characterPairSupport&&(this.characterPair=new r.CharacterPairSupport(t,this._conf.__characterPairSupport)),(this._conf.__electricCharacterSupport||this._conf.brackets)&&(this.electricCharacter=new o.BracketElectricCharacterSupport(t,this.brackets,this._conf.__electricCharacterSupport)),this.wordDefinition=this._conf.wordPattern||n.NullMode.DEFAULT_WORD_REGEXP}return e._mergeConf=function(e,t){return{comments:e?t.comments||e.comments:t.comments,brackets:e?t.brackets||e.brackets:t.brackets,wordPattern:e?t.wordPattern||e.wordPattern:t.wordPattern,indentationRules:e?t.indentationRules||e.indentationRules:t.indentationRules,onEnterRules:e?t.onEnterRules||e.onEnterRules:t.onEnterRules,__electricCharacterSupport:e?t.__electricCharacterSupport||e.__electricCharacterSupport:t.__electricCharacterSupport,__characterPairSupport:e?t.__characterPairSupport||e.__characterPairSupport:t.__characterPairSupport}},e.prototype._handleOnEnter=function(e,t){var n={},r=!0;t.brackets&&(r=!1,n.brackets=t.brackets),t.indentationRules&&(r=!1,n.indentationRules=t.indentationRules),t.onEnterRules&&(r=!1,n.regExpRules=t.onEnterRules),r||(this.onEnter=new i.OnEnterSupport(e,n))},e.prototype._handleComments=function(e,t){var n=t.comments;if(n&&(this.comments={},n.lineComment&&(this.comments.lineCommentToken=n.lineComment),n.blockComment)){var r=n.blockComment,o=r[0],i=r[1];this.comments.blockCommentStartToken=o,this.comments.blockCommentEndToken=i}},e}();t.RichEditSupport=a}),define("vs/editor/common/modes/supports/tokenizationSupport",["require","exports","vs/editor/common/modes/lineStream","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports"],function(e,t,n,r,o){"use strict";function i(e){return"function"==typeof e}var s=function(){function e(e,t,n,r){if(this._mode=e,this.customization=t,this.supportsNestedModes=n,this._embeddedModesListeners={},this.supportsNestedModes&&!this._mode.registerSupport)throw new Error("Cannot be a mode with nested modes unless I can emit a tokenizationSupport changed event!");this.shouldGenerateEmbeddedModels=r,this.defaults={enterNestedMode:!i(t.enterNestedMode),getNestedMode:!i(t.getNestedMode),getNestedModeInitialState:!i(t.getNestedModeInitialState),getLeavingNestedModeData:!i(t.getLeavingNestedModeData),onReturningFromNestedMode:!i(t.onReturningFromNestedMode)}}return e.prototype.dispose=function(){for(var e in this._embeddedModesListeners)this._embeddedModesListeners[e].dispose(),delete this._embeddedModesListeners[e]},e.prototype.getInitialState=function(){return this.customization.getInitialState()},e.prototype.tokenize=function(e,t,n,r){return void 0===n&&(n=0),void 0===r&&(r=n+e.length),t.getMode()!==this._mode?this._nestedTokenize(e,t,n,r,[],[]):this._myTokenize(e,t,n,r,[],[])},e.prototype._nestedTokenize=function(e,t,n,o,i,s){for(var a=t.getStateData(),u=this.getLeavingNestedModeData(e,a),c=t;c.getStateData()&&c.getStateData().getMode()!==this._mode;)c=c.getStateData();var d=c.getMode();if(!u){var l;return l=d.tokenizationSupport?d.tokenizationSupport.tokenize(e,t,n,o):r.nullTokenize(d,e,t,n),l.tokens=i.concat(l.tokens),l.modeTransitions=s.concat(l.modeTransitions),l}var h=u.nestedModeBuffer;if(h.length>0){var p;p=d.tokenizationSupport?d.tokenizationSupport.tokenize(h,t,n,o):r.nullTokenize(d,h,t,n),t=p.endState,i=i.concat(p.tokens),s=s.concat(p.modeTransitions)}var f=u.bufferAfterNestedMode,m=u.stateAfterNestedMode;return m.setStateData(a.getStateData()),this.onReturningFromNestedMode(m,t),this._myTokenize(f,m,n+h.length,o,i,s)},e.prototype._myTokenize=function(t,r,i,s,a,u){var c,d,l=this,h=new n.LineStream(t),p=null,f=null;r=r.clone(),(u.length<=0||u[u.length-1].mode!==this._mode)&&u.push({startIndex:i,mode:this._mode});for(var m=Math.min(s-i,t.length);h.pos()<m;){d=h.pos();do{if(c=r.tokenize(h),null===c||void 0===c||(void 0===c.type||null===c.type)&&(void 0===c.nextState||null===c.nextState))throw new Error("Tokenizer must return a valid state");if(c.nextState&&(c.nextState.setStateData(r.getStateData()),r=c.nextState),h.pos()<=d)throw new Error("Stream did not advance while tokenizing. Mode id is "+this._mode.getId()+' (stuck at token type: "'+c.type+'", prepend tokens: "'+a.map(function(e){return e.type}).join(",")+'").')}while(!c.type&&""!==c.type);if((p!==c.type||c.dontMergeWithPrev||null===p)&&a.push(new o.Token(d+i,c.type)),p=c.type,this.supportsNestedModes&&this.enterNestedMode(r)){var g=this._getEmbeddedLevel(r);if(g<e.MAX_EMBEDDED_LEVELS){var v=this.getNestedModeInitialState(r),_=v.state.getMode();if("function"==typeof _.addSupportChangedListener&&!this._embeddedModesListeners.hasOwnProperty(_.getId())){var y=!1;this._embeddedModesListeners[_.getId()]=_.addSupportChangedListener(function(e){y||e.tokenizationSupport&&(y=!0,l._mode.registerSupport("tokenizationSupport",function(e){return e.tokenizationSupport}),y=!1)})}if(!h.eos()){var k=t.substr(h.pos()),E=this._nestedTokenize(k,v.state,i+h.pos(),s,a,u);return E.retokenize=E.retokenize||v.missingModePromise,E}r=v.state,f=v.missingModePromise}}}return{tokens:a,actualStopOffset:h.pos()+i,modeTransitions:u,endState:r,retokenize:f}},e.prototype._getEmbeddedLevel=function(e){for(var t=-1;e;)t++,e=e.getStateData();return t},e.prototype.enterNestedMode=function(e){return this.defaults.enterNestedMode?!1:this.customization.enterNestedMode(e)},e.prototype.getNestedMode=function(e){return this.defaults.getNestedMode?null:this.customization.getNestedMode(e)},e._validatedNestedMode=function(e){var t=new r.NullMode,n=null;return e&&e.mode&&(t=e.mode),e&&e.missingModePromise&&(n=e.missingModePromise),{mode:t,missingModePromise:n}},e.prototype.getNestedModeInitialState=function(t){if(this.defaults.getNestedModeInitialState){var n,o=e._validatedNestedMode(this.getNestedMode(t)),i=o.missingModePromise;return n=o.mode.tokenizationSupport?o.mode.tokenizationSupport.getInitialState():new r.NullState(o.mode,null),n.setStateData(t),{state:n,missingModePromise:i}}return this.customization.getNestedModeInitialState(t)},e.prototype.getLeavingNestedModeData=function(e,t){return this.defaults.getLeavingNestedModeData?null:this.customization.getLeavingNestedModeData(e,t)},e.prototype.onReturningFromNestedMode=function(e,t){return this.defaults.onReturningFromNestedMode?null:this.customization.onReturningFromNestedMode(e,t)},e.MAX_EMBEDDED_LEVELS=5,e}();t.TokenizationSupport=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/modes/monarch/monarchLexer",["require","exports","vs/editor/common/modes/abstractState","vs/editor/common/modes/lineStream","vs/editor/common/modes/monarch/monarchCommon","vs/editor/common/modes/supports/tokenizationSupport"],function(e,t,n,r,o,i){"use strict";function s(e,t){if(!t)return null;t=o.fixCase(e,t);for(var n=e.brackets,r=0;r<n.length;r++){var i=n[r];if(i.open===t)return{token:i.token,bracketType:o.MonarchBracket.Open};if(i.close===t)return{token:i.token,bracketType:o.MonarchBracket.Close}}return null}function a(e,t,n){return new i.TokenizationSupport(t,{getInitialState:function(){return new u(t,e,n)},enterNestedMode:function(e){return e instanceof u?e.embeddedEntered:!1},getNestedMode:function(t){var n=t.embeddedMode;if(!e.isRegisteredMode(n))return{mode:e.getMode("text/plain"),missingModePromise:null};var r=e.getMode(n);return r?{mode:r,missingModePromise:null}:{mode:e.getMode("text/plain"),missingModePromise:e.getOrCreateMode(n).then(function(){return null})}},getLeavingNestedModeData:function(e,t){for(var n=t.clone(),o=new r.LineStream(e);!o.eos()&&n.embeddedMode;)n.tokenize(o,!0);if(n.embeddedMode)return null;var i=o.pos();return{nestedModeBuffer:e.substring(0,i),bufferAfterNestedMode:e.substring(i),stateAfterNestedMode:n}}},n.usesEmbedded,!1)}var u=function(e){function t(n,r,o,i,s){e.call(this,n),this.id=t.ID++,this.modeService=r,this.lexer=o,this.stack=i?i:[o.start],this.embeddedMode=s?s:null,this.embeddedEntered=!1,this.groupActions=null,this.groupMatches=null,this.groupMatched=null,this.groupRule=null}return __extends(t,e),t.prototype.makeClone=function(){return new t(this.getMode(),this.modeService,this.lexer,this.stack.slice(0),this.embeddedMode)},t.prototype.equals=function(n){if(!e.prototype.equals.call(this,n))return!1;if(!(n instanceof t))return!1;var r=n;if(this.stack.length!==r.stack.length||this.lexer.name!==r.lexer.name||this.embeddedMode!==r.embeddedMode)return!1;var o;for(o in this.stack)if(this.stack.hasOwnProperty(o)&&this.stack[o]!==r.stack[o])return!1;return!0},t.prototype.tokenize=function(e,t){var n=this.stack.length,r=0,i=this.stack[0];this.embeddedEntered=!1;var a=null,u=null,c=null,d=null,l=null;if(this.groupActions)r=this.groupActions.length,a=this.groupMatches,u=this.groupMatched.shift(),c=this.groupActions.shift(),l=this.groupRule,0===this.groupActions.length&&(this.groupActions=null,this.groupMatches=null,this.groupMatched=null,this.groupRule=null);else{if(e.eos())return{type:""};var h=e.advanceToEOS();e.goBack(h.length);var p=this.lexer.tokenizer[i];if(p||(p=o.findRules(this.lexer,i)),p){l=null;var f,m=e.pos();for(f in p)if(p.hasOwnProperty(f)&&(l=p[f],(0===m||!l.matchOnlyAtLineStart)&&(a=h.match(l.regex)))){u=a[0],c=l.action;break}}else o.throwError(this.lexer,"tokenizer state is not defined: "+i)}for(a||(a=[""],u=""),c||(e.eos()||(a=[e.peek()],u=a[0]),c=this.lexer.defaultToken),e.advance(u.length);c.test;){var g=c.test(u,a,i,e.eos());c=g}var v=null;if("string"==typeof c||Array.isArray(c))v=c;else if(c.group)v=c.group;else if(null!==c.token&&void 0!==c.token){if(v=c.token,c.tokenSubst&&(v=o.substituteMatches(this.lexer,v,u,a,i)),c.nextEmbedded)if("@pop"===c.nextEmbedded)this.embeddedMode||o.throwError(this.lexer,"cannot pop embedded mode if not inside one"),this.embeddedMode=null;else if(this.embeddedMode)o.throwError(this.lexer,"cannot enter embedded mode from within an embedded mode");else{this.embeddedMode=o.substituteMatches(this.lexer,c.nextEmbedded,u,a,i);var _=this.modeService.getModeIdForLanguageName(this.embeddedMode);this.embeddedMode&&_&&(this.embeddedMode=_),this.embeddedEntered=!0}if(c.goBack&&e.goBack(c.goBack),c.switchTo&&"string"==typeof c.switchTo){var y=o.substituteMatches(this.lexer,c.switchTo,u,a,i);"@"===y[0]&&(y=y.substr(1)),o.findRules(this.lexer,y)?this.stack[0]=y:o.throwError(this.lexer,"trying to switch to a state '"+y+"' that is undefined in rule: "+l.name),d=null}else if(c.transform&&"function"==typeof c.transform)this.stack=c.transform(this.stack),d=null;else if(c.next)if("@push"===c.next)this.stack.length>=this.lexer.maxStack?o.throwError(this.lexer,"maximum tokenizer stack size reached: ["+this.stack[0]+","+this.stack[1]+",...,"+this.stack[this.stack.length-2]+","+this.stack[this.stack.length-1]+"]"):this.stack.unshift(i);else if("@pop"===c.next)this.stack.length<=1?o.throwError(this.lexer,"trying to pop an empty stack in rule: "+l.name):this.stack.shift();else if("@popall"===c.next)this.stack.length>1&&(this.stack=[this.stack[this.stack.length-1]]);else{var y=o.substituteMatches(this.lexer,c.next,u,a,i);"@"===y[0]&&(y=y.substr(1)),o.findRules(this.lexer,y)?this.stack.unshift(y):o.throwError(this.lexer,"trying to set a next state '"+y+"' that is undefined in rule: "+l.name)}c.log&&"string"==typeof c.log&&o.log(this.lexer,this.lexer.displayName+": "+o.substituteMatches(this.lexer,c.log,u,a,i))}if(null===v&&(o.throwError(this.lexer,"lexer rule has no well-defined action in rule: "+l.name),v=this.lexer.defaultToken),Array.isArray(v)){this.groupActions&&this.groupActions.length>0&&o.throwError(this.lexer,"groups cannot be nested: "+l.name),a.length!==v.length+1&&o.throwError(this.lexer,"matched number of groups does not match the number of actions in rule: "+l.name);for(var k=0,E=1;E<a.length;E++)k+=a[E].length;return k!==u.length&&o.throwError(this.lexer,"with groups, all characters should be matched in consecutive groups in rule: "+l.name),this.groupMatches=a,this.groupMatched=a.slice(1),this.groupActions=v.slice(0),this.groupRule=l,e.goBack(u.length),this.tokenize(e)}if("@rematch"===v&&(e.goBack(u.length),u="",a=null,v=""),0===u.length)if(n!==this.stack.length||i!==this.stack[0]||(this.groupActions?this.groupActions.length:0)!==r){if(!t)return this.tokenize(e)}else o.throwError(this.lexer,"no progress in tokenizer in rule: "+l.name),e.advanceToEOS();if(0===v.indexOf("@brackets")){var b=v.substr("@brackets".length),S=s(this.lexer,u);return S||(o.throwError(this.lexer,"@brackets token returned but no bracket defined as: "+u),S={token:"",bracketType:o.MonarchBracket.None}),{type:o.sanitize(S.token+b)}}var M=""===v?"":v+this.lexer.tokenPostfix;return{type:o.sanitize(M)}},t.ID=0,t}(n.AbstractState);t.MonarchLexer=u,t.createTokenizationSupport=a}),define("vs/nls!vs/editor/common/model/textModelWithTokens",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/editor/common/model/textModelWithTokens",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithTokens",["require","exports","vs/nls!vs/editor/common/model/textModelWithTokens","vs/base/common/async","vs/base/common/errors","vs/base/common/lifecycle","vs/base/common/stopwatch","vs/base/common/timer","vs/base/common/winjs.base","vs/editor/common/config/defaultConfig","vs/editor/common/core/arrays","vs/editor/common/editorCommon","vs/editor/common/model/textModel","vs/editor/common/model/textModelWithTokensHelpers","vs/editor/common/model/tokenIterator","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports","vs/editor/common/modes/supports/richEditBrackets"],function(e,t,n,r,o,i,s,a,u,c,d,l,h,p,f,m,g,v){"use strict";var _=function(){function e(){this._inflate=[""],this._deflate={"":0}}return e}();t.TokensInflatorMap=_;var y=function(){function e(e,t){var n=this;this._modePromise=e,this._externalModePromise=new u.TPromise(function(e,t,r){n._externalModePromise_c=e,n._externalModePromise_e=t},function(){}),this._model=t,this._isDisposed=!1,u.TPromise.timeout(0).then(function(){return n._modePromise}).then(function(e){if(n._isDisposed)return void n._externalModePromise_c(!1);var t=n._model;n.dispose(),t.setMode(e),t._warmUpTokens(),n._externalModePromise_c(!0)}).done(null,function(e){n._externalModePromise_e(e),o.onUnexpectedError(e)})}return e.prototype.getModePromise=function(){return this._externalModePromise},e.prototype.dispose=function(){this._modePromise=null,this._model=null,this._isDisposed=!0},e}(),k=function(){function e(e,t){var n=this;this._retokenizePromise=e,this._model=t,this._isDisposed=!1,this.isFulfilled=!1,u.TPromise.timeout(0).then(function(){return n._retokenizePromise}).then(function(){n._isDisposed||(n.isFulfilled=!0,n._model.onRetokenizerFulfilled())}).done(null,o.onUnexpectedError)}return e.prototype.getRange=function(){return null},e.prototype.dispose=function(){this._retokenizePromise=null,this._model=null,this._isDisposed=!0},e}();t.FullModelRetokenizer=k;var E=function(){function e(e,t){this.modeTransitions=t.getModeTransitions().toArray(e),this._text=t.text,this._lineTokens=t.getTokens()}return e.prototype.getLineContent=function(){return this._text},e.prototype.getTokenCount=function(){return this._lineTokens.getTokenCount()},e.prototype.getTokenStartIndex=function(e){return this._lineTokens.getTokenStartIndex(e)},e.prototype.getTokenEndIndex=function(e){return this._lineTokens.getTokenEndIndex(e,this._text.length)},e.prototype.getTokenType=function(e){return this._lineTokens.getTokenType(e)},e.prototype.getTokenText=function(e){var t=this._lineTokens.getTokenStartIndex(e),n=this._lineTokens.getTokenEndIndex(e,this._text.length);return this._text.substring(t,n)},e.prototype.findIndexOfOffset=function(e){return this._lineTokens.findIndexOfOffset(e)},e}(),b=function(e){function t(n,o,i,s){var a=this;if(n.push(l.EventType.ModelTokensChanged),n.push(l.EventType.ModelModeChanged),n.push(l.EventType.ModelModeSupportChanged),e.call(this,n,o),this._shouldAutoTokenize=i,this._shouldSimplifyMode=o.length>t.MODEL_SYNC_LIMIT,this._shouldDenyMode=o.length>t.MODEL_TOKENIZATION_LIMIT,this._stopLineTokenizationAfter=c.DefaultConfig.editor.stopLineTokenizationAfter,s)if(u.TPromise.is(s)){var d=s._value;if(d&&"function"==typeof d.getId)this._mode=this._massageMode(d),this._resetModeListener(this._mode);else{var h=s;this._modeToModelBinder=new y(h,this),this._mode=new m.NullMode}}else this._mode=this._massageMode(s),this._resetModeListener(this._mode);else this._mode=new m.NullMode;this._revalidateTokensTimeout=-1,this._scheduleRetokenizeNow=new r.RunOnceScheduler(function(){return a._retokenizeNow()},200),this._retokenizers=[],this._resetTokenizationState()}return __extends(t,e),t.prototype.dispose=function(){this._modeToModelBinder&&(this._modeToModelBinder.dispose(),this._modeToModelBinder=null),this._resetModeListener(null),this._clearTimers(),this._mode=null,this._lastState=null,this._tokensInflatorMap=null,this._retokenizers=i.disposeAll(this._retokenizers),this._scheduleRetokenizeNow.dispose(),e.prototype.dispose.call(this)},t.prototype.isTooLargeForHavingAMode=function(){return this._shouldDenyMode},t.prototype.isTooLargeForHavingARichMode=function(){return this._shouldSimplifyMode},t.prototype._massageMode=function(e){return this.isTooLargeForHavingAMode()?new m.NullMode:this.isTooLargeForHavingARichMode()?e.toSimplifiedMode():e},t.prototype.whenModeIsReady=function(){var e=this;return this._modeToModelBinder?this._modeToModelBinder.getModePromise().then(function(){return e._mode}):u.TPromise.as(this._mode)},t.prototype.onRetokenizerFulfilled=function(){this._scheduleRetokenizeNow.schedule()},t.prototype._retokenizeNow=function(){var e=this._retokenizers.filter(function(e){return e.isFulfilled});this._retokenizers=this._retokenizers.filter(function(e){return!e.isFulfilled});for(var t=!1,n=0;n<e.length;n++)e[n].getRange()||(t=!0);if(t){for(var n=0,r=this._lines.length;r>n;n++)this._lines[n].isInvalid=!0;this._invalidLineStartIndex=0}else{for(var o=Number.MAX_VALUE,n=0;n<e.length;n++){var i=e[n].getRange();o=Math.min(o,i.startLineNumber);for(var s=i.startLineNumber;s<=i.endLineNumber;s++)this._lines[s-1].isInvalid=!0}o-1<this._invalidLineStartIndex&&(this._invalidLineStartIndex<this._lines.length&&(this._lines[this._invalidLineStartIndex].isInvalid=!0),this._invalidLineStartIndex=o-1)}this._beginBackgroundTokenization();for(var n=0;n<e.length;n++)e[n].dispose()},t.prototype._createRetokenizer=function(e,t){return new k(e,this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._resetTokenizationState()},t.prototype._resetMode=function(e,t){this._mode=t,this._resetModeListener(t),this._resetTokenizationState(),this.emitModelTokensChangedEvent(1,this.getLineCount())},t.prototype._resetModeListener=function(e){var t=this;this._modeListener&&(this._modeListener.dispose(),this._modeListener=null),e&&"function"==typeof e.addSupportChangedListener&&(this._modeListener=e.addSupportChangedListener(function(e){return t._onModeSupportChanged(e)}))},t.prototype._onModeSupportChanged=function(e){this._emitModelModeSupportChangedEvent(e),e.tokenizationSupport&&(this._resetTokenizationState(),this.emitModelTokensChangedEvent(1,this.getLineCount()))},t.prototype._resetTokenizationState=function(){this._retokenizers=i.disposeAll(this._retokenizers),this._scheduleRetokenizeNow.cancel(),this._clearTimers();for(var e=0;e<this._lines.length;e++)this._lines[e].setState(null);this._initializeTokenizationState(),this._tokenizationElapsedTime=0,this._tokenizationTotalCharacters=1},t.prototype._clearTimers=function(){-1!==this._revalidateTokensTimeout&&(clearTimeout(this._revalidateTokensTimeout),this._revalidateTokensTimeout=-1)},t.prototype._initializeTokenizationState=function(){var e=null;if(this._mode.tokenizationSupport)try{e=this._mode.tokenizationSupport.getInitialState()}catch(n){n.friendlyMessage=t.MODE_TOKENIZATION_FAILED_MSG,o.onUnexpectedError(n),this._mode=new m.NullMode}e||(e=new m.NullState(this._mode,null)),this._lines[0].setState(e),this._lastState=null,this._tokensInflatorMap=new _,this._invalidLineStartIndex=0,this._beginBackgroundTokenization()},t.prototype.setStopLineTokenizationAfter=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.setStopLineTokenizationAfter: Model is disposed");this._stopLineTokenizationAfter=e},t.prototype.getLineTokens=function(e,t){if(void 0===t&&(t=!1),this._isDisposed)throw new Error("TextModelWithTokens.getLineTokens: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return t||this._updateTokensUntilLine(e,!0),this._lines[e-1].getTokens()},t.prototype.getLineContext=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.getLineContext: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._updateTokensUntilLine(e,!0),new E(this._mode,this._lines[e-1])},t.prototype._getInternalTokens=function(e){return this._updateTokensUntilLine(e,!0),this._lines[e-1].getTokens()},t.prototype.setValue=function(e,t){if(void 0===t&&(t=null),this._isDisposed)throw new Error("TextModelWithTokens.setValue: Model is disposed");var n=null;null!==e&&(n=h.TextModel.toRawText(e,{tabSize:this._options.tabSize,insertSpaces:this._options.insertSpaces,detectIndentation:!1,defaultEOL:this._options.defaultEOL})),this.setValueFromRawText(n,t)},t.prototype.setValueFromRawText=function(t,n){if(void 0===n&&(n=null),this._isDisposed)throw new Error("TextModelWithTokens.setValueFromRawText: Model is disposed");if(null!==t&&e.prototype.setValueFromRawText.call(this,t),n)if(this._modeToModelBinder&&(this._modeToModelBinder.dispose(),this._modeToModelBinder=null),u.TPromise.is(n))this._modeToModelBinder=new y(n,this);else{var r=this._massageMode(n);if(this._mode!==r){var o={oldMode:this._mode,newMode:r};this._resetMode(o,r),this._emitModelModeChangedEvent(o)}}},t.prototype.getMode=function(){if(this._isDisposed)throw new Error("TextModelWithTokens.getMode: Model is disposed");return this._mode},t.prototype.setMode=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.setMode: Model is disposed");e&&this.setValueFromRawText(null,e)},t.prototype.getModeAtPosition=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTokens.getModeAtPosition: Model is disposed");var n=this.validatePosition({lineNumber:e,column:t}),r=n.lineNumber,o=n.column;if(1===o)return this.getStateBeforeLine(r).getMode();if(o===this.getLineMaxColumn(r))return this.getStateAfterLine(r).getMode();var i=this._getLineModeTransitions(r),s=d.Arrays.findIndexInSegmentsArray(i,o-1);return i[s].mode},t.prototype._invalidateLine=function(e){this._lines[e].isInvalid=!0,e<this._invalidLineStartIndex&&(this._invalidLineStartIndex<this._lines.length&&(this._lines[this._invalidLineStartIndex].isInvalid=!0),this._invalidLineStartIndex=e,this._beginBackgroundTokenization())},t.prototype._updateLineTokens=function(e,t,n,r){this._lines[e].setTokens(t,r.tokens,n,r.modeTransitions)},t.prototype._beginBackgroundTokenization=function(){var e=this;this._shouldAutoTokenize&&-1===this._revalidateTokensTimeout&&(this._revalidateTokensTimeout=setTimeout(function(){e._revalidateTokensTimeout=-1,e._revalidateTokensNow()},0))},t.prototype._warmUpTokens=function(){if(this._isDisposed)throw new Error("TextModelWithTokens._warmUpTokens: Model is disposed");for(var e=Math.min(100,this.getLineCount()),t=e,n=1;e>=n;n++){var r=this._lines[n-1].text;if(r.length>=200){t=n-1;break}}this._revalidateTokensNow(t)},t.prototype._revalidateTokensNow=function(e){void 0===e&&(e=this._invalidLineStartIndex+1e6);var t=a.start(a.Topic.EDITOR,"backgroundTokenization");e=Math.min(this._lines.length,e);for(var n,r=20,o=this._invalidLineStartIndex+1,i=0,u=0,c=0,d=this._stopLineTokenizationAfter,l=s.StopWatch.create(!1),h=o;e>=h;h++){if(n=l.elapsed(),n>r){e=h-1;break}if(u=this._lines[h-1].text.length,-1!==d&&u>d&&(u=d),i>0&&(c=n/i*u,n+c>r)){e=h-1;break}this._updateTokensUntilLine(h,!1),i+=u}n=l.elapsed();var p=a.start(a.Topic.EDITOR,"**speed: "+this._tokenizationTotalCharacters/this._tokenizationElapsedTime);p.stop(),e>=o&&this.emitModelTokensChangedEvent(o,e),this._invalidLineStartIndex<this._lines.length&&this._beginBackgroundTokenization(),t.stop()},t.prototype.getStateBeforeLine=function(e){return this._updateTokensUntilLine(e-1,!0),this._lines[e-1].getState()},t.prototype.getStateAfterLine=function(e){return this._updateTokensUntilLine(e,!0),e<this._lines.length?this._lines[e].getState():this._lastState},t.prototype._getLineModeTransitions=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens._getLineModeTransitions: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._updateTokensUntilLine(e,!0),this._lines[e-1].getModeTransitions().toArray(this._mode)},t.prototype._updateTokensUntilLine=function(e,n){var r=this._lines.length,i=e-1,a=this._stopLineTokenizationAfter;-1===a&&(a=1e9);for(var u=s.StopWatch.create(!1),c=0,d=this._invalidLineStartIndex+1,l=e,h=this._invalidLineStartIndex;i>=h;h++){var p=h+1,f=null,g=this._lines[h].text;if(this._mode.tokenizationSupport){try{f=this._mode.tokenizationSupport.tokenize(this._lines[h].text,this._lines[h].getState(),0,a),c=f?f.actualStopOffset:this._lines[h].text.length}catch(v){v.friendlyMessage=t.MODE_TOKENIZATION_FAILED_MSG,o.onUnexpectedError(v)}f&&f.retokenize&&this._retokenizers.push(this._createRetokenizer(f.retokenize,h+1)),f&&f.tokens&&f.tokens.length>0&&(f.actualStopOffset=Math.max(f.actualStopOffset,f.tokens[f.tokens.length-1].startIndex+1)),f&&f.actualStopOffset<g.length&&(f.tokens.push({startIndex:f.actualStopOffset,type:""}),f.endState=this._lines[h].getState())}if(f||(f=m.nullTokenize(this._mode,g,this._lines[h].getState())),f.modeTransitions||(f.modeTransitions=[]),0===f.modeTransitions.length&&f.modeTransitions.push({startIndex:0,mode:this._mode}),this._updateLineTokens(h,this._tokensInflatorMap,this._mode,f),this._lines[h].isInvalid&&(this._lines[h].isInvalid=!1),r>p)if(null!==this._lines[p].getState()&&f.endState.equals(this._lines[p].getState())){for(var _=h+1;r>_&&!this._lines[_].isInvalid;){if(r>_+1){if(null===this._lines[_+1].getState())break}else if(null===this._lastState)break;_++}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,_),h=_-1}else this._lines[p].setState(f.endState);else this._lastState=f.endState}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,i+1),this._tokenizationElapsedTime+=u.elapsed(),this._tokenizationTotalCharacters+=c,n&&l>=d&&this.emitModelTokensChangedEvent(d,l)},t.prototype.emitModelTokensChangedEvent=function(e,t){var n={fromLineNumber:e,toLineNumber:t};this._isDisposing||this.emit(l.EventType.ModelTokensChanged,n)},t.prototype._emitModelModeChangedEvent=function(e){this._isDisposing||this.emit(l.EventType.ModelModeChanged,e)},t.prototype._emitModelModeSupportChangedEvent=function(e){this._isDisposing||this.emit(l.EventType.ModelModeSupportChanged,e)},t.prototype._lineIsTokenized=function(e){return this._invalidLineStartIndex>e-1},t.prototype._getWordDefinition=function(){return p.WordHelper.massageWordDefinitionOf(this._mode)},t.prototype.getWordAtPosition=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.getWordAtPosition: Model is disposed");return p.WordHelper.getWordAtPosition(this,this.validatePosition(e))},t.prototype.getWordUntilPosition=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.getWordUntilPosition: Model is disposed");var t=this.getWordAtPosition(e);return t?{word:t.word.substr(0,e.column-t.startColumn),startColumn:t.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype.getWords=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.getWords: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return p.WordHelper.getWords(this,this.validateLineNumber(e))},t.prototype.tokenIterator=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTokens.tokenIterator: Model is disposed");var n=new f.TokenIterator(this,this.validatePosition(e)),r=t(n);return n._invalidate(),r},t.prototype.findMatchingBracketUp=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTokens.findMatchingBracketUp: Model is disposed");var n=this.validatePosition(t),r=this._lines[n.lineNumber-1].getModeTransitions().toArray(this._mode),o=d.Arrays.findIndexInSegmentsArray(r,n.column-1),i=r[o],s=i.mode.richEditSupport?i.mode.richEditSupport.brackets:null;if(!s)return null;var a=s.textIsBracket[e];return a?this._findMatchingBracketUp(a,n):null},t.prototype.matchBracket=function(e,t){if(void 0===t&&(t=!1),this._isDisposed)throw new Error("TextModelWithTokens.matchBracket: Model is disposed");return this._matchBracket(this.validatePosition(e))},t.prototype._matchBracket=function(e){var t=this._tokensInflatorMap,n=e.lineNumber,r=this._lines[n-1].text,o=this._lines[n-1].getTokens(),i=o.getBinaryEncodedTokens(),s=o.findIndexOfOffset(e.column-1),a=M(i[s]),u=this._lines[n-1].getModeTransitions().toArray(this._mode),c=d.Arrays.findIndexInSegmentsArray(u,e.column-1),l=u[c],h=l.mode.richEditSupport?l.mode.richEditSupport.brackets:null;if(s>0&&a===e.column-1){var p=s-1,f=S(t,i[p]);if(!g.ignoreBracketsInToken(f)){var m=M(i[p]),_=l,y=h;if(c>0&&l.startIndex===e.column-1&&(_=u[c-1],y=_.mode.richEditSupport?_.mode.richEditSupport.brackets:null),y){m=Math.max(m,e.column-1-y.maxBracketLength);var k=v.BracketsUtils.findPrevBracketInToken(y.reversedRegex,n,r,m,a);if(k&&k.startColumn<=e.column&&e.column<=k.endColumn){var E=r.substring(k.startColumn-1,k.endColumn-1),b=this._matchFoundBracket(k,y.textIsBracket[E],y.textIsOpenBracket[E]);if(b)return b}}}}if(!g.ignoreBracketsInToken(S(t,i[s]))&&h){a=Math.max(a,e.column-1-h.maxBracketLength);var T=s+1<i.length?M(i[s+1]):r.length;for(T=Math.min(T,e.column-1+h.maxBracketLength);;){var k=v.BracketsUtils.findNextBracketInText(h.forwardRegex,n,r.substring(a,T),a);if(!k)break;if(k.startColumn<=e.column&&e.column<=k.endColumn){var E=r.substring(k.startColumn-1,k.endColumn-1),b=this._matchFoundBracket(k,h.textIsBracket[E],h.textIsOpenBracket[E]);if(b)return b}a=k.endColumn-1}}return{brackets:null,isAccurate:!0}},t.prototype._matchFoundBracket=function(e,t,n){if(n){var r=this._findMatchingBracketDown(t,e.getEndPosition());if(r)return{brackets:[e,r],isAccurate:!0}}else{var r=this._findMatchingBracketUp(t,e.getStartPosition());if(r)return{brackets:[e,r],isAccurate:!0}}return null},t.prototype._findMatchingBracketUp=function(e,t){for(var n=e.modeId,r=this._tokensInflatorMap,o=e.reversedRegex,i=-1,s=t.lineNumber;s>=1;s--){var a=this._lines[s-1].getTokens(),u=this._lines[s-1].text,c=a.getBinaryEncodedTokens(),l=this._lines[s-1].getModeTransitions().toArray(this._mode),h=l.length-1,p=l[h].startIndex,f=l[h].mode.getId(),m=c.length-1,_=u.length;
s===t.lineNumber&&(m=a.findIndexOfOffset(t.column-1),_=t.column-1,h=d.Arrays.findIndexInSegmentsArray(l,t.column-1),p=l[h].startIndex,f=l[h].mode.getId());for(var y=m;y>=0;y--){var k=c[y],E=S(r,k),b=M(k);if(p>b&&(h--,p=l[h].startIndex,f=l[h].mode.getId()),f===n&&!g.ignoreBracketsInToken(E))for(;;){var T=v.BracketsUtils.findPrevBracketInToken(o,s,u,b,_);if(!T)break;var I=u.substring(T.startColumn-1,T.endColumn-1);if(I===e.open?i++:I===e.close&&i--,0===i)return T;_=T.startColumn-1}_=b}}return null},t.prototype._findMatchingBracketDown=function(e,t){for(var n=e.modeId,r=this._tokensInflatorMap,o=e.forwardRegex,i=1,s=t.lineNumber,a=this.getLineCount();a>=s;s++){var u=this._lines[s-1].getTokens(),c=this._lines[s-1].text,l=u.getBinaryEncodedTokens(),h=this._lines[s-1].getModeTransitions().toArray(this._mode),p=0,f=p+1<h.length?h[p+1].startIndex:c.length+1,m=h[p].mode.getId(),_=0,y=M(_);s===t.lineNumber&&(_=u.findIndexOfOffset(t.column-1),y=Math.max(y,t.column-1),p=d.Arrays.findIndexInSegmentsArray(h,t.column-1),f=p+1<h.length?h[p+1].startIndex:c.length+1,m=h[p].mode.getId());for(var k=_,E=l.length;E>k;k++){var b=l[k],T=S(r,b),I=E>k+1?M(l[k+1]):c.length;if(y>=f&&(p++,f=p+1<h.length?h[p+1].startIndex:c.length+1,m=h[p].mode.getId()),m===n&&!g.ignoreBracketsInToken(T))for(;;){var C=v.BracketsUtils.findNextBracketInToken(o,s,c,y,I);if(!C)break;var x=c.substring(C.startColumn-1,C.endColumn-1);if(x===e.open?i++:x===e.close&&i--,0===i)return C;y=C.endColumn-1}y=I}}return null},t.prototype.findPrevBracket=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.findPrevBracket: Model is disposed");for(var t=this.validatePosition(e),n=this._tokensInflatorMap,r=/[\(\)\[\]\{\}]/,o=t.lineNumber;o>=1;o--){var i=this._lines[o-1].getTokens(),s=this._lines[o-1].text,a=i.getBinaryEncodedTokens(),u=a.length-1,c=s.length;o===t.lineNumber&&(u=i.findIndexOfOffset(t.column-1),c=t.column-1);for(var d=u;d>=0;d--){var l=a[d],h=S(n,l),p=M(l);if(!g.ignoreBracketsInToken(h)){var f=v.BracketsUtils.findPrevBracketInToken(r,o,s,p,c);if(f)return this._toFoundBracket(f)}c=p}}return null},t.prototype.findNextBracket=function(e){if(this._isDisposed)throw new Error("TextModelWithTokens.findNextBracket: Model is disposed");for(var t=this.validatePosition(e),n=this._tokensInflatorMap,r=/[\(\)\[\]\{\}]/,o=t.lineNumber,i=this.getLineCount();i>=o;o++){var s=this._lines[o-1].getTokens(),a=this._lines[o-1].text,u=s.getBinaryEncodedTokens(),c=0,d=M(c);o===t.lineNumber&&(c=s.findIndexOfOffset(t.column-1),d=Math.max(d,t.column-1));for(var l=c,h=u.length;h>l;l++){var p=u[l],f=S(n,p),m=h>l+1?M(u[l+1]):a.length;if(!g.ignoreBracketsInToken(f)){var _=v.BracketsUtils.findNextBracketInToken(r,o,a,d,m);if(_)return this._toFoundBracket(_)}d=m}}return null},t.prototype._toFoundBracket=function(e){if(!e)return null;var t=this.getValueInRange(e);switch(t){case"(":return{range:e,open:"(",close:")",isOpen:!0};case")":return{range:e,open:"(",close:")",isOpen:!1};case"[":return{range:e,open:"[",close:"]",isOpen:!0};case"]":return{range:e,open:"[",close:"]",isOpen:!1};case"{":return{range:e,open:"{",close:"}",isOpen:!0};case"}":return{range:e,open:"{",close:"}",isOpen:!1}}return null},t.MODE_TOKENIZATION_FAILED_MSG=n.localize(0,null),t.MODEL_SYNC_LIMIT=5242880,t.MODEL_TOKENIZATION_LIMIT=20971520,t}(h.TextModel);t.TextModelWithTokens=b;var S=l.LineTokensBinaryEncoding.getType,M=l.LineTokensBinaryEncoding.getStartIndex});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/mirrorModel",["require","exports","vs/base/common/lifecycle","vs/editor/common/editorCommon","vs/editor/common/model/modelLine","vs/editor/common/model/textModel","vs/editor/common/model/textModelWithTokens","vs/editor/common/viewModel/prefixSumComputer"],function(e,t,n,r,o,i,s,a){"use strict";function u(e,t,n){return void 0===t&&(t=null),new h(null,0,i.TextModel.toRawText(e,i.TextModel.DEFAULT_CREATION_OPTIONS),t,n)}var c=function(e){function t(t,n,o,i,s){e.call(this,t.concat([r.EventType.ModelDispose]),o,!1,i),this._setVersionId(n),this._associatedResource=s}return __extends(t,e),t.prototype.getModeId=function(){if(this._isDisposed)throw new Error("AbstractMirrorModel.getModeId: Model is disposed");return this.getMode().getId()},t.prototype.getEmbeddedAtPosition=function(e){return null},t.prototype.getAllEmbedded=function(){return[]},t.prototype._constructLines=function(t){e.prototype._constructLines.call(this,t),this._EOL="\n"},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this.emit(r.EventType.ModelDispose),e.prototype.dispose.call(this)},t.prototype.getAssociatedResource=function(){if(this._isDisposed)throw new Error("AbstractMirrorModel.getAssociatedResource: Model is disposed");return this._associatedResource},t.prototype._ensurePrefixSum=function(){if(!this._lineStarts){for(var e=[],t=this.getEOL().length,n=0,r=this._lines.length;r>n;n++)e.push(this._lines[n].text.length+t);this._lineStarts=new a.PrefixSumComputer(e)}},t.prototype.getRangeFromOffsetAndLength=function(e,t){if(this._isDisposed)throw new Error("AbstractMirrorModel.getRangeFromOffsetAndLength: Model is disposed");var n=this.getPositionFromOffset(e),r=this.getPositionFromOffset(e+t);return{startLineNumber:n.lineNumber,startColumn:n.column,endLineNumber:r.lineNumber,endColumn:r.column}},t.prototype.getOffsetAndLengthFromRange=function(e){if(this._isDisposed)throw new Error("AbstractMirrorModel.getOffsetAndLengthFromRange: Model is disposed");var t=this.getOffsetFromPosition({lineNumber:e.startLineNumber,column:e.startColumn}),n=this.getOffsetFromPosition({lineNumber:e.endLineNumber,column:e.endColumn});return{offset:t,length:n-t}},t.prototype.getPositionFromOffset=function(e){if(this._isDisposed)throw new Error("AbstractMirrorModel.getPositionFromOffset: Model is disposed");this._ensurePrefixSum();var t={index:0,remainder:0};return this._lineStarts.getIndexOf(e,t),{lineNumber:t.index+1,column:this.getEOL().length+t.remainder}},t.prototype.getOffsetFromPosition=function(e){if(this._isDisposed)throw new Error("AbstractMirrorModel.getOffsetFromPosition: Model is disposed");return this.getLineStart(e.lineNumber)+e.column-1},t.prototype.getLineStart=function(e){if(this._isDisposed)throw new Error("AbstractMirrorModel.getLineStart: Model is disposed");this._ensurePrefixSum();var t=Math.min(e,this._lines.length)-1;return this._lineStarts.getAccumulatedValue(t-1)},t.prototype.getAllWordsWithRange=function(){if(this._isDisposed)throw new Error("AbstractMirrorModel.getAllWordsWithRange: Model is disposed");if(this._lines.length>1e4)return[];var e,t=[],n=function(n){var o=r.text.substring(n.start,n.end),i={startLineNumber:e+1,startColumn:n.start+1,endLineNumber:e+1,endColumn:n.end+1};t.push({text:o,range:i})};for(e=0;e<this._lines.length;e++){var r=this._lines[e];this.wordenize(r.text).forEach(n)}return t},t.prototype.getAllWords=function(){var e=this;if(this._isDisposed)throw new Error("AbstractMirrorModel.getAllWords: Model is disposed");var t=[];return this._lines.forEach(function(n){e.wordenize(n.text).forEach(function(e){t.push(n.text.substring(e.start,e.end))})}),t},t.prototype.getAllUniqueWords=function(e){if(this._isDisposed)throw new Error("AbstractMirrorModel.getAllUniqueWords: Model is disposed");var t=!1,n={};return this.getAllWords().filter(function(r){return e&&!t&&e===r?(t=!0,!1):n[r]?!1:(n[r]=!0,!0)})},t.prototype.wordenize=function(e){for(var t,n=[],r=this._getWordDefinition();t=r.exec(e);)n.push({start:t.index,end:t.index+t[0].length});return n},t}(s.TextModelWithTokens);t.AbstractMirrorModel=c;var d=function(e){function t(n,r,o,i){e.call(this,["changed"],n.getVersionId(),t._getMirrorValueWithinRanges(n,r),o,i),this._actualModel=n}return __extends(t,e),t._getMirrorValueWithinRanges=function(e,t){var n,r="",o=1,s=1;for(n=0;n<t.length;n++){var a=t[n];r+=e.getEmptiedValueInRange({startLineNumber:o,startColumn:s,endLineNumber:a.startLineNumber,endColumn:a.startColumn}," "),r+=e.getValueInRange(a),o=a.endLineNumber,s=a.endColumn}var u=e.getLineCount(),c=e.getLineMaxColumn(u);r+=e.getEmptiedValueInRange({startLineNumber:o,startColumn:s,endLineNumber:u,endColumn:c}," ");var d=e.getOptions();return i.TextModel.toRawText(r,{tabSize:d.tabSize,insertSpaces:d.insertSpaces,detectIndentation:!1,defaultEOL:d.defaultEOL})},t.prototype.setIncludedRanges=function(e){var n=this.getVersionId();this._lineStarts=null,this._constructLines(t._getMirrorValueWithinRanges(this._actualModel,e)),this._resetTokenizationState(),this._setVersionId(n+1),this.emit("changed",{})},t}(c);t.MirrorModelEmbedded=d;var l=function(){function e(e){this.mode=e,this.ranges=[]}return e}();t.createTestMirrorModelFromString=u;var h=function(e){function t(t,n,r,o,i){e.call(this,["changed"],n,r,o,i),this._resourceService=t,this._embeddedModels={},this._updateEmbeddedModels()}return __extends(t,e),t.prototype.getEmbeddedAtPosition=function(e){if(this._isDisposed)throw new Error("MirrorModel.getEmbeddedAtPosition: Model is disposed");var t=this.getModeAtPosition(e.lineNumber,e.column);return this._embeddedModels.hasOwnProperty(t.getId())?this._embeddedModels[t.getId()]:null},t.prototype.getAllEmbedded=function(){var e=this;if(this._isDisposed)throw new Error("MirrorModel.getAllEmbedded: Model is disposed");return Object.keys(this._embeddedModels).map(function(t){return e._embeddedModels[t]})},t.prototype.dispose=function(){var t=this;e.prototype.dispose.call(this);var r=Object.keys(this._embeddedModels).map(function(e){return t._embeddedModels[e]});r.forEach(function(e){return t._resourceService.remove(e.getAssociatedResource())}),n.disposeAll(r),this._embeddedModels={}},t.prototype.setMode=function(t){e.prototype.setMode.call(this,t),this._updateEmbeddedModels()},t._getModesRanges=function(e){for(var t={},n=function(e,n){return t.hasOwnProperty(e)||(t[e]=new l(n)),t[e]},r=e.getLineCount(),o=e.getMode().getId(),i=e.getMode(),s=1,a=1,u=1;r>=u;u++)for(var c=e._getLineModeTransitions(u),d=0;d<c.length;d++){var h=c[d];if(h.mode.getId()!==o){var p=n(o,i);p.ranges.push({startLineNumber:s,startColumn:a,endLineNumber:u,endColumn:h.startIndex+1}),o=h.mode.getId(),i=h.mode,s=u,a=h.startIndex+1}}var f=r,m=e.getLineMaxColumn(f);if(s!==f||a!==m){var p=n(o,i);p.ranges.push({startLineNumber:s,startColumn:a,endLineNumber:f,endColumn:m})}return t},t.prototype._updateEmbeddedModels=function(){if(!this._resourceService||!this.getMode().tokenizationSupport||!this.getMode().tokenizationSupport.shouldGenerateEmbeddedModels)return!1;for(var e=t._getModesRanges(this),n=Object.keys(this._embeddedModels),r=0;r<n.length;r++){var o=n[r];e.hasOwnProperty(o)||this._embeddedModels[o].setIncludedRanges([{startLineNumber:1,startColumn:1,endLineNumber:1,endColumn:1}])}for(var i=Object.keys(e),r=0;r<i.length;r++){var s=i[r];if(this._embeddedModels.hasOwnProperty(s))this._embeddedModels[s].setIncludedRanges(e[s].ranges);else{var a=this.getAssociatedResource().withFragment(this.getAssociatedResource().fragment+"URL_MARSHAL_REMOVE"+s);this._embeddedModels[s]=new d(this,e[s].ranges,e[s].mode,a),this._resourceService.insert(this._embeddedModels[s].getAssociatedResource(),this._embeddedModels[s])}}return!1},t.prototype.onEvents=function(e){if(this._isDisposed)throw new Error("MirrorModel.onEvents: Model is disposed");for(var t=!1,n=0,o=e.contentChanged.length;o>n;n++){var i=e.contentChanged[n];switch(this._lineStarts=null,this._setVersionId(i.versionId),i.changeType){case r.EventType.ModelContentChangedFlush:this._onLinesFlushed(i),t=!0;break;case r.EventType.ModelContentChangedLinesDeleted:this._onLinesDeleted(i),t=!0;break;case r.EventType.ModelContentChangedLinesInserted:this._onLinesInserted(i),t=!0;break;case r.EventType.ModelContentChangedLineChanged:this._onLineChanged(i),t=!0}}var s=!1;return t&&(this.emit("changed",{}),s=this._updateEmbeddedModels()),s},t.prototype._onLinesFlushed=function(e){this._constructLines(e.detail),this._resetTokenizationState()},t.prototype._onLineChanged=function(e){this._lines[e.lineNumber-1].applyEdits({},[{startColumn:1,endColumn:Number.MAX_VALUE,text:e.detail,forceMoveMarkers:!1}]),this._invalidateLine(e.lineNumber-1)},t.prototype._onLinesDeleted=function(e){var t=e.fromLineNumber-1,n=e.toLineNumber-1,r=this._lines[t].getState();this._lines.splice(t,n-t+1),t<this._lines.length&&(this._lines[t].setState(r),this._invalidateLine(t))},t.prototype._onLinesInserted=function(e){var t,n,r=e.detail.split("\n");for(t=e.fromLineNumber-1,n=0;t<e.toLineNumber;t++,n++)this._lines.splice(t,0,new o.ModelLine(0,r[n]));e.fromLineNumber>=2&&this._invalidateLine(e.fromLineNumber-2)},t}(c);t.MirrorModel=h});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithMarkers",["require","exports","vs/editor/common/core/idGenerator","vs/editor/common/core/position","vs/editor/common/model/textModelWithTokens"],function(e,t,n,r,o){"use strict";var i=function(){function e(e,t,n){this.id=e,this.column=t,this.stickToPreviousCharacter=n,this.oldLineNumber=0,this.oldColumn=0,this.line=null}return e.prototype.toString=function(){return"{'"+this.id+"';"+this.column+","+this.stickToPreviousCharacter+",["+this.oldLineNumber+","+this.oldColumn+"]}"},e}();t.LineMarker=i;var s=0,a=function(e){function t(t,r,o){e.call(this,t,r,!0,o),this._markerIdGenerator=new n.IdGenerator(++s+";"),this._markerIdToMarker={}}return __extends(t,e),t.prototype.dispose=function(){this._markerIdToMarker=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._markerIdToMarker={}},t.prototype._addMarker=function(e,t,n){if(this._isDisposed)throw new Error("TextModelWithMarkers._addMarker: Model is disposed");var o=this.validatePosition(new r.Position(e,t)),s=new i(this._markerIdGenerator.generate(),o.column,n);return this._markerIdToMarker[s.id]=s,this._lines[o.lineNumber-1].addMarker(s),s.id},t.prototype._addMarkers=function(e){for(var t=Object.create(null),n=[],r=0,o=e.length;o>r;r++){var s=e[r],a=new i(this._markerIdGenerator.generate(),s.column,s.stickToPreviousCharacter);this._markerIdToMarker[a.id]=a,t[s.lineNumber]||(t[s.lineNumber]=[]),t[s.lineNumber].push(a),n.push(a.id)}for(var u=Object.keys(t),r=0,o=u.length;o>r;r++){var c=parseInt(u[r],10);this._lines[c-1].addMarkers(t[u[r]])}return n},t.prototype._changeMarker=function(e,t,n){if(this._isDisposed)throw new Error("TextModelWithMarkers._changeMarker: Model is disposed");if(this._markerIdToMarker.hasOwnProperty(e)){var o=this._markerIdToMarker[e],i=this.validatePosition(new r.Position(t,n));i.lineNumber!==o.line.lineNumber&&(o.line.removeMarker(o),this._lines[i.lineNumber-1].addMarker(o)),o.column=i.column}},t.prototype._changeMarkerStickiness=function(e,t){if(this._isDisposed)throw new Error("TextModelWithMarkers._changeMarkerStickiness: Model is disposed");if(this._markerIdToMarker.hasOwnProperty(e)){var n=this._markerIdToMarker[e];n.stickToPreviousCharacter!==t&&(n.stickToPreviousCharacter=t)}},t.prototype._getMarker=function(e){if(this._isDisposed)throw new Error("TextModelWithMarkers._getMarker: Model is disposed");if(this._markerIdToMarker.hasOwnProperty(e)){var t=this._markerIdToMarker[e];return new r.Position(t.line.lineNumber,t.column)}return null},t.prototype._getMarkersCount=function(){return Object.keys(this._markerIdToMarker).length},t.prototype._getLineMarkers=function(e){if(this._isDisposed)throw new Error("TextModelWithMarkers._getLineMarkers: Model is disposed");if(1>e||e>this.getLineCount())throw new Error("Illegal value "+e+" for `lineNumber`");return this._lines[e-1].getMarkers()},t.prototype._removeMarker=function(e){if(this._isDisposed)throw new Error("TextModelWithMarkers._removeMarker: Model is disposed");if(this._markerIdToMarker.hasOwnProperty(e)){var t=this._markerIdToMarker[e];t.line.removeMarker(t),delete this._markerIdToMarker[e]}},t.prototype._removeMarkers=function(e){for(var t=Object.create(null),n=0,r=e.length;r>n;n++){var o=e[n];if(this._markerIdToMarker.hasOwnProperty(o)){var i=this._markerIdToMarker[o],s=i.line.lineNumber;t[s]||(t[s]=Object.create(null)),t[s][o]=!0,delete this._markerIdToMarker[o]}}for(var a=Object.keys(t),n=0,r=a.length;r>n;n++){var s=parseInt(a[n],10);this._lines[s-1].removeMarkers(t[a[n]])}},t.prototype._getMarkersInMap=function(e){if(this._isDisposed)throw new Error("TextModelWithMarkers._getMarkersInMap: Model is disposed");var t,n=[];for(t in e)e.hasOwnProperty(t)&&this._markerIdToMarker.hasOwnProperty(t)&&n.push(this._markerIdToMarker[t]);return n},t}(o.TextModelWithTokens);t.TextModelWithMarkers=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithTrackedRanges",["require","exports","vs/editor/common/core/idGenerator","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/textModelWithMarkers","vs/editor/common/model/textModelWithTokens"],function(e,t,n,r,o,i,s){"use strict";var a=function(e){function t(t,n,r){e.call(this,t,r),this.trackedRangeId=r.addTrackedRange({startLineNumber:n,startColumn:1,endLineNumber:n,endColumn:r.getLineMaxColumn(n)},o.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges)}return __extends(t,e),t.prototype.getRange=function(){return this._model.getTrackedRange(this.trackedRangeId)},t.prototype.dispose=function(){var t=this._model;t.isValidTrackedRange(this.trackedRangeId)&&t.removeTrackedRange(this.trackedRangeId),e.prototype.dispose.call(this)},t}(s.FullModelRetokenizer),u=function(){function e(e,t,n){this.id=e,this.startMarkerId=t,this.endMarkerId=n}return e}(),c=0,d=function(e){function t(t,r,o){e.call(this,t,r,o),this._rangeIdGenerator=new n.IdGenerator(++c+";"),this._ranges={},this._markerIdToRangeId={},this._multiLineTrackedRanges={}}return __extends(t,e),t.prototype._createRetokenizer=function(e,t){return new a(e,t,this)},t.prototype.dispose=function(){this._ranges=null,this._markerIdToRangeId=null,this._multiLineTrackedRanges=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._ranges={},this._markerIdToRangeId={},this._multiLineTrackedRanges={}},t.prototype._setRangeIsMultiLine=function(e,t){var n=this._multiLineTrackedRanges.hasOwnProperty(e);!n&&t?this._multiLineTrackedRanges[e]=!0:n&&!t&&delete this._multiLineTrackedRanges[e]},t.prototype._shouldStartMarkerSticksToPreviousCharacter=function(e){return e===o.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges||e===o.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore},t.prototype._shouldEndMarkerSticksToPreviousCharacter=function(e){return e===o.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges||e===o.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore},t.prototype._getTrackedRangesCount=function(){return Object.keys(this._ranges).length},t.prototype.addTrackedRange=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTrackedRanges.addTrackedRange: Model is disposed");e=this.validateRange(e);var n=this._shouldStartMarkerSticksToPreviousCharacter(t),r=this._shouldEndMarkerSticksToPreviousCharacter(t),o=this._addMarker(e.startLineNumber,e.startColumn,n),i=this._addMarker(e.endLineNumber,e.endColumn,r),s=new u(this._rangeIdGenerator.generate(),o,i);return this._ranges[s.id]=s,this._markerIdToRangeId[o]=s.id,this._markerIdToRangeId[i]=s.id,this._setRangeIsMultiLine(s.id,e.startLineNumber!==e.endLineNumber),s.id},t.prototype._addTrackedRanges=function(e,t){for(var n=[],r=0,o=e.length;o>r;r++){var i=e[r],s=t[r];n.push({lineNumber:i.startLineNumber,column:i.startColumn,stickToPreviousCharacter:this._shouldStartMarkerSticksToPreviousCharacter(s)}),n.push({lineNumber:i.endLineNumber,column:i.endColumn,stickToPreviousCharacter:this._shouldEndMarkerSticksToPreviousCharacter(s)})}for(var a=this._addMarkers(n),c=[],r=0,o=e.length;o>r;r++){var i=e[r],d=a[2*r],l=a[2*r+1],h=new u(this._rangeIdGenerator.generate(),d,l);this._ranges[h.id]=h,this._markerIdToRangeId[d]=h.id,this._markerIdToRangeId[l]=h.id,this._setRangeIsMultiLine(h.id,i.startLineNumber!==i.endLineNumber),c.push(h.id)}return c},t.prototype.changeTrackedRange=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTrackedRanges.changeTrackedRange: Model is disposed");if(this._ranges.hasOwnProperty(e)){t=this.validateRange(t);var n=this._ranges[e];this._changeMarker(n.startMarkerId,t.startLineNumber,t.startColumn),this._changeMarker(n.endMarkerId,t.endLineNumber,t.endColumn),this._setRangeIsMultiLine(n.id,t.startLineNumber!==t.endLineNumber)}},t.prototype.changeTrackedRangeStickiness=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTrackedRanges.changeTrackedRangeStickiness: Model is disposed");if(this._ranges.hasOwnProperty(e)){var n=this._ranges[e];this._changeMarkerStickiness(n.startMarkerId,this._shouldStartMarkerSticksToPreviousCharacter(t)),this._changeMarkerStickiness(n.endMarkerId,this._shouldEndMarkerSticksToPreviousCharacter(t))}},t.prototype.isValidTrackedRange=function(e){return this._isDisposed||!this._ranges?!1:this._ranges.hasOwnProperty(e)},t.prototype.removeTrackedRange=function(e){if(this._isDisposed)throw new Error("TextModelWithTrackedRanges.removeTrackedRange: Model is disposed");if(this._ranges.hasOwnProperty(e)){var t=this._ranges[e];this._removeMarker(t.startMarkerId),this._removeMarker(t.endMarkerId),this._setRangeIsMultiLine(t.id,!1),delete this._ranges[t.id],delete this._markerIdToRangeId[t.startMarkerId],delete this._markerIdToRangeId[t.endMarkerId]}},t.prototype.removeTrackedRanges=function(e){for(var t=[],n=0,r=e.length;r>n;n++){var o=e[n];if(this._ranges.hasOwnProperty(o)){var i=this._ranges[o];t.push(i.startMarkerId),t.push(i.endMarkerId),this._setRangeIsMultiLine(i.id,!1),delete this._ranges[i.id],delete this._markerIdToRangeId[i.startMarkerId],delete this._markerIdToRangeId[i.endMarkerId]}}t.length>0&&this._removeMarkers(t)},t.prototype._newEditorRange=function(e,t){return t.isBefore(e)?new r.Range(e.lineNumber,e.column,e.lineNumber,e.column):new r.Range(e.lineNumber,e.column,t.lineNumber,t.column)},t.prototype.getTrackedRange=function(e){if(this._isDisposed)throw new Error("TextModelWithTrackedRanges.getTrackedRange: Model is disposed");var t=this._ranges[e],n=this._getMarker(t.startMarkerId),r=this._getMarker(t.endMarkerId);return this._newEditorRange(n,r)},t.prototype._getMultiLineTrackedRanges=function(e,t){var n,r,o,i,s=[];for(n in this._multiLineTrackedRanges)if(this._multiLineTrackedRanges.hasOwnProperty(n)){if(r=this._ranges[n],o=this._getMarker(r.startMarkerId),o.lineNumber>t)continue;if(i=this._getMarker(r.endMarkerId),i.lineNumber<e)continue;s.push({id:r.id,range:this._newEditorRange(o,i)})}return s},t.prototype.getLinesTrackedRanges=function(e,t){if(this._isDisposed)throw new Error("TextModelWithTrackedRanges.getLinesTrackedRanges: Model is disposed");var n,r,o,i,s,a,u,c,d=this._getMultiLineTrackedRanges(e,t),l={};for(i=0,s=d.length;s>i;i++)l[d[i].id]=!0;for(a=e;t>=a;a++)for(n=this._getLineMarkers(a),i=0,s=n.length;s>i;i++)r=n[i],this._markerIdToRangeId.hasOwnProperty(r.id)&&(o=this._markerIdToRangeId[r.id],l.hasOwnProperty(o)||(u=this._getMarker(this._ranges[o].startMarkerId),c=this._getMarker(this._ranges[o].endMarkerId),d.push({id:o,range:this._newEditorRange(u,c)}),l[o]=!0));return d},t.prototype._onChangedMarkers=function(e){var t,n,r,o,i,s,a={};for(i=0,s=e.length;s>i;i++)o=e[i],this._markerIdToRangeId.hasOwnProperty(o.id)&&(r=this._markerIdToRangeId[o.id],n=this._ranges[r],a.hasOwnProperty(n.id)?t=a[n.id]:(t={startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0},a[n.id]=t),o.id===n.startMarkerId?(t.startLineNumber=o.oldLineNumber,t.startColumn=o.oldColumn):(t.endLineNumber=o.oldLineNumber,t.endColumn=o.oldColumn),this._setRangeIsMultiLine(n.id,this._getMarker(n.startMarkerId).lineNumber!==this._getMarker(n.endMarkerId).lineNumber));return a},t}(i.TextModelWithMarkers);t.TextModelWithTrackedRanges=d});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/textModelWithDecorations",["require","exports","vs/base/common/errors","vs/base/common/htmlContent","vs/base/common/strings","vs/editor/common/core/idGenerator","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/textModelWithTrackedRanges"],function(e,t,n,r,o,i,s,a,u){"use strict";function c(e){return e.replace(/[^a-z0-9\-]/gi," ")}function d(e){return new g(e)}function l(e,t){return void 0===t&&(t=null),new _(e,t)}var h=function(){function e(){this.changedMarkers={},this.oldDecorationRange={},this.oldDecorationOptions={},this.newOrChangedDecorations={},this.removedDecorations={}}return e.prototype.addNewDecoration=function(e){this.newOrChangedDecorations[e]=!0},e.prototype.addRemovedDecoration=function(e,t,n,r){this.newOrChangedDecorations.hasOwnProperty(e)&&delete this.newOrChangedDecorations[e],this.oldDecorationRange.hasOwnProperty(e)||(this.oldDecorationRange[e]=n),this.oldDecorationOptions.hasOwnProperty(e)||(this.oldDecorationOptions[e]=r),this.removedDecorations[e]=!0},e.prototype.addMovedDecoration=function(e,t){this.oldDecorationRange.hasOwnProperty(e)||(this.oldDecorationRange[e]=t),this.newOrChangedDecorations[e]=!0},e.prototype.addUpdatedDecoration=function(e,t){this.oldDecorationOptions.hasOwnProperty(e)||(this.oldDecorationOptions[e]=t),this.newOrChangedDecorations[e]=!0},e}();t.DeferredEventsBuilder=h;var p=0,f=function(e){function t(t,n,r){t.push(a.EventType.ModelDecorationsChanged),e.call(this,t,n,r),this._decorationIdGenerator=new i.IdGenerator(++p+";"),this.decorations={},this.rangeIdToDecorationId={},this._currentDeferredEvents=null}return __extends(t,e),t.prototype.dispose=function(){this.decorations=null,this.rangeIdToDecorationId=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this.decorations={},this.rangeIdToDecorationId={}},t.prototype.changeDecorations=function(e,t){var r=this;if(void 0===t&&(t=0),this._isDisposed)throw new Error("TextModelWithDecorations.changeDecorations: Model is disposed");return this._withDeferredEvents(function(o){var i={addDecoration:function(e,n){return r._addDecorationImpl(o,t,r.validateRange(e),d(n))},changeDecoration:function(e,t){r._changeDecorationImpl(o,e,r.validateRange(t))},changeDecorationOptions:function(e,t){r._changeDecorationOptionsImpl(o,e,d(t))},removeDecoration:function(e){r._removeDecorationImpl(o,e)},deltaDecorations:function(e,n){return r._deltaDecorationsImpl(o,t,e,r._normalizeDeltaDecorations(n))}},s=null;try{s=e(i)}catch(a){n.onUnexpectedError(a)}return i.addDecoration=null,i.changeDecoration=null,i.removeDecoration=null,i.deltaDecorations=null,s})},t.prototype.deltaDecorations=function(e,t,n){if(void 0===n&&(n=0),this._isDisposed)throw new Error("TextModelWithDecorations.deltaDecorations: Model is disposed");return e||(e=[]),this.changeDecorations(function(n){return n.deltaDecorations(e,t)},n)},t.prototype.removeAllDecorationsWithOwnerId=function(e){if(this._isDisposed)throw new Error("TextModelWithDecorations.removeAllDecorationsWithOwnerId: Model is disposed");var t,n,r=[];for(t in this.decorations)this.decorations.hasOwnProperty(t)&&(n=this.decorations[t],n.ownerId===e&&r.push(n.id));this._removeDecorationsImpl(null,r)},t.prototype.getDecorationOptions=function(e){if(this._isDisposed)throw new Error("TextModelWithDecorations.getDecorationOptions: Model is disposed");return this.decorations.hasOwnProperty(e)?this.decorations[e].options:null},t.prototype.getDecorationRange=function(e){if(this._isDisposed)throw new Error("TextModelWithDecorations.getDecorationRange: Model is disposed");if(this.decorations.hasOwnProperty(e)){var t=this.decorations[e];return this.getTrackedRange(t.rangeId)}return null},t.prototype.getLineDecorations=function(e,t,n){if(void 0===t&&(t=0),void 0===n&&(n=!1),this._isDisposed)throw new Error("TextModelWithDecorations.getLineDecorations: Model is disposed");return 1>e||e>this.getLineCount()?[]:this.getLinesDecorations(e,e,t,n)},t.prototype._getDecorationsInRange=function(e,t,n,r,o,i){var s,u,c,d,l=[],h=this.getLinesTrackedRanges(e,n);for(u=0,d=h.length;d>u;u++)if(c=h[u],this.rangeIdToDecorationId.hasOwnProperty(c.id)){if(s=this.decorations[this.rangeIdToDecorationId[c.id]],o&&s.ownerId&&s.ownerId!==o)continue;if(i&&(s.options.className===a.ClassName.EditorErrorDecoration||s.options.className===a.ClassName.EditorWarningDecoration))continue;if(c.range.startLineNumber===e&&c.range.endColumn<t)continue;if(c.range.endLineNumber===n&&c.range.startColumn>r)continue;l.push({id:s.id,ownerId:s.ownerId,range:c.range,options:s.options})}return l},t.prototype.getLinesDecorations=function(e,t,n,r){if(void 0===n&&(n=0),void 0===r&&(r=!1),this._isDisposed)throw new Error("TextModelWithDecorations.getLinesDecorations: Model is disposed");var o=this.getLineCount();return e=Math.min(o,Math.max(1,e)),t=Math.min(o,Math.max(1,t)),this._getDecorationsInRange(e,1,t,Number.MAX_VALUE,n,r)},t.prototype.getDecorationsInRange=function(e,t,n){if(this._isDisposed)throw new Error("TextModelWithDecorations.getDecorationsInRange: Model is disposed");var r=this.validateRange(e);return this._getDecorationsInRange(r.startLineNumber,r.startColumn,r.endLineNumber,r.endColumn,t,n)},t.prototype.getAllDecorations=function(e,t){if(void 0===e&&(e=0),void 0===t&&(t=!1),this._isDisposed)throw new Error("TextModelWithDecorations.getAllDecorations: Model is disposed");var n,r,o=[];for(n in this.decorations)if(this.decorations.hasOwnProperty(n)){if(r=this.decorations[n],e&&r.ownerId&&r.ownerId!==e)continue;if(t&&(r.options.className===a.ClassName.EditorErrorDecoration||r.options.className===a.ClassName.EditorWarningDecoration))continue;o.push({id:r.id,ownerId:r.ownerId,range:this.getTrackedRange(r.rangeId),options:r.options})}return o},t.prototype._withDeferredEvents=function(e){var t=this;return this.deferredEmit(function(){var n=!t._currentDeferredEvents;n&&(t._currentDeferredEvents=new h);try{var r=e(t._currentDeferredEvents);n&&t._handleCollectedEvents(t._currentDeferredEvents)}finally{n&&(t._currentDeferredEvents=null)}return r})},t.prototype._handleCollectedEvents=function(e){var t=this._getMarkersInMap(e.changedMarkers),n=this._onChangedMarkers(t);this._onChangedRanges(e,n),this._handleCollectedDecorationsEvents(e);for(var r=0,o=t.length;o>r;r++)t[r].oldLineNumber=0,t[r].oldColumn=0},t.prototype._onChangedRanges=function(e,t){var n,r;for(n in t)t.hasOwnProperty(n)&&this.rangeIdToDecorationId.hasOwnProperty(n)&&(r=this.rangeIdToDecorationId[n],e.addMovedDecoration(r,t[n]))},t.prototype._handleCollectedDecorationsEvents=function(e){var t,n,r,o=[],i=[],s=[];for(t in e.newOrChangedDecorations)e.newOrChangedDecorations.hasOwnProperty(t)&&(s.push(t),n=this._getDecorationData(t),n.isForValidation=n.options.className===a.ClassName.EditorErrorDecoration||n.options.className===a.ClassName.EditorWarningDecoration,o.push(n),e.oldDecorationRange.hasOwnProperty(t)&&(r=e.oldDecorationRange[t],r.startLineNumber=r.startLineNumber||n.range.startLineNumber,r.startColumn=r.startColumn||n.range.startColumn,r.endLineNumber=r.endLineNumber||n.range.endLineNumber,r.endColumn=r.endColumn||n.range.endColumn));for(t in e.removedDecorations)e.removedDecorations.hasOwnProperty(t)&&(s.push(t),i.push(t));if(s.length>0){var u={ids:s,addedOrChangedDecorations:o,removedDecorations:i,oldOptions:e.oldDecorationOptions,oldRanges:e.oldDecorationRange};this.emitModelDecorationsChangedEvent(u);
}},t.prototype._getDecorationData=function(e){var t=this.decorations[e];return{id:t.id,ownerId:t.ownerId,range:this.getTrackedRange(t.rangeId),isForValidation:!1,options:t.options}},t.prototype.emitModelDecorationsChangedEvent=function(e){this._isDisposing||this.emit(a.EventType.ModelDecorationsChanged,e)},t.prototype._normalizeDeltaDecorations=function(e){for(var t=[],n=0,r=e.length;r>n;n++){var o=e[n];t.push(new v(n,this.validateRange(o.range),d(o.options)))}return t},t.prototype._addDecorationImpl=function(e,t,n,r){var o=this.addTrackedRange(n,r.stickiness),i=new m(this._decorationIdGenerator.generate(),t,o,r);return this.decorations[i.id]=i,this.rangeIdToDecorationId[o]=i.id,e.addNewDecoration(i.id),i.id},t.prototype._addDecorationsImpl=function(e,t,n){for(var r=this._addTrackedRanges(n.map(function(e){return e.range}),n.map(function(e){return e.options.stickiness})),o=[],i=0,s=n.length;s>i;i++){var a=r[i],u=new m(this._decorationIdGenerator.generate(),t,a,n[i].options);this.decorations[u.id]=u,this.rangeIdToDecorationId[a]=u.id,e.addNewDecoration(u.id),o.push(u.id)}return o},t.prototype._changeDecorationImpl=function(e,t,n){if(this.decorations.hasOwnProperty(t)){var r=this.decorations[t],o=this.getTrackedRange(r.rangeId);this.changeTrackedRange(r.rangeId,n),e.addMovedDecoration(t,o)}},t.prototype._changeDecorationOptionsImpl=function(e,t,n){if(this.decorations.hasOwnProperty(t)){var r=this.decorations[t],o=r.options;o.stickiness!==n.stickiness&&this.changeTrackedRangeStickiness(r.rangeId,n.stickiness),r.options=n,e.addUpdatedDecoration(t,o)}},t.prototype._removeDecorationImpl=function(e,t){if(this.decorations.hasOwnProperty(t)){var n=this.decorations[t],r=null;e&&(r=this.getTrackedRange(n.rangeId)),this.removeTrackedRange(n.rangeId),delete this.rangeIdToDecorationId[n.rangeId],delete this.decorations[t],e&&e.addRemovedDecoration(t,n.ownerId,r,n.options)}},t.prototype._removeDecorationsImpl=function(e,t){for(var n=[],r=0,o=t.length;o>r;r++){var i=t[r];if(this.decorations.hasOwnProperty(i)){var s=this.decorations[i];if(e){var a=this.getTrackedRange(s.rangeId);e.addRemovedDecoration(i,s.ownerId,a,s.options)}n.push(s.rangeId),delete this.rangeIdToDecorationId[s.rangeId],delete this.decorations[i]}}n.length>0&&this.removeTrackedRanges(n)},t.prototype._resolveOldDecorations=function(e){for(var t=[],n=0,r=e.length;r>n;n++){var o=e[n];if(this.decorations.hasOwnProperty(o)){var i=this.decorations[o];t.push({id:o,range:this.getTrackedRange(i.rangeId),options:i.options})}}return t},t.prototype._deltaDecorationsImpl=function(e,t,n,r){if(0===n.length)return this._addDecorationsImpl(e,t,r);if(0===r.length)return this._removeDecorationsImpl(e,n),[];var o=this._resolveOldDecorations(n);o.sort(function(e,t){return s.Range.compareRangesUsingStarts(e.range,t.range)}),r.sort(function(e,t){return s.Range.compareRangesUsingStarts(e.range,t.range)});for(var i=[],a=0,u=o.length,c=0,d=r.length,l=[],h=[];u>a&&d>c;){var p=o[a],f=r[c],m=s.Range.compareRangesUsingStarts(p.range,f.range);0>m?(h.push(p.id),a++):m>0?(l.push(f),c++):p.options.equals(f.options)?(i[f.index]=p.id,a++,c++):(h.push(p.id),a++)}for(;u>a;)h.push(o[a].id),a++;for(;d>c;)l.push(r[c]),c++;if(h.length>0&&this._removeDecorationsImpl(e,h),l.length>0)for(var g=this._addDecorationsImpl(e,t,l),v=0,_=l.length;_>v;v++)i[l[v].index]=g[v];return i},t}(u.TextModelWithTrackedRanges);t.TextModelWithDecorations=f;var m=function(){function e(e,t,n,r){this.id=e,this.ownerId=t,this.rangeId=n,this.options=r}return e}(),g=function(){function e(e){this.stickiness=e.stickiness||a.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges,this.className=c(e.className||o.empty),this.hoverMessage=e.hoverMessage||o.empty,this.htmlMessage=e.htmlMessage||[],this.isWholeLine=e.isWholeLine||!1,this.overviewRuler=l(e.overviewRuler,e.showInOverviewRuler),this.glyphMarginClassName=c(e.glyphMarginClassName||o.empty),this.linesDecorationsClassName=c(e.linesDecorationsClassName||o.empty),this.inlineClassName=c(e.inlineClassName||o.empty)}return e._overviewRulerEquals=function(e,t){return e.color===t.color&&e.position===t.position&&e.darkColor===t.darkColor},e.prototype.equals=function(t){return this.stickiness===t.stickiness&&this.className===t.className&&this.hoverMessage===t.hoverMessage&&this.isWholeLine===t.isWholeLine&&this.showInOverviewRuler===t.showInOverviewRuler&&this.glyphMarginClassName===t.glyphMarginClassName&&this.linesDecorationsClassName===t.linesDecorationsClassName&&this.inlineClassName===t.inlineClassName&&r.htmlContentElementArrEquals(this.htmlMessage,t.htmlMessage)&&e._overviewRulerEquals(this.overviewRuler,t.overviewRuler)},e}(),v=function(){function e(e,t,n){this.index=e,this.range=t,this.options=n}return e}(),_=function(){function e(e,t){this.color=o.empty,this.darkColor=o.empty,this.position=a.OverviewRulerLane.Center,t&&(this.color=t),e&&e.color&&(this.color=e.color),e&&e.darkColor&&(this.darkColor=e.darkColor),e&&e.hasOwnProperty("position")&&(this.position=e.position)}return e}()});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/editableTextModel",["require","exports","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/editStack","vs/editor/common/model/modelLine","vs/editor/common/model/textModelWithDecorations"],function(e,t,n,r,o,i,s){"use strict";var a=function(e){function t(t,n,i){t.push(r.EventType.ModelContentChanged),t.push(r.EventType.ModelContentChanged2),e.call(this,t,n,i),this._commandManager=new o.EditStack(this),this._isUndoing=!1,this._isRedoing=!1,this._hasEditableRange=!1,this._editableRangeId=null}return __extends(t,e),t.prototype.dispose=function(){this._commandManager=null,e.prototype.dispose.call(this)},t.prototype._resetValue=function(t,n){e.prototype._resetValue.call(this,t,n),this._commandManager=new o.EditStack(this),this._hasEditableRange=!1,this._editableRangeId=null},t.prototype.pushStackElement=function(){if(this._isDisposed)throw new Error("EditableTextModel.pushStackElement: Model is disposed");this._commandManager.pushStackElement()},t.prototype.pushEditOperations=function(e,t,n){var r=this;if(this._isDisposed)throw new Error("EditableTextModel.pushEditOperations: Model is disposed");return this.deferredEmit(function(){return r._commandManager.pushEditOperation(e,t,n)})},t.prototype._reduceOperations=function(e){return e.length<1e3?e:[this._toSingleEditOperation(e)]},t.prototype._toSingleEditOperation=function(e){for(var t=!1,r=e[0].range,o=e[e.length-1].range,i=new n.Range(r.startLineNumber,r.startColumn,o.endLineNumber,o.endColumn),s=r.startLineNumber,a=r.startColumn,u=[],c=0,d=e.length;d>c;c++){var l=e[c],h=l.range;t=t||l.forceMoveMarkers;for(var p=s;p<h.startLineNumber;p++)p===s?u.push(this._lines[p-1].text.substring(a-1)):(u.push("\n"),u.push(this._lines[p-1].text));if(h.startLineNumber===s?u.push(this._lines[h.startLineNumber-1].text.substring(a-1,h.startColumn-1)):(u.push("\n"),u.push(this._lines[h.startLineNumber-1].text.substring(0,h.startColumn-1))),l.lines)for(var f=0,m=l.lines.length;m>f;f++)0!==f&&u.push("\n"),u.push(l.lines[f]);s=l.range.endLineNumber,a=l.range.endColumn}return{sortIndex:0,identifier:e[0].identifier,range:i,rangeLength:this.getValueLengthInRange(i),lines:u.join("").split("\n"),forceMoveMarkers:t}},t._sortOpsAscending=function(e,t){var r=n.Range.compareRangesUsingEnds(e.range,t.range);return 0===r?e.sortIndex-t.sortIndex:r},t._sortOpsDescending=function(e,t){var r=n.Range.compareRangesUsingEnds(e.range,t.range);return 0===r?t.sortIndex-e.sortIndex:-r},t.prototype.applyEdits=function(e){if(0===e.length)return[];for(var n=[],r=0;r<e.length;r++){var o=e[r],i=this.validateRange(o.range);n[r]={sortIndex:r,identifier:o.identifier,range:i,rangeLength:this.getValueLengthInRange(i),lines:o.text?o.text.split(/\r\n|\r|\n/):null,forceMoveMarkers:o.forceMoveMarkers}}n.sort(t._sortOpsAscending);for(var r=0,s=n.length-1;s>r;r++){var a=n[r].range.getEndPosition(),u=n[r+1].range.getStartPosition();if(u.isBefore(a))throw new Error("Overlapping ranges are not allowed!")}n=this._reduceOperations(n);for(var c=this.getEditableRange(),d=c.getStartPosition(),l=c.getEndPosition(),r=0;r<n.length;r++){var h=n[r].range;if(!d.isBeforeOrEqual(h.getStartPosition())||!h.getEndPosition().isBeforeOrEqual(l))throw new Error("Editing outside of editable range not allowed!")}for(var p=t._getInverseEditRanges(n),f=[],r=0;r<n.length;r++)f[r]={identifier:n[r].identifier,range:p[r],text:this.getValueInRange(n[r].range),forceMoveMarkers:n[r].forceMoveMarkers};return this._applyEdits(n),f},t._getInverseEditRanges=function(e){for(var t,r,o=[],i=null,s=0,a=e.length;a>s;s++){var u=e[s],c=void 0,d=void 0;i?i.range.endLineNumber===u.range.startLineNumber?(c=t,d=r+(u.range.startColumn-i.range.endColumn)):(c=t+(u.range.startLineNumber-i.range.endLineNumber),d=u.range.startColumn):(c=u.range.startLineNumber,d=u.range.startColumn);var l=void 0;if(u.lines&&u.lines.length>0){var h=u.lines.length,p=u.lines[0],f=u.lines[h-1];l=1===h?new n.Range(c,d,c,d+p.length):new n.Range(c,d,c+h-1,f.length+1)}else l=new n.Range(c,d,c,d);t=l.endLineNumber,r=l.endColumn,o.push(l),i=u}return o},t.prototype._applyEdits=function(e){var o=this;e.sort(t._sortOpsDescending),this._withDeferredEvents(function(t){for(var s=[],a=[],u=[],c=function(e){e.startColumn===e.endColumn&&0===e.text.length||u.push(e)},d=function(){if(0!==u.length){u.reverse();for(var e=u[0].lineNumber,n=0,r=1,i=u.length;i>r;r++){var a=u[r].lineNumber;a!==e&&(o._invalidateLine(e-1),o._lines[e-1].applyEdits(t.changedMarkers,u.slice(n,r)),s.push(o._createLineChangedEvent(e)),e=a,n=r)}o._invalidateLine(e-1),o._lines[e-1].applyEdits(t.changedMarkers,u.slice(n,u.length)),s.push(o._createLineChangedEvent(e)),u=[]}},l=e[e.length-1].range.startLineNumber,h=e[0].range.endLineNumber+1,p=0,f=0,m=e.length;m>f;f++){var g=e[f],v=g.range.startLineNumber,_=g.range.startColumn,y=g.range.endLineNumber,k=g.range.endColumn;if(v!==y||_!==k||g.lines&&0!==g.lines.length){var E=y-v,b=g.lines?g.lines.length-1:0,S=Math.min(E,b);p+=b-E;for(var M=S;M>=0;M--){var T=v+M;c({lineNumber:T,startColumn:T===v?_:1,endColumn:T===y?k:o.getLineMaxColumn(T),text:g.lines?g.lines[M]:"",forceMoveMarkers:g.forceMoveMarkers})}if(E>S){d();var I=v+S,C=o.getLineMaxColumn(I),x=o._lines[y-1].split(t.changedMarkers,k,!1);o._invalidateLine(I-1);for(var w=y-I,L=[],M=0;w>M;M++){var R=I+M;L=L.concat(o._lines[R].deleteLine(t.changedMarkers,C,R+1))}o._lines.splice(I,w),o._lines[I-1].append(t.changedMarkers,x),o._lines[I-1].addMarkers(L),s.push(o._createLineChangedEvent(I)),s.push(o._createLinesDeletedEvent(I+1,I+w))}if(b>S){d();var O=v+S,D=O===v?_:1;g.lines&&(D+=g.lines[S].length);var N=o._lines[O-1].split(t.changedMarkers,D,g.forceMoveMarkers);s.push(o._createLineChangedEvent(O)),o._invalidateLine(O-1);for(var A=[],M=S+1;b>=M;M++){var P=v+M;o._lines.splice(P-1,0,new i.ModelLine(P,g.lines[M])),A.push(g.lines[M])}A[A.length-1]+=N.text,o._lines[v+b-1].append(t.changedMarkers,N),s.push(o._createLinesInsertedEvent(O+1,v+b,A.join("\n")))}a.push({range:new n.Range(v,_,y,k),rangeLength:g.rangeLength,text:g.lines?g.lines.join(o.getEOL()):"",eol:o._EOL,versionId:-1,isUndoing:o._isUndoing,isRedoing:o._isRedoing})}}d(),h=Math.max(1,Math.min(o.getLineCount(),h+p)),0!==p&&(h=o.getLineCount());for(var W=l;h>=W;W++)o._lines[W-1].updateLineNumber(t.changedMarkers,W);if(0!==s.length||0!==a.length){0===s.length&&s.push(o._createLineChangedEvent(l));var F=Math.max(s.length,a.length),B=o.getVersionId()+F;o._setVersionId(B);for(var f=s.length-1,z=B;f>=0;f--,z--)s[f].versionId=z;for(var f=a.length-1,z=B;f>=0;f--,z--)a[f].versionId=z;for(var f=0,m=s.length;m>f;f++)o.emit(r.EventType.ModelContentChanged,s[f]);for(var f=0,m=a.length;m>f;f++)o.emit(r.EventType.ModelContentChanged2,a[f])}})},t.prototype._assertLineNumbersOK=function(){for(var e=0,t=0,n=this._lines.length;n>t;t++){var r=this._lines[t],o=t+1;if(r.lineNumber!==o)throw new Error("Invalid lineNumber at line: "+o+"; text is: "+this.getValue());for(var i=r.getMarkers(),s=0,a=i.length;a>s;s++){e++;var u=i[s].id,c=this._markerIdToMarker[u];if(c.line!==r)throw new Error("Misplaced marker with id "+u)}}var d=Object.keys(this._markerIdToMarker).length;if(d!==e)throw new Error("There are misplaced markers!")},t.prototype.undo=function(){var e=this;if(this._isDisposed)throw new Error("EditableTextModel.undo: Model is disposed");return this._withDeferredEvents(function(){e._isUndoing=!0;var t=e._commandManager.undo();return e._isUndoing=!1,t?(e._overwriteAlternativeVersionId(t.recordedVersionId),t.selections):null})},t.prototype.redo=function(){var e=this;if(this._isDisposed)throw new Error("EditableTextModel.redo: Model is disposed");return this._withDeferredEvents(function(){e._isRedoing=!0;var t=e._commandManager.redo();return e._isRedoing=!1,t?(e._overwriteAlternativeVersionId(t.recordedVersionId),t.selections):null})},t.prototype.setEditableRange=function(e){if(this._isDisposed)throw new Error("EditableTextModel.setEditableRange: Model is disposed");this._commandManager.clear(),this._hasEditableRange&&(this.removeTrackedRange(this._editableRangeId),this._editableRangeId=null,this._hasEditableRange=!1),e&&(this._hasEditableRange=!0,this._editableRangeId=this.addTrackedRange(e,r.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges))},t.prototype.hasEditableRange=function(){if(this._isDisposed)throw new Error("EditableTextModel.hasEditableRange: Model is disposed");return this._hasEditableRange},t.prototype.getEditableRange=function(){if(this._isDisposed)throw new Error("EditableTextModel.getEditableRange: Model is disposed");return this._hasEditableRange?this.getTrackedRange(this._editableRangeId):this.getFullModelRange()},t.prototype._createLineChangedEvent=function(e){return{changeType:r.EventType.ModelContentChangedLineChanged,lineNumber:e,detail:this._lines[e-1].text,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t.prototype._createLinesDeletedEvent=function(e,t){return{changeType:r.EventType.ModelContentChangedLinesDeleted,fromLineNumber:e,toLineNumber:t,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t.prototype._createLinesInsertedEvent=function(e,t,n){return{changeType:r.EventType.ModelContentChangedLinesInserted,fromLineNumber:e,toLineNumber:t,detail:n,versionId:-1,isUndoing:this._isUndoing,isRedoing:this._isRedoing}},t}(s.TextModelWithDecorations);t.EditableTextModel=a});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/model/model",["require","exports","vs/base/common/uri","vs/editor/common/editorCommon","vs/editor/common/model/editableTextModel","vs/editor/common/model/textModel"],function(e,t,n,r,o,i){"use strict";var s=0,a={},u=function(e){function t(t,o,u,c){if(void 0===c&&(c=null),e.call(this,[r.EventType.ModelDispose],i.TextModel.toRawText(t,o),u),s++,this.id="$model"+s,"undefined"==typeof c||null===c?this._associatedResource=n["default"].parse("inmemory://model/"+s):this._associatedResource=c,a[String(this._associatedResource)])throw new Error("Cannot instantiate a second Model with the same URI!");this._attachedEditorCount=0,a[String(this._associatedResource)]=!0}return __extends(t,e),t.prototype.getModeId=function(){return this.getMode().getId()},t.prototype.destroy=function(){this.dispose()},t.prototype.dispose=function(){this._isDisposing=!0,delete a[String(this._associatedResource)],this.emit(r.EventType.ModelDispose),e.prototype.dispose.call(this),this._isDisposing=!1},t.prototype.onBeforeAttached=function(){if(this._isDisposed)throw new Error("Model.onBeforeAttached: Model is disposed");this._attachedEditorCount++,this._warmUpTokens()},t.prototype.onBeforeDetached=function(){if(this._isDisposed)throw new Error("Model.onBeforeDetached: Model is disposed");this._attachedEditorCount--},t.prototype.isAttachedToEditor=function(){return this._attachedEditorCount>0},t.prototype.getAssociatedResource=function(){if(this._isDisposed)throw new Error("Model.getAssociatedResource: Model is disposed");return this._associatedResource},t.DEFAULT_CREATION_OPTIONS=i.TextModel.DEFAULT_CREATION_OPTIONS,t}(o.EditableTextModel);t.Model=u}),define("vs/nls!vs/editor/common/modes/modesRegistry",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/editor/common/modes/modesRegistry",t)}),define("vs/nls!vs/editor/common/services/modeServiceImpl",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/editor/common/services/modeServiceImpl",t)}),define("vs/nls!vs/editor/common/services/modelServiceImpl",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/editor/common/services/modelServiceImpl",t)}),define("vs/nls!vs/platform/extensions/common/abstractExtensionService",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/platform/extensions/common/abstractExtensionService",t)}),define("vs/nls!vs/platform/extensions/common/extensionsRegistry",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/platform/extensions/common/extensionsRegistry",t)}),define("vs/nls!vs/platform/jsonschemas/common/jsonContributionRegistry",["vs/nls","vs/nls!vs/editor/common/worker/editorWorkerServer"],function(e,t){return e.create("vs/platform/jsonschemas/common/jsonContributionRegistry",t)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/instantiation/common/descriptors",["require","exports","vs/base/common/errors"],function(e,t,n){"use strict";var r=function(){function e(e){this._staticArguments=e}return e.prototype.appendStaticArguments=function(e){this._staticArguments.push.apply(this._staticArguments,e)},e.prototype.staticArguments=function(e){return isNaN(e)?this._staticArguments.slice(0):this._staticArguments[e]},e.prototype._validate=function(e){if(!e)throw n.illegalArgument("can not be falsy")},e}();t.AbstractDescriptor=r;var o=function(e){function t(t){for(var n=[],r=1;r<arguments.length;r++)n[r-1]=arguments[r];e.call(this,n),this._ctor=t}return __extends(t,e),Object.defineProperty(t.prototype,"ctor",{get:function(){return this._ctor},enumerable:!0,configurable:!0}),t.prototype.equals=function(e){return e===this?!0:e instanceof t?e.ctor===this.ctor:!1},t.prototype.bind=function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];var r=[];return r=r.concat(this.staticArguments()),r=r.concat(e),new(t.bind.apply(t,[void 0].concat([this._ctor],r)))},t}(r);t.SyncDescriptor=o,t.createSyncDescriptor=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new(o.bind.apply(o,[void 0].concat([e],t)))};var i=function(e){function t(t,n){for(var r=[],o=2;o<arguments.length;o++)r[o-2]=arguments[o];if(e.call(this,r),this._moduleName=t,this._ctorName=n,"string"!=typeof t)throw new Error("Invalid AsyncDescriptor arguments, expected `moduleName` to be a string!")}return __extends(t,e),t.create=function(e,n){return new t(e,n)},Object.defineProperty(t.prototype,"moduleName",{get:function(){return this._moduleName},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"ctorName",{get:function(){return this._ctorName},enumerable:!0,configurable:!0}),t.prototype.equals=function(e){return e===this?!0:e instanceof t?e.moduleName===this.moduleName&&e.ctorName===this.ctorName:!1},t.prototype.bind=function(){for(var e=[],n=0;n<arguments.length;n++)e[n-0]=arguments[n];var r=[];return r=r.concat(this.staticArguments()),r=r.concat(e),new(t.bind.apply(t,[void 0].concat([this.moduleName,this.ctorName],r)))},t}(r);t.AsyncDescriptor=i;var s=function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];return new(i.bind.apply(i,[void 0].concat([e,t],n)))};t.createAsyncDescriptor0=s,t.createAsyncDescriptor1=s,t.createAsyncDescriptor2=s,t.createAsyncDescriptor3=s,t.createAsyncDescriptor4=s,t.createAsyncDescriptor5=s,t.createAsyncDescriptor6=s,t.createAsyncDescriptor7=s}),define("vs/platform/instantiation/common/instantiation",["require","exports"],function(e,t){"use strict";function n(e){var t=function(t,n,o){if(3!==arguments.length)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t[r.DI_TARGET]===t?t[r.DI_DEPENDENCIES].push({serviceId:e,index:o}):(t[r.DI_DEPENDENCIES]=[{serviceId:e,index:o}],t[r.DI_TARGET]=t)};return t[r.DI_PROVIDES]=e,t}var r;!function(e){function t(t){return t[e.DI_PROVIDES]}function n(t){return t[e.DI_DEPENDENCIES]}e.DI_TARGET="$di$target",e.DI_DEPENDENCIES="$di$dependencies",e.DI_PROVIDES="$di$provides_service",e.getServiceId=t,e.getServiceDependencies=n}(r=t._util||(t._util={})),t.IInstantiationService=n("instantiationService"),t.createDecorator=n}),define("vs/editor/common/services/editorWorkerService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.ID_EDITOR_WORKER_SERVICE="editorWorkerService",t.IEditorWorkerService=n.createDecorator(t.ID_EDITOR_WORKER_SERVICE)});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/editor/common/modes/abstractMode",["require","exports","vs/base/common/eventEmitter","vs/base/common/winjs.base","vs/platform/instantiation/common/descriptors","vs/editor/common/modes/nullMode","vs/editor/common/modes/supports/suggestSupport","vs/editor/common/services/editorWorkerService"],function(e,t,n,r,o,i,s,a){"use strict";function u(e){return void 0===e&&(e=""),i.NullMode.createWordRegExp(e)}function c(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];var n={codeLensSupport:!1,tokenizationSupport:!1,occurrencesSupport:!1,declarationSupport:!1,typeDeclarationSupport:!1,navigateTypesSupport:!1,referenceSupport:!1,suggestSupport:!1,parameterHintsSupport:!1,extraInfoSupport:!1,outlineSupport:!1,logicalSelectionSupport:!1,formattingSupport:!1,inplaceReplaceSupport:!1,emitOutputSupport:!1,linkSupport:!1,configSupport:!1,quickFixSupport:!1,richEditSupport:!1};return e.forEach(function(e){return n[e]=!0}),n}t.createWordRegExp=u;var d=function(){function t(e,t,n,r,i){this._descriptor=e,this._workerDescriptor=o.createAsyncDescriptor2(t,n),this._superWorkerModuleId=r,this._instantiationService=i,this._workerPiecePromise=null}return t.prototype.worker=function(e){return this._getOrCreateWorker().then(e)},t.prototype._getOrCreateWorker=function(){var e=this;if(!this._workerPiecePromise){var n=this._superWorkerModuleId?t._loadModule(this._superWorkerModuleId):r.TPromise.as(null);this._workerPiecePromise=n.then(function(){return t._loadModule(e._workerDescriptor.moduleName)}).then(function(){var t=e._descriptor.workerParticipants;return r.TPromise.join(t.map(function(t){return e._instantiationService.createInstance(t)}))}).then(function(t){return e._instantiationService.createInstance(e._workerDescriptor,e._descriptor.id,t)})}return this._workerPiecePromise},t._loadModule=function(t){return new r.TPromise(function(n,r,o){e([t],n,r)},function(){})},t}();t.ModeWorkerManager=d;var l=function(){function e(e){this._modeId=e,this._eventEmitter=new n.EventEmitter,this._simplifiedMode=null}return e.prototype.getId=function(){return this._modeId},e.prototype.toSimplifiedMode=function(){return this._simplifiedMode||(this._simplifiedMode=new h(this)),this._simplifiedMode},e.prototype.addSupportChangedListener=function(e){return this._eventEmitter.addListener2("modeSupportChanged",e)},e.prototype.registerSupport=function(e,t){var n=this,r=t(this);return this[e]=r,this._eventEmitter.emit("modeSupportChanged",c(e)),{dispose:function(){n[e]===r&&(delete n[e],n._eventEmitter.emit("modeSupportChanged",c(e)))}}},e}();t.AbstractMode=l;var h=function(){function e(t){var r=this;this._sourceMode=t,this._eventEmitter=new n.EventEmitter,this._id="vs.editor.modes.simplifiedMode:"+t.getId(),this._assignSupports(),this._sourceMode.addSupportChangedListener&&this._sourceMode.addSupportChangedListener(function(t){if(t.tokenizationSupport||t.richEditSupport){r._assignSupports();var n=e._createModeSupportChangedEvent(t);r._eventEmitter.emit("modeSupportChanged",n)}})}return e.prototype.getId=function(){return this._id},e.prototype.toSimplifiedMode=function(){return this},e.prototype._assignSupports=function(){this.tokenizationSupport=this._sourceMode.tokenizationSupport,this.richEditSupport=this._sourceMode.richEditSupport},e._createModeSupportChangedEvent=function(e){var t={codeLensSupport:!1,tokenizationSupport:e.tokenizationSupport,occurrencesSupport:!1,declarationSupport:!1,typeDeclarationSupport:!1,navigateTypesSupport:!1,referenceSupport:!1,suggestSupport:!1,parameterHintsSupport:!1,extraInfoSupport:!1,outlineSupport:!1,logicalSelectionSupport:!1,formattingSupport:!1,inplaceReplaceSupport:!1,emitOutputSupport:!1,linkSupport:!1,configSupport:!1,quickFixSupport:!1,richEditSupport:e.richEditSupport};return t},e}();t.isDigit=function(){var e="0".charCodeAt(0),t="1".charCodeAt(0),n="2".charCodeAt(0),r="3".charCodeAt(0),o="4".charCodeAt(0),i="5".charCodeAt(0),s="6".charCodeAt(0),a="7".charCodeAt(0),u="8".charCodeAt(0),c="9".charCodeAt(0),d="a".charCodeAt(0),l="b".charCodeAt(0),h="c".charCodeAt(0),p="d".charCodeAt(0),f="e".charCodeAt(0),m="f".charCodeAt(0),g="A".charCodeAt(0),v="B".charCodeAt(0),_="C".charCodeAt(0),y="D".charCodeAt(0),k="E".charCodeAt(0),E="F".charCodeAt(0);return function(b,S){var M=b.charCodeAt(0);switch(S){case 1:return M===e;case 2:return M>=e&&t>=M;case 3:return M>=e&&n>=M;case 4:return M>=e&&r>=M;case 5:return M>=e&&o>=M;case 6:return M>=e&&i>=M;case 7:return M>=e&&s>=M;case 8:return M>=e&&a>=M;case 9:return M>=e&&u>=M;case 10:return M>=e&&c>=M;case 11:return M>=e&&c>=M||M===d||M===g;case 12:return M>=e&&c>=M||M>=d&&l>=M||M>=g&&v>=M;case 13:return M>=e&&c>=M||M>=d&&h>=M||M>=g&&_>=M;case 14:return M>=e&&c>=M||M>=d&&p>=M||M>=g&&y>=M;case 15:return M>=e&&c>=M||M>=d&&f>=M||M>=g&&k>=M;default:return M>=e&&c>=M||M>=d&&m>=M||M>=g&&E>=M}}}();var p=function(e){function t(t,n){e.call(this,t.id),n&&(this.suggestSupport=new s.TextualSuggestSupport(this.getId(),n))}return __extends(t,e),t=__decorate([__param(1,a.IEditorWorkerService)],t)}(l);t.FrankensteinMode=p});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/modes/monarch/monarch",["require","exports","vs/editor/common/modes/abstractMode","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/supports/richEditSupport"],function(e,t,n,r,o,i){"use strict";var s=function(e){function t(t,n,s,a,u){e.call(this,t),this.tokenizationSupport=o.createTokenizationSupport(s,this,n),this.richEditSupport=new i.RichEditSupport(this.getId(),null,r.createRichEditSupport(n)),this.suggestSupport=r.createSuggestSupport(a,u,this.getId(),n)}return __extends(t,e),t}(n.AbstractMode);t.MonarchMode=s}),define("vs/editor/common/services/modeService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IModeService=n.createDecorator("modeService")}),define("vs/editor/common/services/modelService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IModelService=n.createDecorator("modelService")}),define("vs/editor/common/services/resourceService",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.ResourceEvents={ADDED:"resource.added",REMOVED:"resource.removed",CHANGED:"resource.changed"},t.IResourceService=n.createDecorator("resourceService")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/services/resourceServiceImpl",["require","exports","vs/base/common/eventEmitter","vs/editor/common/services/resourceService"],function(e,t,n,r){"use strict";var o=function(e){function t(){e.call(this),this.serviceId=r.IResourceService,this.data={},this.unbinds={}}return __extends(t,e),t.prototype.addListener_=function(t,n){return e.prototype.addListener.call(this,t,n)},t.prototype.addListener2_=function(t,n){return e.prototype.addListener2.call(this,t,n)},t.prototype._anonymousModelId=function(e){for(var t="",n=0;n<e.length;n++){var r=e[n];t+=r>="0"&&"9">=r?"0":r>="a"&&"z">=r?"a":r>="A"&&"Z">=r?"A":r}return t},t.prototype.insert=function(e,t){var n=this;if(this.contains(e))throw new Error("ResourceService: Cannot add model "+this._anonymousModelId(e.toString())+" because it already exists!");var o=e.toString();this.data[o]=t,this.unbinds[o]=[],this.unbinds[o].push(t.addBulkListener(function(t){n.emit(r.ResourceEvents.CHANGED,{url:e,originalEvents:t})})),this.emit(r.ResourceEvents.ADDED,{url:e,addedElement:t})},t.prototype.get=function(e){return this.data[e.toString()]?this.data[e.toString()]:null},t.prototype.all=function(){var e=this;return Object.keys(this.data).map(function(t){return e.data[t]})},t.prototype.contains=function(e){return!!this.data[e.toString()]},t.prototype.remove=function(e){if(this.contains(e)){for(var t=e.toString(),n=this.data[t];this.unbinds[t].length>0;)this.unbinds[t].pop()();delete this.unbinds[t],delete this.data[t],this.emit(r.ResourceEvents.REMOVED,{url:e,removedElement:n})}},t}(n.EventEmitter);t.ResourceService=o}),define("vs/editor/common/worker/validationHelper",["require","exports","vs/base/common/async","vs/base/common/lifecycle","vs/editor/common/services/resourceService"],function(e,t,n,r,o){"use strict";var i=function(){function e(e,t){var n=this;this._toDispose=[],this._changeCallback=t,this._model=e,this._isDirty=!1,this._toDispose.push({dispose:e.addBulkListener(function(e){return n._onModelChanged(e)})})}return e.prototype.dispose=function(){this._toDispose=r.disposeAll(this._toDispose),this._changeCallback=null},e.prototype.markAsClean=function(){this._isDirty=!1},e.prototype.markAsDirty=function(){this._isDirty=!0},e.prototype.isDirty=function(){return this._isDirty},e.prototype.getMirrorModel=function(){return this._model},e.prototype._onModelChanged=function(e){for(var t=!1,n=0;!t&&n<e.length;n++)"changed"===e[n].getType()&&(t=!0);t&&this._changeCallback(this)},e}(),s=function(){function e(e,t,r){var i=this;this._toDispose=[],this._resourceService=e,this._callback=r,this._filter=function(e){return e.getMode().getId()===t},this._validationDelay=500,this._models={},this._isDueToConfigurationChange=!1,this._toDispose.push(this._resourceService.addListener2_(o.ResourceEvents.ADDED,function(e){i._onResourceAdded(e)})),this._toDispose.push(this._resourceService.addListener2_(o.ResourceEvents.REMOVED,function(e){i._onResourceRemoved(e)})),this._validate=new n.RunOnceScheduler(function(){return i._invokeCallback()},this._validationDelay),this._toDispose.push(this._validate),this._resourceService.all().forEach(function(e){
return i._addElement(e)})}return e.prototype.dispose=function(){var e=this;this._toDispose=r.disposeAll(this._toDispose),r.disposeAll(Object.keys(this._models).map(function(t){return e._models[t]})),this._models=null},e.prototype.trigger=function(){this._validate.schedule()},e.prototype.triggerDueToConfigurationChange=function(){this._isDueToConfigurationChange=!0,this._validate.schedule()},e.prototype._addElement=function(e){var t=this;if(this._filter(e)){var n=e,r=new i(n,function(e){return t._onChanged(e)});this._models[n.getAssociatedResource().toString()]=r,this._onChanged(r)}},e.prototype._onResourceAdded=function(e){var t=e.url.toString();this._models.hasOwnProperty(t)&&this._models[t].dispose(),this._addElement(e.addedElement)},e.prototype._onResourceRemoved=function(e){var t=e.url.toString();this._models.hasOwnProperty(t)&&(this._models[t].dispose(),delete this._models[t])},e.prototype._onChanged=function(e){e.markAsDirty(),this._validate.schedule()},e.prototype._invokeCallback=function(){var e=this;if(this._isEnabled){var t=[],n=[];Object.keys(this._models).map(function(t){return e._models[t]}).forEach(function(e){e.isDirty()?(t.push(e.getMirrorModel().getAssociatedResource()),e.markAsClean()):n.push(e.getMirrorModel().getAssociatedResource())});var r=this._isDueToConfigurationChange;this._isDueToConfigurationChange=!1;var o=t;r&&(o=o.concat(n)),this._callback(o)}},e.prototype.enable=function(){this._isEnabled=!0,this.trigger()},e}();t.ValidationHelper=s}),define("vs/platform/configuration/common/configuration",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";function r(e,t){function n(e,t){for(var n=e,r=0;r<t.length;r++)if(n=n[t[r]],!n)return;return n}var r=t.split(".");return n(e,r)}t.IConfigurationService=n.createDecorator("configurationService");var o=function(){function e(){}return e.UPDATED="update",e}();t.ConfigurationServiceEventTypes=o,t.extractSetting=r}),define("vs/platform/event/common/event",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IEventService=n.createDecorator("eventService")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/event/common/eventService",["require","exports","vs/base/common/eventEmitter","./event"],function(e,t,n,r){"use strict";var o=function(e){function t(){e.call(this),this.serviceId=r.IEventService}return __extends(t,e),t}(n.EventEmitter);t.EventService=o}),define("vs/platform/extensions/common/extensions",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IExtensionService=n.createDecorator("extensionService")});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/files/common/files",["require","exports","vs/base/common/paths","vs/base/common/events","vs/platform/instantiation/common/instantiation"],function(e,t,n,r,o){"use strict";t.IFileService=o.createDecorator("fileService"),function(e){e[e.UPDATED=0]="UPDATED",e[e.ADDED=1]="ADDED",e[e.DELETED=2]="DELETED"}(t.FileChangeType||(t.FileChangeType={}));var i=t.FileChangeType;t.EventType={FILE_CHANGES:"files:fileChanges"};var s=function(e){function t(t){e.call(this),this._changes=t}return __extends(t,e),Object.defineProperty(t.prototype,"changes",{get:function(){return this._changes},enumerable:!0,configurable:!0}),t.prototype.contains=function(e,t){return e?this.containsAny([e],t):!1},t.prototype.containsAny=function(e,t){return e&&e.length?this._changes.some(function(r){return r.type!==t?!1:t===i.DELETED?e.some(function(e){return e?n.isEqualOrParent(e.fsPath,r.resource.fsPath):!1}):e.some(function(e){return e?e.fsPath===r.resource.fsPath:!1})}):!1},t.prototype.getAdded=function(){return this.getOfType(i.ADDED)},t.prototype.gotAdded=function(){return this.hasType(i.ADDED)},t.prototype.getDeleted=function(){return this.getOfType(i.DELETED)},t.prototype.gotDeleted=function(){return this.hasType(i.DELETED)},t.prototype.getUpdated=function(){return this.getOfType(i.UPDATED)},t.prototype.gotUpdated=function(){return this.hasType(i.UPDATED)},t.prototype.getOfType=function(e){return this._changes.filter(function(t){return t.type===e})},t.prototype.hasType=function(e){return this._changes.some(function(t){return t.type===e})},t}(r.Event);t.FileChangesEvent=s,function(e){e[e.FILE_IS_BINARY=0]="FILE_IS_BINARY",e[e.FILE_IS_DIRECTORY=1]="FILE_IS_DIRECTORY",e[e.FILE_NOT_FOUND=2]="FILE_NOT_FOUND",e[e.FILE_NOT_MODIFIED_SINCE=3]="FILE_NOT_MODIFIED_SINCE",e[e.FILE_MODIFIED_SINCE=4]="FILE_MODIFIED_SINCE",e[e.FILE_MOVE_CONFLICT=5]="FILE_MOVE_CONFLICT",e[e.FILE_READ_ONLY=6]="FILE_READ_ONLY",e[e.FILE_TOO_LARGE=7]="FILE_TOO_LARGE"}(t.FileOperationResult||(t.FileOperationResult={}));t.FileOperationResult;t.MAX_FILE_SIZE=52428800,t.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange"},t.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:18},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:19},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:20},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:21},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:22},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:23},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:24},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:25},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:26},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:27},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:28},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:29},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:30},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:31},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:32},gbk:{labelLong:"Chinese (GBK)",labelShort:"GBK",order:33},gb18030:{labelLong:"Chinese (GB18030)",labelShort:"GB18030",order:34},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:35},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:36},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:37},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:38},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:39},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:40},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:41},"koi8-ru":{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:42},"koi8-t":{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:43},GB2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:44}}}),define("vs/platform/instantiation/common/instantiationService",["require","exports","vs/base/common/winjs.base","vs/base/common/errors","vs/base/common/strings","vs/base/common/types","vs/base/common/collections","./descriptors","vs/base/common/graph","./instantiation"],function(e,t,n,r,o,i,s,a,u,c){"use strict";function d(e){void 0===e&&(e=Object.create(null));var t=new f(e,new h);return t}var l=c.IInstantiationService;t.createInstantiationService=d;var h=function(){function e(){this._value=0}return Object.defineProperty(e.prototype,"locked",{get:function(){return 0===this._value},enumerable:!0,configurable:!0}),e.prototype.runUnlocked=function(e){this._value++;try{return e()}finally{this._value--}},e}(),p=function(){function e(e,t){var n=this;this._services=e,this._lock=t,s.forEach(this._services,function(e){n.registerService(e.key,e.value)})}return e.prototype.registerService=function(e,t){var n=this;Object.defineProperty(this,e,{get:function(){if(n._lock.locked)throw r.illegalState("the services map can only be used during construction");if(!t)throw r.illegalArgument(o.format("service with '{0}' not found",e));if(t instanceof a.SyncDescriptor){var i=n._services[e];i instanceof a.SyncDescriptor?(n._ensureInstances(e,t),t=n._services[e]):t=i}return t},set:function(e){throw r.illegalState("services cannot be changed")},configurable:!1,enumerable:!1}),this._services[e]=t},Object.defineProperty(e.prototype,"lock",{get:function(){return this._lock},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"services",{get:function(){return this._services},enumerable:!0,configurable:!0}),e.prototype._ensureInstances=function(e,t){for(var n=Object.create(null),r=new u.Graph(function(e){return e.serviceId}),o=[{serviceId:e,desc:t}];o.length;){var i=o.pop();if(r.lookupOrInsertNode(i),n[i.serviceId])throw new Error("[createInstance] cyclic dependency: "+Object.keys(n).join(">>"));n[i.serviceId]=!0;var s=c._util.getServiceDependencies(i.desc.ctor);if(Array.isArray(s))for(var d=0,l=s;d<l.length;d++){var h=l[d],p=this.services[h.serviceId];if(!p)throw new Error("[createInstance] "+e+" depends on "+h.serviceId+" which is NOT registered.");if(p instanceof a.SyncDescriptor){var f={serviceId:h.serviceId,desc:p};o.push(f),r.insertEdge(i,f)}}}for(;;){var m=r.roots();if(0===m.length){if(0!==r.length)throw new Error("[createInstance] cyclinc dependency!");break}for(var g=0,v=m;g<v.length;g++){var _=v[g],y=this.createInstance(_.data.desc,[]);this._services[_.data.serviceId]=y,r.removeNode(_.data)}}},e.prototype.invokeFunction=function(e,t){var n=this;return this._lock.runUnlocked(function(){var r={get:function(e){var t=c._util.getServiceId(e);return n[t]}};return e.apply(void 0,[r].concat(t))})},e.prototype.createInstance=function(e,t){var n=this,r=[],o=c._util.getServiceDependencies(e.ctor)||[],s=e.staticArguments().concat(t),a=s.length,u=Number.MAX_VALUE;o.forEach(function(e){var t=e.serviceId,o=e.index,i=n._lock.runUnlocked(function(){return n[t]});r[o]=i,u=Math.min(u,e.index)});for(var d=0,l=0,h=s;l<h.length;l++){var p=h[l],f=void 0!==r[d];f||(r[d]=p),d+=1}if(r.unshift(e.ctor),u!==Number.MAX_VALUE&&u!==a){var m="[createInstance] constructor '"+e.ctor.name+"' has first"+(" service dependency at position "+(u+1)+" but is called with")+(" "+(a-1)+" static arguments that are expected to come first");console.warn(m)}return this._lock.runUnlocked(function(){var t=i.create.apply(null,r);return e._validate(t),t})},e}(),f=function(){function t(e,t){this.serviceId=l,e.instantiationService=this,this._servicesMap=new p(e,t)}return t.prototype.createChild=function(e){var n={};return s.forEach(this._servicesMap.services,function(e){n[e.key]=e.value}),s.forEach(e,function(e){n[e.key]=e.value}),new t(n,this._servicesMap.lock)},t.prototype.registerService=function(e,t){this._servicesMap.registerService(e,t)},t.prototype.addSingleton=function(e,t){var n=c._util.getServiceId(e);this._servicesMap.registerService(n,t)},t.prototype.getInstance=function(e){var t=this,n=c._util.getServiceId(e),r=this._servicesMap.lock.runUnlocked(function(){return t._servicesMap[n]});return r},t.prototype.createInstance=function(e){for(var t=new Array(arguments.length-1),n=1,r=arguments.length;r>n;n++)t[n-1]=arguments[n];return e instanceof a.SyncDescriptor?this._servicesMap.createInstance(e,t):e instanceof a.AsyncDescriptor?this._createInstanceAsync(e,t):this._servicesMap.createInstance(new a.SyncDescriptor(e),t)},t.prototype._createInstanceAsync=function(t,o){var i,s=this;return new n.TPromise(function(n,u,c){e([t.moduleName],function(e){if(i&&u(i),!e)return u(r.illegalArgument("module not found: "+t.moduleName));var c;if(c=t.ctorName?e[t.ctorName]:e,"function"!=typeof c)return u(r.illegalArgument("not a function: "+t.ctorName||t.moduleName));try{o.unshift.apply(o,t.staticArguments()),n(s._servicesMap.createInstance(new a.SyncDescriptor(c),o))}catch(d){return u(d)}},u)},function(){i=r.canceled()})},t.prototype.invokeFunction=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return this._servicesMap.invokeFunction(e,t)},t}()}),define("vs/platform/markers/common/markers",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IMarkerService=n.createDecorator("markerService"),function(e){e[e["transient"]=1]="transient",e[e.permanent=2]="permanent"}(t.MarkerType||(t.MarkerType={}));t.MarkerType}),define("vs/platform/platform",["require","exports","vs/base/common/types","vs/base/common/assert"],function(e,t,n,r){"use strict";var o=function(){function e(){this.data={}}return e.prototype.add=function(e,t){r.ok(n.isString(e)),r.ok(n.isObject(t)),r.ok(!this.data.hasOwnProperty(e),"There is already an extension with this id"),this.data[e]=t},e.prototype.knows=function(e){return this.data.hasOwnProperty(e)},e.prototype.as=function(e){return this.data[e]||null},e}();t.Registry=new o;var i=function(){function e(){this.toBeInstantiated=[],this.instances=[]}return e.prototype.setInstantiationService=function(e){for(this.instantiationService=e;this.toBeInstantiated.length>0;){var t=this.toBeInstantiated.shift();this.instantiate(t)}},e.prototype.instantiate=function(e){var t=this.instantiationService.createInstance(e);this.instances.push(t)},e.prototype._register=function(e){this.instantiationService?this.instantiate(e):this.toBeInstantiated.push(e)},e.prototype._getInstances=function(){return this.instances.slice(0)},e.prototype._setInstances=function(e){this.instances=e},e}();t.BaseRegistry=i}),define("vs/editor/common/modes/modesRegistry",["require","exports","vs/nls!vs/editor/common/modes/modesRegistry","vs/base/common/event","vs/platform/platform"],function(e,t,n,r,o){"use strict";t.Extensions={ModesRegistry:"editor.modesRegistry"};var i=function(){function e(){this._onDidAddCompatModes=new r.Emitter,this.onDidAddCompatModes=this._onDidAddCompatModes.event,this._onDidAddLanguages=new r.Emitter,this.onDidAddLanguages=this._onDidAddLanguages.event,this._workerParticipants=[],this._compatModes=[],this._languages=[]}return e.prototype.registerWorkerParticipants=function(e){this._workerParticipants=e},e.prototype.registerWorkerParticipant=function(e,t,n){if("string"!=typeof e)throw new Error("InvalidArgument: expected `modeId` to be a string");if("string"!=typeof t)throw new Error("InvalidArgument: expected `moduleId` to be a string");this._workerParticipants.push({modeId:e,moduleId:t,ctorName:n})},e.prototype.getWorkerParticipantsForMode=function(e){return this._workerParticipants.filter(function(t){return t.modeId===e})},e.prototype.getWorkerParticipants=function(){return this._workerParticipants},e.prototype.registerCompatModes=function(e){this._compatModes=this._compatModes.concat(e),this._onDidAddCompatModes.fire(e)},e.prototype.registerCompatMode=function(e){this._compatModes.push(e),this._onDidAddCompatModes.fire([e])},e.prototype.getCompatModes=function(){return this._compatModes.slice(0)},e.prototype.registerLanguage=function(e){this._languages.push(e),this._onDidAddLanguages.fire([e])},e.prototype.registerLanguages=function(e){this._languages=this._languages.concat(e),this._onDidAddLanguages.fire(e)},e.prototype.getLanguages=function(){return this._languages.slice(0)},e}();t.EditorModesRegistry=i,t.ModesRegistry=new i,o.Registry.add(t.Extensions.ModesRegistry,t.ModesRegistry),t.ModesRegistry.registerLanguage({id:"plaintext",extensions:[".txt",".gitignore"],aliases:[n.localize(0,null),"text"],mimetypes:["text/plain"]})}),define("vs/editor/common/services/languagesRegistry",["require","exports","vs/base/common/errors","vs/base/common/event","vs/base/common/mime","vs/base/common/strings","vs/editor/common/modes/modesRegistry"],function(e,t,n,r,o,i,s){"use strict";var a=Object.prototype.hasOwnProperty,u=function(){function e(e){var t=this;void 0===e&&(e=!0),this._onDidAddModes=new r.Emitter,this.onDidAddModes=this._onDidAddModes.event,this.knownModeIds={},this.mime2LanguageId={},this.name2LanguageId={},this.id2Name={},this.name2Extensions={},this.compatModes={},this.lowerName2Id={},this.id2ConfigurationFiles={},e&&(this._registerCompatModes(s.ModesRegistry.getCompatModes()),s.ModesRegistry.onDidAddCompatModes(function(e){return t._registerCompatModes(e)}),this._registerLanguages(s.ModesRegistry.getLanguages()),s.ModesRegistry.onDidAddLanguages(function(e){return t._registerLanguages(e)}))}return e.prototype._registerCompatModes=function(e){for(var t=[],n=0;n<e.length;n++){var r=e[n];this._registerLanguage({id:r.id,extensions:r.extensions,filenames:r.filenames,firstLine:r.firstLine,aliases:r.aliases,mimetypes:r.mimetypes}),this.compatModes[r.id]={moduleId:r.moduleId,ctorName:r.ctorName},t.push(r.id)}this._onDidAddModes.fire(t)},e.prototype._registerLanguages=function(e){for(var t=[],n=0;n<e.length;n++)this._registerLanguage(e[n]),t.push(e[n].id);this._onDidAddModes.fire(t)},e.prototype._registerLanguage=function(e){this.knownModeIds[e.id]=!0;var t=null;if("undefined"!=typeof e.mimetypes&&Array.isArray(e.mimetypes))for(var r=0;r<e.mimetypes.length;r++)t||(t=e.mimetypes[r]),this.mime2LanguageId[e.mimetypes[r]]=e.id;if(t||(t="text/x-"+e.id,this.mime2LanguageId[t]=e.id),Array.isArray(e.extensions))for(var s=0,a=e.extensions;s<a.length;s++){var u=a[s];o.registerTextMime({mime:t,extension:u})}if(Array.isArray(e.filenames))for(var c=0,d=e.filenames;c<d.length;c++){var l=d[c];o.registerTextMime({mime:t,filename:l})}if(Array.isArray(e.filenamePatterns))for(var h=0,p=e.filenamePatterns;h<p.length;h++){var f=p[h];o.registerTextMime({mime:t,filepattern:f})}if("string"==typeof e.firstLine&&e.firstLine.length>0){var m=e.firstLine;"^"!==m.charAt(0)&&(m="^"+m);try{var g=new RegExp(m);i.regExpLeadsToEndlessLoop(g)||o.registerTextMime({mime:t,firstline:g})}catch(v){n.onUnexpectedError(v)}}if(this.lowerName2Id[e.id.toLowerCase()]=e.id,"undefined"!=typeof e.aliases&&Array.isArray(e.aliases))for(var r=0;r<e.aliases.length;r++)e.aliases[r]&&0!==e.aliases[r].length&&(this.lowerName2Id[e.aliases[r].toLowerCase()]=e.id);if(!this.id2Name[e.id]){var _=null;_="undefined"!=typeof e.aliases&&Array.isArray(e.aliases)&&e.aliases.length>0?e.aliases[0]:e.id,_&&(this.name2LanguageId[_]=e.id,this.name2Extensions[_]=e.extensions,this.id2Name[e.id]=_||"")}"string"==typeof e.configuration&&(this.id2ConfigurationFiles[e.id]=this.id2ConfigurationFiles[e.id]||[],this.id2ConfigurationFiles[e.id].push(e.configuration))},e.prototype.isRegisteredMode=function(e){return a.call(this.mime2LanguageId,e)?!0:a.call(this.knownModeIds,e)},e.prototype.getRegisteredModes=function(){return Object.keys(this.knownModeIds)},e.prototype.getRegisteredLanguageNames=function(){return Object.keys(this.name2LanguageId)},e.prototype.getLanguageName=function(e){return this.id2Name[e]||null},e.prototype.getModeIdForLanguageNameLowercase=function(e){return this.lowerName2Id[e]||null},e.prototype.getConfigurationFiles=function(e){return this.id2ConfigurationFiles[e]||[]},e.prototype.getMimeForMode=function(e){for(var t in this.mime2LanguageId)if(this.mime2LanguageId.hasOwnProperty(t)){var n=this.mime2LanguageId[t];if(n===e)return t}return null},e.prototype.extractModeIds=function(e){var t=this;return e?e.split(",").map(function(e){return e.trim()}).map(function(e){return t.mime2LanguageId[e]||e}).filter(function(e){return t.knownModeIds[e]}):[]},e.prototype.getModeIdsFromLanguageName=function(e){return e&&a.call(this.name2LanguageId,e)?[this.name2LanguageId[e]]:[]},e.prototype.getModeIdsFromFilenameOrFirstLine=function(e,t){if(!e&&!t)return[];var n=o.guessMimeTypes(e,t);return this.extractModeIds(n.join(","))},e.prototype.getCompatMode=function(e){return this.compatModes[e]||null},e.prototype.getExtensions=function(e){return this.name2Extensions[e]},e}();t.LanguagesRegistry=u}),define("vs/platform/jsonschemas/common/jsonContributionRegistry",["require","exports","vs/nls!vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/platform","vs/base/common/eventEmitter"],function(e,t,n,r,o){"use strict";function i(e){return e.length>0&&"#"===e.charAt(e.length-1)?e.substring(0,e.length-1):e}t.Extensions={JSONContribution:"base.contributions.json"};var s=function(){function e(){this.schemasById={},this.schemaAssociations={},this.eventEmitter=new o.EventEmitter}return e.prototype.addRegistryChangedListener=function(e){return this.eventEmitter.addListener2("registryChanged",e)},e.prototype.registerSchema=function(e,t){this.schemasById[i(e)]=t,this.eventEmitter.emit("registryChanged",{})},e.prototype.addSchemaFileAssociation=function(e,t){var n=this.schemaAssociations[e];n||(n=[],this.schemaAssociations[e]=n),n.push(t),this.eventEmitter.emit("registryChanged",{})},e.prototype.getSchemaContributions=function(){return{schemas:this.schemasById,schemaAssociations:this.schemaAssociations}},e}(),a=new s;r.Registry.add(t.Extensions.JSONContribution,a),a.registerSchema("http://json-schema.org/draft-04/schema#",{id:"http://json-schema.org/draft-04/schema#",title:n.localize(0,null),$schema:"http://json-schema.org/draft-04/schema#",definitions:{schemaArray:{type:"array",minItems:1,items:{$ref:"#"}},positiveInteger:{type:"integer",minimum:0},positiveIntegerDefault0:{allOf:[{$ref:"#/definitions/positiveInteger"},{"default":0}]},simpleTypes:{type:"string","enum":["array","boolean","integer","null","number","object","string"]},stringArray:{type:"array",items:{type:"string"},minItems:1,uniqueItems:!0}},type:"object",properties:{id:{type:"string",format:"uri",description:n.localize(1,null)},$schema:{type:"string",format:"uri",description:n.localize(2,null)},title:{type:"string",description:n.localize(3,null)},description:{type:"string",description:n.localize(4,null)},"default":{description:n.localize(5,null)},multipleOf:{type:"number",minimum:0,exclusiveMinimum:!0,description:n.localize(6,null)},maximum:{type:"number",description:n.localize(7,null)},exclusiveMaximum:{type:"boolean","default":!1,description:n.localize(8,null)},minimum:{type:"number",description:n.localize(9,null)},exclusiveMinimum:{type:"boolean","default":!1,description:n.localize(10,null)},maxLength:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(11,null)},minLength:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(12,null)},pattern:{type:"string",format:"regex",description:n.localize(13,null)},additionalItems:{anyOf:[{type:"boolean"},{$ref:"#"}],"default":{},description:n.localize(14,null)},items:{anyOf:[{$ref:"#"},{$ref:"#/definitions/schemaArray"}],"default":{},description:n.localize(15,null)},maxItems:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(16,null)},minItems:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(17,null)},uniqueItems:{type:"boolean","default":!1,description:n.localize(18,null)},maxProperties:{allOf:[{$ref:"#/definitions/positiveInteger"}],description:n.localize(19,null)},minProperties:{allOf:[{$ref:"#/definitions/positiveIntegerDefault0"}],description:n.localize(20,null)},required:{allOf:[{$ref:"#/definitions/stringArray"}],description:n.localize(21,null)},additionalProperties:{anyOf:[{type:"boolean"},{$ref:"#"}],"default":{},description:n.localize(22,null)},definitions:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(23,null)},properties:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(24,null)},patternProperties:{type:"object",additionalProperties:{$ref:"#"},"default":{},description:n.localize(25,null)},dependencies:{type:"object",additionalProperties:{anyOf:[{$ref:"#"},{$ref:"#/definitions/stringArray"}]},description:n.localize(26,null)},"enum":{type:"array",minItems:1,uniqueItems:!0,description:n.localize(27,null)},type:{anyOf:[{$ref:"#/definitions/simpleTypes"},{type:"array",items:{$ref:"#/definitions/simpleTypes"},minItems:1,uniqueItems:!0}],description:n.localize(28,null)},format:{anyOf:[{type:"string",description:n.localize(29,null),"enum":["date-time","uri","email","hostname","ipv4","ipv6","regex"]},{type:"string"}]},allOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(30,null)},anyOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(31,null)},oneOf:{allOf:[{$ref:"#/definitions/schemaArray"}],description:n.localize(32,null)},not:{allOf:[{$ref:"#"}],description:n.localize(33,null)}},dependencies:{exclusiveMaximum:["maximum"],exclusiveMinimum:["minimum"]},"default":{}})}),define("vs/platform/extensions/common/extensionsRegistry",["require","exports","vs/nls!vs/platform/extensions/common/extensionsRegistry","vs/base/common/errors","vs/base/common/paths","vs/base/common/severity","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/platform"],function(e,t,n,r,o,i,s,a){"use strict";function u(e,t,r){if(!t)return r.push(n.localize(0,null)),!1;if("string"!=typeof t.publisher)return r.push(n.localize(1,null,"publisher")),!1;if("string"!=typeof t.name)return r.push(n.localize(2,null,"name")),!1;if("string"!=typeof t.version)return r.push(n.localize(3,null,"version")),!1;if(!t.engines)return r.push(n.localize(4,null,"engines")),!1;if("string"!=typeof t.engines.vscode)return r.push(n.localize(5,null,"engines.vscode")),!1;if("undefined"!=typeof t.extensionDependencies&&!c(t.extensionDependencies))return r.push(n.localize(6,null,"extensionDependencies")),!1;if("undefined"!=typeof t.activationEvents){if(!c(t.activationEvents))return r.push(n.localize(7,null,"activationEvents")),!1;if("undefined"==typeof t.main)return r.push(n.localize(8,null,"activationEvents","main")),!1}if("undefined"!=typeof t.main){if("string"!=typeof t.main)return r.push(n.localize(9,null,"main")),!1;var i=o.normalize(o.join(e,t.main));if(i.indexOf(e)&&r.push(n.localize(10,null,i,e)),"undefined"==typeof t.activationEvents)return r.push(n.localize(11,null,"activationEvents","main")),!1}return!0}function c(e){if(!Array.isArray(e))return!1;for(var t=0,n=e.length;n>t;t++)if("string"!=typeof e[t])return!1;return!0}var d=function(){function e(e,t){this._messageHandler=e,this._source=t}return e.prototype._msg=function(e,t){this._messageHandler({type:e,message:t,source:this._source})},e.prototype.error=function(e){this._msg(i["default"].Error,e)},e.prototype.warn=function(e){this._msg(i["default"].Warning,e)},e.prototype.info=function(e){this._msg(i["default"].Info,e)},e}();t.isValidExtensionDescription=u;var l=Object.hasOwnProperty,h=a.Registry.as(s.Extensions.JSONContribution),p=function(){function e(e,t){this.name=e,this._registry=t,this._handler=null,this._messageHandler=null}return e.prototype.setHandler=function(e){if(this._handler)throw new Error("Handler already set!");this._handler=e,this._handle()},e.prototype.handle=function(e){this._messageHandler=e,this._handle()},e.prototype._handle=function(){var e=this;this._handler&&this._messageHandler&&this._registry.registerPointListener(this.name,function(t){var n=t.map(function(t){return{description:t,value:t.contributes[e.name],collector:new d(e._messageHandler,t.extensionFolderPath)}});e._handler(n)})},e}(),f="vscode://schemas/vscode-extensions",m={"default":{name:"{{name}}",description:"{{description}}",author:"{{author}}",version:"{{1.0.0}}",main:"{{pathToMain}}",dependencies:{}},properties:{displayName:{description:n.localize(12,null),type:"string"},categories:{description:n.localize(13,null),type:"array",items:{type:"string","enum":["Languages","Snippets","Linters","Themes","Debuggers","Other"]}},galleryBanner:{type:"object",description:n.localize(14,null),properties:{color:{description:n.localize(15,null),type:"string"},theme:{description:n.localize(16,null),type:"string","enum":["dark","light"]}}},publisher:{description:n.localize(17,null),type:"string"},activationEvents:{description:n.localize(18,null),type:"array",items:{type:"string"}},extensionDependencies:{description:n.localize(19,null),type:"array",items:{type:"string"}},scripts:{type:"object",properties:{"vscode:prepublish":{description:n.localize(20,null),type:"string"}}},contributes:{description:n.localize(21,null),type:"object",properties:{},"default":{}}}},g=function(){function e(){this._extensionsMap={},this._extensionsArr=[],this._activationMap={},this._pointListeners=[],this._extensionPoints={},this._oneTimeActivationEventListeners={}}return e.prototype.registerPointListener=function(t,n){var r={extensionPoint:t,listener:n};this._pointListeners.push(r),this._triggerPointListener(r,e._filterWithExtPoint(this.getAllExtensionDescriptions(),t))},e.prototype.registerExtensionPoint=function(e,t){if(l.call(this._extensionPoints,e))throw new Error("Duplicate extension point: "+e);var n=new p(e,this);return this._extensionPoints[e]=n,m.properties.contributes.properties[e]=t,h.registerSchema(f,m),n},e.prototype.handleExtensionPoints=function(e){var t=this;Object.keys(this._extensionPoints).forEach(function(n){t._extensionPoints[n].handle(e)})},e.prototype._triggerPointListener=function(e,t){if(t&&0!==t.length)try{e.listener(t)}catch(n){r.onUnexpectedError(n)}},e.prototype.registerExtensions=function(t){for(var n=0,r=t.length;r>n;n++){var o=t[n];if(l.call(this._extensionsMap,o.id))console.error("Extension `"+o.id+"` is already registered");else if(this._extensionsMap[o.id]=o,this._extensionsArr.push(o),Array.isArray(o.activationEvents))for(var i=0,s=o.activationEvents.length;s>i;i++){var a=o.activationEvents[i];this._activationMap[a]=this._activationMap[a]||[],this._activationMap[a].push(o)}}for(var n=0,r=this._pointListeners.length;r>n;n++){var u=this._pointListeners[n],c=e._filterWithExtPoint(t,u.extensionPoint);this._triggerPointListener(u,c)}},e._filterWithExtPoint=function(e,t){return e.filter(function(e){return e.contributes&&l.call(e.contributes,t)})},e.prototype.getExtensionDescriptionsForActivationEvent=function(e){return l.call(this._activationMap,e)?this._activationMap[e].slice(0):[]},e.prototype.getAllExtensionDescriptions=function(){return this._extensionsArr.slice(0)},e.prototype.getExtensionDescription=function(e){return l.call(this._extensionsMap,e)?this._extensionsMap[e]:null},e.prototype.registerOneTimeActivationEventListener=function(e,t){l.call(this._oneTimeActivationEventListeners,e)||(this._oneTimeActivationEventListeners[e]=[]),this._oneTimeActivationEventListeners[e].push(t)},e.prototype.triggerActivationEventListeners=function(e){if(l.call(this._oneTimeActivationEventListeners,e)){var t=this._oneTimeActivationEventListeners[e];delete this._oneTimeActivationEventListeners[e];
for(var n=0,o=t.length;o>n;n++){var i=t[n];try{i()}catch(s){r.onUnexpectedError(s)}}}},e}(),v={ExtensionsRegistry:"ExtensionsRegistry"};a.Registry.add(v.ExtensionsRegistry,new g),t.ExtensionsRegistry=a.Registry.as(v.ExtensionsRegistry),h.registerSchema(f,m),h.addSchemaFileAssociation("/package.json",f)}),define("vs/platform/extensions/common/abstractExtensionService",["require","exports","vs/nls!vs/platform/extensions/common/abstractExtensionService","vs/base/common/severity","vs/base/common/winjs.base","vs/platform/extensions/common/extensions","vs/platform/extensions/common/extensionsRegistry"],function(e,t,n,r,o,i,s){"use strict";var a=Object.hasOwnProperty,u=function(){function e(e){this.activationFailed=e}return e}();t.ActivatedExtension=u;var c=function(){function e(e){var t=this;this.serviceId=i.IExtensionService,e?(this._onReady=o.TPromise.as(!0),this._onReadyC=function(e){}):this._onReady=new o.TPromise(function(e,n,r){t._onReadyC=e},function(){console.warn("You should really not try to cancel this ready promise!")}),this._activatingExtensions={},this._activatedExtensions={}}return e.prototype._triggerOnReady=function(){this._onReadyC(!0)},e.prototype.onReady=function(){return this._onReady},e.prototype.getExtensionsStatus=function(){return null},e.prototype.isActivated=function(e){return a.call(this._activatedExtensions,e)},e.prototype.activateByEvent=function(e){var t=this;return this._onReady.then(function(){s.ExtensionsRegistry.triggerActivationEventListeners(e);var n=s.ExtensionsRegistry.getExtensionDescriptionsForActivationEvent(e);return t._activateExtensions(n,0)})},e.prototype.activateById=function(e){var t=this;return this._onReady.then(function(){var n=s.ExtensionsRegistry.getExtensionDescription(e);if(!n)throw new Error("Extension `"+e+"` is not known");return t._activateExtensions([n],0)})},e.prototype._handleActivateRequest=function(e,t,o){for(var i="undefined"==typeof e.extensionDependencies?[]:e.extensionDependencies,u=!0,c=0,d=i.length;d>c;c++){var l=i[c],h=s.ExtensionsRegistry.getExtensionDescription(l);if(!h)return this._showMessage(r["default"].Error,n.localize(0,null,l,e.id)),void(this._activatedExtensions[e.id]=this._createFailedExtension());if(a.call(this._activatedExtensions,l)){var p=this._activatedExtensions[l];if(p.activationFailed)return this._showMessage(r["default"].Error,n.localize(1,null,l,e.id)),void(this._activatedExtensions[e.id]=this._createFailedExtension())}else u=!1,t[l]=h}u?t[e.id]=e:o.push(e)},e.prototype._activateExtensions=function(e,t){var i=this;if(0===e.length)return o.TPromise.as(void 0);if(e=e.filter(function(e){return!a.call(i._activatedExtensions,e.id)}),0===e.length)return o.TPromise.as(void 0);if(t>10){for(var s=0,u=e.length;u>s;s++)this._showMessage(r["default"].Error,n.localize(2,null,e[s].id)),this._activatedExtensions[e[s].id]=this._createFailedExtension();return o.TPromise.as(void 0)}for(var c=Object.create(null),d=[],s=0,u=e.length;u>s;s++)this._handleActivateRequest(e[s],c,d);for(var s=0,u=d.length;u>s;s++)c[d[s].id]&&delete c[d[s].id];var l=Object.keys(c).map(function(e){return c[e]});return 0===d.length?o.TPromise.join(l.map(function(e){return i._activateExtension(e)})).then(function(e){}):this._activateExtensions(l,t+1).then(function(e){return i._activateExtensions(d,t+1)})},e.prototype._activateExtension=function(e){var t=this;return a.call(this._activatedExtensions,e.id)?o.TPromise.as(void 0):a.call(this._activatingExtensions,e.id)?this._activatingExtensions[e.id]:(this._activatingExtensions[e.id]=this._actualActivateExtension(e).then(null,function(o){return t._showMessage(r["default"].Error,n.localize(3,null,e.id,o.message)),console.error("Activating extension `"+e.id+"` failed: ",o.message),console.log("Here is the error stack: ",o.stack),t._createFailedExtension()}).then(function(n){t._activatedExtensions[e.id]=n,delete t._activatingExtensions[e.id]}),this._activatingExtensions[e.id])},e}();t.AbstractExtensionService=c}),define("vs/platform/request/common/request",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IRequestService=n.createDecorator("requestService")}),define("vs/platform/request/common/baseRequestService",["require","exports","vs/base/common/uri","vs/base/common/strings","vs/base/common/timer","vs/base/common/async","vs/base/common/winjs.base","vs/base/common/objects","vs/platform/request/common/request"],function(e,t,n,r,o,i,s,a,u){"use strict";var c=function(){function e(e,t){this.serviceId=u.IRequestService;var n=null,o=e.getWorkspace();this._serviceMap=o||Object.create(null),this._telemetryService=t,o&&(n=r.rtrim(o.resource.toString(),"/")+"/"),this.computeOrigin(n)}return e.prototype.computeOrigin=function(e){if(e){this._origin=e;var t=n["default"].parse(this._origin).path;t&&t.length>0&&(this._origin=this._origin.substring(0,this._origin.length-t.length+1)),r.endsWith(this._origin,"/")||(this._origin+="/")}else this._origin="/"},e.prototype.makeCrossOriginRequest=function(e){return null},e.prototype.makeRequest=function(e){var t=o.nullEvent,n=!1,u=e.url;if(!u)throw new Error("IRequestService.makeRequest: Url is required");if((r.startsWith(u,"http://")||r.startsWith(u,"https://"))&&this._origin&&!r.startsWith(u,this._origin)){var c=this.makeCrossOriginRequest(e);if(c)return c;n=!0}var d=e;if(!n){var l={};this._telemetryService&&(l["X-TelemetrySession"]=this._telemetryService.getSessionId()),l["X-Requested-With"]="XMLHttpRequest",d.headers=a.mixin(d.headers,l)}return e.timeout&&(d.customRequestInitializer=function(t){t.timeout=e.timeout}),i.always(s.xhr(d),function(e){t.data&&(t.data.status=e.status),t.stop()})},e}();t.BaseRequestService=c}),define("vs/platform/telemetry/common/telemetry",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";function r(e){if(!e)return e;for(var t="",n=0;n<e.length;n++){var r=e[n];t+=r>="0"&&"9">=r?"0":r>="a"&&"z">=r?"a":r>="A"&&"Z">=r?"A":r}return t}t.ID="telemetryService",t.ITelemetryService=n.createDecorator(t.ID),t.anonymize=r}),define("vs/platform/telemetry/common/abstractTelemetryService",["require","exports","vs/base/common/winjs.base","vs/base/common/errors","vs/base/common/types","vs/base/common/platform","vs/base/common/timer","vs/base/common/objects","vs/platform/platform","vs/platform/telemetry/common/telemetry"],function(e,t,n,r,o,i,s,a,u,c){"use strict";var d={enableTelemetry:!0,enableHardIdle:!0,enableSoftIdle:!0,userOptIn:!0,cleanupPatterns:[]},l=function(){function e(e){var t=this;this.serviceId=c.ITelemetryService,this.sessionId="SESSION_ID_NOT_SET",this.timeKeeper=new s.TimeKeeper,this.toUnbind=[],this.appenders=[],this.timeKeeperListener=function(e){return t.onTelemetryTimerEventStop(e)},this.timeKeeper.addListener(this.timeKeeperListener),this.toUnbind.push(r.errorHandler.addListener(this.onErrorEvent.bind(this))),this.errorBuffer=Object.create(null),this.enableGlobalErrorHandler(),this.errorFlushTimeout=-1,this.config=a.withDefaults(e,d)}return e.prototype._safeStringify=function(e){return a.safeStringify(e)},e.prototype.onTelemetryTimerEventStop=function(e){for(var t=0;t<e.length;t++){var n=e[t],r=n.data||{};r.duration=n.timeTaken(),this.publicLog(n.name,r)}},e.prototype.onErrorEvent=function(e){if(e){var t=Object.create(null);e.detail&&e.detail.stack&&(e=e.detail);var n=Array.isArray(e.stack)?e.stack.join("\n"):e.stack,r=e.message?e.message:this._safeStringify(e);n&&(t.message=this.cleanupInfo(r),t.stack=this.cleanupInfo(n),this.addErrortoBuffer(t))}},e.prototype.addErrortoBuffer=function(e){this.errorBuffer[e.stack]?this.errorBuffer[e.stack].count++:(e.count=1,this.errorBuffer[e.stack]=e),this.tryScheduleErrorFlush()},e.prototype.tryScheduleErrorFlush=function(){var t=this;-1===this.errorFlushTimeout&&(this.errorFlushTimeout=setTimeout(function(){return t.flushErrorBuffer()},e.ERROR_FLUSH_TIMEOUT))},e.prototype.flushErrorBuffer=function(){if(this.errorBuffer)for(var e in this.errorBuffer)this.publicLog("UnhandledError",this.errorBuffer[e]);this.errorBuffer=Object.create(null),this.errorFlushTimeout=-1},e.prototype.cleanupInfo=function(e){var t=/file:\/\/\/.*?\/resources\/app\//gi;e=e.replace(t,""),t=/file:\/\/\/.*/gi,e=e.replace(t,""),t=/ENOENT: no such file or directory.*?\'([^\']+)\'/gi,e=e.replace(t,"ENOENT: no such file or directory");for(var n=0,r=this.config.cleanupPatterns;n<r.length;n++){var o=r[n];e=e.replace(o,"")}return e},e.prototype.enableGlobalErrorHandler=function(){o.isFunction(i.globals.onerror)&&(this.oldOnError=i.globals.onerror);var e=this,t=function(t,n,r,o,i){e.onUncaughtError(t,n,r,o,i),e.oldOnError&&e.oldOnError.apply(this,arguments)};i.globals.onerror=t},e.prototype.onUncaughtError=function(e,t,n,r,o){t=this.cleanupInfo(t),e=this.cleanupInfo(e);var i={message:e,filename:t,line:n,column:r};o&&(i.error={name:o.name,message:o.message},o.stack&&(Array.isArray(o.stack)&&(o.stack=o.stack.join("\n")),i.stack=this.cleanupInfo(o.stack))),i.stack||(i.stack=i.message),this.addErrortoBuffer(i)},e.prototype.loadTelemetryAppendersFromRegistery=function(){for(var e=u.Registry.as(t.Extenstions.TelemetryAppenders).getTelemetryAppenderDescriptors(),n=0;n<e.length;n++){var r=e[n],o=this.instantiationService.createInstance(r);this.addTelemetryAppender(o)}},e.prototype.getSessionId=function(){return this.sessionId},e.prototype.getMachineId=function(){return this.machineId},e.prototype.getInstanceId=function(){return this.instanceId},e.prototype.getTelemetryInfo=function(){return n.TPromise.as({instanceId:this.instanceId,sessionId:this.sessionId,machineId:this.machineId})},e.prototype.dispose=function(){for(-1!==this.errorFlushTimeout&&(clearTimeout(this.errorFlushTimeout),this.flushErrorBuffer());this.toUnbind.length;)this.toUnbind.pop()();this.timeKeeper.removeListener(this.timeKeeperListener),this.timeKeeper.dispose();for(var e=0;e<this.appenders.length;e++)this.appenders[e].dispose()},e.prototype.start=function(e,t){var n="public",r=this.timeKeeper.start(n,e);return t&&(r.data=t),r},e.prototype.publicLog=function(e,t){this.handleEvent(e,t)},e.prototype.getAppendersCount=function(){return this.appenders.length},e.prototype.getAppenders=function(){return this.appenders},e.prototype.addTelemetryAppender=function(e){this.appenders.push(e)},e.prototype.removeTelemetryAppender=function(e){var t=this.appenders.indexOf(e);t>-1&&this.appenders.splice(t,1)},e.prototype.setInstantiationService=function(e){this.instantiationService=e,this.instantiationService&&this.loadTelemetryAppendersFromRegistery()},e.prototype.handleEvent=function(e,t){throw new Error("Not implemented!")},e.ERROR_FLUSH_TIMEOUT=5e3,e}();t.AbstractTelemetryService=l,t.Extenstions={TelemetryAppenders:"telemetry.appenders"};var h=function(){function e(){this.telemetryAppenderDescriptors=[]}return e.prototype.registerTelemetryAppenderDescriptor=function(e){this.telemetryAppenderDescriptors.push(e)},e.prototype.getTelemetryAppenderDescriptors=function(){return this.telemetryAppenderDescriptors},e}();u.Registry.add(t.Extenstions.TelemetryAppenders,new h)}),define("vs/platform/thread/common/thread",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IThreadService=n.createDecorator("threadService");var r=function(){function e(){}return e}();t.IRemotableCtorMap=r;var o=function(){function e(){}return e}();t.IRemotableCtorAffinityMap=o;var i=function(){function e(){}return e.getId=function(t){return t[e.PROP_NAME]||null},e.MainContext=function(t){return function(n){e._ensureUnique(t),e.Registry.MainContext[t]=n,n[e.PROP_NAME]=t}},e.ExtHostContext=function(t){return function(n){e._ensureUnique(t),e.Registry.ExtHostContext[t]=n,n[e.PROP_NAME]=t}},e.WorkerContext=function(t,n){return function(r){e._ensureUnique(t),e.Registry.WorkerContext[t]={ctor:r,affinity:n},r[e.PROP_NAME]=t}},e._ensureUnique=function(t){if(e.Registry.MainContext[t]||e.Registry.ExtHostContext[t]||e.Registry.WorkerContext[t])throw new Error("Duplicate Remotable identifier found")},e.PROP_NAME="$__REMOTABLE_ID",e.Registry={MainContext:Object.create(null),ExtHostContext:Object.create(null),WorkerContext:Object.create(null)},e}();t.Remotable=i,function(e){e[e.None=0]="None",e[e.Group1=1]="Group1",e[e.Group2=2]="Group2",e[e.Group3=3]="Group3",e[e.Group4=4]="Group4",e[e.Group5=5]="Group5",e[e.Group6=6]="Group6",e[e.Group7=7]="Group7",e[e.Group8=8]="Group8",e[e.Group9=9]="Group9",e[e.All=10]="All"}(t.ThreadAffinity||(t.ThreadAffinity={}));t.ThreadAffinity});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/editor/common/services/modeServiceImpl",["require","exports","vs/nls!vs/editor/common/services/modeServiceImpl","vs/base/common/errors","vs/base/common/event","vs/base/common/lifecycle","vs/base/common/objects","vs/base/common/paths","vs/base/common/winjs.base","vs/base/common/mime","vs/platform/instantiation/common/descriptors","vs/platform/extensions/common/extensionsRegistry","vs/platform/thread/common/thread","vs/editor/common/modes/abstractMode","vs/editor/common/modes/modesRegistry","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/modes/monarch/monarchDefinition","vs/editor/common/modes/monarch/monarchLexer","vs/editor/common/modes/supports/declarationSupport","vs/editor/common/modes/supports/parameterHintsSupport","vs/editor/common/modes/supports/referenceSupport","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/modes/supports/suggestSupport","vs/editor/common/services/languagesRegistry","vs/editor/common/services/modeService","vs/platform/configuration/common/configuration"],function(e,t,n,r,o,i,s,a,u,c,d,l,h,p,f,m,g,v,_,y,k,E,b,S,M,T){"use strict";function I(e){return"undefined"==typeof e?!0:Array.isArray(e)?e.every(function(e){return"string"==typeof e}):!1}function C(e,t){return e?"string"!=typeof e.id?(t.error(n.localize(10,null,"id")),!1):I(e.extensions)?I(e.filenames)?"undefined"!=typeof e.firstLine&&"string"!=typeof e.firstLine?(t.error(n.localize(13,null,"firstLine")),!1):"undefined"!=typeof e.configuration&&"string"!=typeof e.configuration?(t.error(n.localize(14,null,"configuration")),!1):I(e.aliases)?I(e.mimetypes)?!0:(t.error(n.localize(16,null,"mimetypes")),!1):(t.error(n.localize(15,null,"aliases")),!1):(t.error(n.localize(12,null,"filenames")),!1):(t.error(n.localize(11,null,"extensions")),!1):(t.error(n.localize(9,null,x.name)),!1)}var x=l.ExtensionsRegistry.registerExtensionPoint("languages",{description:n.localize(0,null),type:"array",defaultSnippets:[{body:[{id:"",aliases:[],extensions:[]}]}],items:{type:"object",defaultSnippets:[{body:{id:"",extensions:[]}}],properties:{id:{description:n.localize(1,null),type:"string"},aliases:{description:n.localize(2,null),type:"array",items:{type:"string"}},extensions:{description:n.localize(3,null),"default":[".foo"],type:"array",items:{type:"string"}},filenames:{description:n.localize(4,null),type:"array",items:{type:"string"}},filenamePatterns:{description:n.localize(5,null),"default":["bar*foo.txt"],type:"array",items:{type:"string"}},mimetypes:{description:n.localize(6,null),type:"array",items:{type:"string"}},firstLine:{description:n.localize(7,null),type:"string"},configuration:{description:n.localize(8,null),type:"string"}}}}),w=function(){function e(e,t){var n=this;this.serviceId=M.IModeService,this._onDidAddModes=new o.Emitter,this.onDidAddModes=this._onDidAddModes.event,this._onDidCreateMode=new o.Emitter,this.onDidCreateMode=this._onDidCreateMode.event,this._threadService=e,this._extensionService=t,this._activationPromises={},this._instantiatedModes={},this._config={},this._registry=new S.LanguagesRegistry,this._registry.onDidAddModes(function(e){return n._onDidAddModes.fire(e)})}return e.prototype.getConfigurationForMode=function(e){return this._config[e]||{}},e.prototype.configureMode=function(e,t){var n=this.getModeId(e);n&&this.configureModeById(n,t)},e.prototype.configureModeById=function(e,t){var n=this._config[e]||{},r=s.mixin(s.clone(n),t);if(!s.equals(n,r)){this._config[e]=r;var o=this.getMode(e);o&&o.configSupport&&o.configSupport.configure(this.getConfigurationForMode(e))}},e.prototype.configureAllModes=function(e){var t=this;if(e){var n=this._registry.getRegisteredModes();n.forEach(function(n){var r=e[n];t.configureModeById(n,r)})}},e.prototype.isRegisteredMode=function(e){return this._registry.isRegisteredMode(e)},e.prototype.isCompatMode=function(e){var t=this._registry.getCompatMode(e);return!!t},e.prototype.getRegisteredModes=function(){return this._registry.getRegisteredModes()},e.prototype.getRegisteredLanguageNames=function(){return this._registry.getRegisteredLanguageNames()},e.prototype.getExtensions=function(e){return this._registry.getExtensions(e)},e.prototype.getMimeForMode=function(e){return this._registry.getMimeForMode(e)},e.prototype.getLanguageName=function(e){return this._registry.getLanguageName(e)},e.prototype.getModeIdForLanguageName=function(e){return this._registry.getModeIdForLanguageNameLowercase(e)},e.prototype.getModeId=function(e){var t=this._registry.extractModeIds(e);return t.length>0?t[0]:null},e.prototype.getConfigurationFiles=function(e){return this._registry.getConfigurationFiles(e)},e.prototype.lookup=function(e){for(var t=[],n=this._registry.extractModeIds(e),r=0;r<n.length;r++){var o=n[r];t.push({modeId:o,isInstantiated:this._instantiatedModes.hasOwnProperty(o)})}return t},e.prototype.getMode=function(e){for(var t=this._registry.extractModeIds(e),n=!1,o=0;o<t.length;o++){if(this._instantiatedModes.hasOwnProperty(t[o]))return this._instantiatedModes[t[o]];n=n||"plaintext"===t[o]}if(n){var i=null;return this.getOrCreateMode(e).then(function(e){i=e}).done(null,r.onUnexpectedError),i}},e.prototype.getModeIdByLanguageName=function(e){var t=this._registry.getModeIdsFromLanguageName(e);return t.length>0?t[0]:null},e.prototype.getModeIdByFilenameOrFirstLine=function(e,t){var n=this._registry.getModeIdsFromFilenameOrFirstLine(e,t);return n.length>0?n[0]:null},e.prototype.onReady=function(){return this._extensionService.onReady()},e.prototype.getOrCreateMode=function(e){var t=this;return this.onReady().then(function(){var n=t.getModeId(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByLanguageName=function(e){var t=this;return this.onReady().then(function(){var n=t.getModeIdByLanguageName(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByFilenameOrFirstLine=function(e,t){var n=this;return this.onReady().then(function(){var r=n.getModeIdByFilenameOrFirstLine(e,t);return n._getOrCreateMode(r||"plaintext")})},e.prototype._getOrCreateMode=function(e){var t=this;if(this._instantiatedModes.hasOwnProperty(e))return u.TPromise.as(this._instantiatedModes[e]);if(this._activationPromises.hasOwnProperty(e))return this._activationPromises[e];var n,o,i=new u.TPromise(function(e,t,r){n=e,o=t});return this._activationPromises[e]=i,this._createMode(e).then(function(n){return t._instantiatedModes[e]=n,delete t._activationPromises[e],t._onDidCreateMode.fire(n),t._extensionService.activateByEvent("onLanguage:"+e).done(null,r.onUnexpectedError),t._instantiatedModes[e]}).then(n,o),i},e.prototype._createMode=function(e){var t=this,n=this._createModeDescriptor(e),r=this._registry.getCompatMode(e);if(r){var o=d.createAsyncDescriptor1(r.moduleId,r.ctorName);return this._threadService.createInstance(o,n).then(function(n){return n.configSupport&&n.configSupport.configure(t.getConfigurationForMode(e)),n})}return u.TPromise.as(this._threadService.createInstance(p.FrankensteinMode,n))},e.prototype._createModeDescriptor=function(e){var t=f.ModesRegistry.getWorkerParticipantsForMode(e);return{id:e,workerParticipants:t.map(function(e){return d.createAsyncDescriptor0(e.moduleId,e.ctorName)})}},e.prototype._registerModeSupport=function(e,t,n){return e.registerSupport?e.registerSupport(t,n):(console.warn("Cannot register support "+t+" on mode "+e.getId()+" because it does not support it."),i.empty)},e.prototype.registerModeSupport=function(e,t,n){var r=this;if(this._instantiatedModes.hasOwnProperty(e))return this._registerModeSupport(this._instantiatedModes[e],t,n);var o,i=new u.TPromise(function(e,t){o=e}),s=this.onDidCreateMode(function(i){i.getId()===e&&(o(r._registerModeSupport(i,t,n)),s.dispose())});return{dispose:function(){i.done(function(e){return e.dispose()},null)}}},e.prototype.doRegisterMonarchDefinition=function(e,t){var n=this;return i.combinedDispose(this.registerTokenizationSupport(e,function(e){return v.createTokenizationSupport(n,e,t)}),this.registerRichEditSupport(e,g.createRichEditSupport(t)))},e.prototype.registerMonarchDefinition=function(e,t,n,r){var o=m.compile(s.clone(r));return this.doRegisterMonarchDefinition(n,o)},e.prototype.registerCodeLensSupport=function(e,t){return this.registerModeSupport(e,"codeLensSupport",function(e){return t})},e.prototype.registerRichEditSupport=function(e,t){return this.registerModeSupport(e,"richEditSupport",function(n){return new E.RichEditSupport(e,n.richEditSupport,t)})},e.prototype.registerDeclarativeDeclarationSupport=function(e,t){return this.registerModeSupport(e,"declarationSupport",function(n){return new _.DeclarationSupport(e,t)})},e.prototype.registerExtraInfoSupport=function(e,t){return this.registerModeSupport(e,"extraInfoSupport",function(e){return t})},e.prototype.registerFormattingSupport=function(e,t){return this.registerModeSupport(e,"formattingSupport",function(e){return t})},e.prototype.registerInplaceReplaceSupport=function(e,t){return this.registerModeSupport(e,"inplaceReplaceSupport",function(e){return t})},e.prototype.registerOccurrencesSupport=function(e,t){return this.registerModeSupport(e,"occurrencesSupport",function(e){return t})},e.prototype.registerOutlineSupport=function(e,t){return this.registerModeSupport(e,"outlineSupport",function(e){return t})},e.prototype.registerDeclarativeParameterHintsSupport=function(e,t){return this.registerModeSupport(e,"parameterHintsSupport",function(n){return new y.ParameterHintsSupport(e,t)})},e.prototype.registerQuickFixSupport=function(e,t){return this.registerModeSupport(e,"quickFixSupport",function(e){return t})},e.prototype.registerDeclarativeReferenceSupport=function(e,t){return this.registerModeSupport(e,"referenceSupport",function(n){return new k.ReferenceSupport(e,t)})},e.prototype.registerRenameSupport=function(e,t){return this.registerModeSupport(e,"renameSupport",function(e){return t})},e.prototype.registerDeclarativeSuggestSupport=function(e,t){return this.registerModeSupport(e,"suggestSupport",function(n){return new b.SuggestSupport(e,t)})},e.prototype.registerTokenizationSupport=function(e,t){return this.registerModeSupport(e,"tokenizationSupport",t)},e}();t.ModeServiceImpl=w;var L=function(e){function t(t,r,o){var i=this;e.call(this,t,r),this._configurationService=o,this._hasInitialized=!1,x.setHandler(function(e){for(var t=[],r=0,o=e.length;o>r;r++){var i=e[r];if(Array.isArray(i.value))for(var s=0,u=i.value.length;u>s;s++){var c=i.value[s];if(C(c,i.collector)){var d=c.configuration?a.join(i.description.extensionFolderPath,c.configuration):c.configuration;t.push({id:c.id,extensions:c.extensions,filenames:c.filenames,filenamePatterns:c.filenamePatterns,firstLine:c.firstLine,aliases:c.aliases,mimetypes:c.mimetypes,configuration:d})}}else i.collector.error(n.localize(17,null,x.name))}f.ModesRegistry.registerLanguages(t)}),this._configurationService.addListener(T.ConfigurationServiceEventTypes.UPDATED,function(e){return i.onConfigurationChange(e.config)})}return __extends(t,e),t.prototype.onReady=function(){var e=this;return this._onReadyPromise||(this._onReadyPromise=this._configurationService.loadConfiguration().then(function(t){return e._extensionService.onReady().then(function(){return e.onConfigurationChange(t),!0})})),this._onReadyPromise},t.prototype.onConfigurationChange=function(e){var t=this;c.clearTextMimes(!0),e.files&&e.files.associations&&Object.keys(e.files.associations).forEach(function(n){c.registerTextMime({mime:t.getMimeForMode(e.files.associations[n]),filepattern:n,userConfigured:!0})})},t.prototype._getModeServiceWorkerHelper=function(){var e=this._threadService.getRemotable(R);if(!this._hasInitialized){this._hasInitialized=!0;var t={compatModes:f.ModesRegistry.getCompatModes(),languages:f.ModesRegistry.getLanguages(),workerParticipants:f.ModesRegistry.getWorkerParticipants()};e._initialize(t),f.ModesRegistry.onDidAddCompatModes(function(t){return e._acceptCompatModes(t)}),f.ModesRegistry.onDidAddLanguages(function(t){return e._acceptLanguages(t)})}return e},t.prototype.configureModeById=function(t,n){this._getModeServiceWorkerHelper().configureModeById(t,n),e.prototype.configureModeById.call(this,t,n)},t.prototype._createMode=function(t){return this._getModeServiceWorkerHelper().instantiateMode(t),e.prototype._createMode.call(this,t)},t.prototype.registerMonarchDefinition=function(t,n,r,o){this._getModeServiceWorkerHelper().registerMonarchDefinition(r,o);var a=m.compile(s.clone(o));return i.combinedDispose(e.prototype.doRegisterMonarchDefinition.call(this,r,a),this.registerModeSupport(r,"suggestSupport",function(e){return g.createSuggestSupport(t,n,r,a)}))},t}(w);t.MainThreadModeServiceImpl=L;var R=function(){function e(e){this._modeService=e}return e.prototype._initialize=function(e){f.ModesRegistry.registerCompatModes(e.compatModes),f.ModesRegistry.registerLanguages(e.languages),f.ModesRegistry.registerWorkerParticipants(e.workerParticipants)},e.prototype._acceptCompatModes=function(e){f.ModesRegistry.registerCompatModes(e)},e.prototype._acceptLanguages=function(e){f.ModesRegistry.registerLanguages(e)},e.prototype.instantiateMode=function(e){this._modeService.getOrCreateMode(e).done(null,r.onUnexpectedError)},e.prototype.configureModeById=function(e,t){this._modeService.configureMode(e,t)},e.prototype.registerMonarchDefinition=function(e,t){this._modeService.registerMonarchDefinition(null,null,e,t)},e=__decorate([h.Remotable.WorkerContext("ModeServiceWorkerHelper",h.ThreadAffinity.All),__param(0,M.IModeService)],e)}();t.ModeServiceWorkerHelper=R});var __decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/editor/common/services/modelServiceImpl",["require","exports","vs/nls!vs/editor/common/services/modelServiceImpl","vs/base/common/errors","vs/base/common/event","vs/base/common/severity","vs/base/common/uri","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/thread","vs/editor/common/core/range","vs/editor/common/editorCommon","vs/editor/common/model/mirrorModel","vs/editor/common/model/model","vs/editor/common/services/modeService","vs/editor/common/services/modelService","vs/editor/common/services/resourceService","vs/base/common/platform","vs/platform/configuration/common/configuration","vs/editor/common/config/defaultConfig"],function(e,t,n,r,o,i,s,a,u,c,d,l,h,p,f,m,g,v,_){"use strict";function y(e){return e.toString()}var k=function(){function e(e,t){var n=this;this.model=e,this.isSyncedToWorkers=!1,this._markerDecorations=[],this._modelEventsListener=e.addBulkListener2(function(e){return t(n,e)})}return e.prototype.dispose=function(){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,[]),this._modelEventsListener.dispose(),this._modelEventsListener=null,this.model=null},e.prototype.getModelId=function(){return y(this.model.getAssociatedResource())},e.prototype.acceptMarkerDecorations=function(e){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,e)},e}(),E=function(){function e(){}return e.setMarkers=function(e,t){var n=this;t=t.slice(0,500);var r=t.map(function(t){return{range:n._createDecorationRange(e.model,t),options:n._createDecorationOption(t)}});e.acceptMarkerDecorations(r)},e._createDecorationRange=function(e,t){var n=e.validateRange(new c.Range(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn)),r=new c.Range(n.startLineNumber,n.startColumn,n.endLineNumber,n.endColumn);if(r.isEmpty()){var o=e.getWordAtPosition(r.getStartPosition());if(o)r.startColumn=o.startColumn,r.endColumn=o.endColumn;else{var i=e.getLineLastNonWhitespaceColumn(n.startLineNumber)||e.getLineMaxColumn(n.startLineNumber);1===i||(r.endColumn>=i?(r.endColumn=i,r.startColumn=i-1):r.endColumn+=1)}}else if(t.endColumn===Number.MAX_VALUE&&1===t.startColumn&&r.startLineNumber===r.endLineNumber){var s=e.getLineFirstNonWhitespaceColumn(t.startLineNumber);s<r.endColumn&&(r.startColumn=s,t.startColumn=s)}return r},e._createDecorationOption=function(e){var t,n,r,o=null;switch(e.severity){case i["default"].Ignore:break;case i["default"].Warning:case i["default"].Info:t=d.ClassName.EditorWarningDecoration,n="rgba(18,136,18,0.7)",r="rgba(18,136,18,0.7)";break;case i["default"].Error:default:t=d.ClassName.EditorErrorDecoration,n="rgba(255,18,18,0.7)",r="rgba(255,18,18,0.7)"}return"string"==typeof e.message?o=[{isText:!0,text:e.message}]:Array.isArray(e.message)?o=e.message:e.message&&(o=[e.message]),e.source&&o.unshift({isText:!0,text:"["+e.source+"] "}),{stickiness:d.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:t,htmlMessage:o,overviewRuler:{color:n,darkColor:r,position:d.OverviewRulerLane.Right}}},e}(),b=function(){function e(e,t,r,s,a){var u=this;this.serviceId=f.IModelService,this._modelCreationOptions={tabSize:_.DEFAULT_INDENTATION.tabSize,insertSpaces:_.DEFAULT_INDENTATION.insertSpaces,detectIndentation:_.DEFAULT_INDENTATION.detectIndentation,defaultEOL:g.isLinux||g.isMacintosh?d.DefaultEndOfLine.LF:d.DefaultEndOfLine.CRLF},this._threadService=e,this._markerService=t,this._modeService=r,this._workerHelper=this._threadService.getRemotable(S),this._configurationService=s,this._messageService=a,this._hasShownMigrationMessage=!1;var c=function(e){var t=e.files&&e.files.eol,r=!1,o=_.DEFAULT_INDENTATION.tabSize;if(e.editor&&"undefined"!=typeof e.editor.tabSize){var s=parseInt(e.editor.tabSize,10);isNaN(s)||(o=s),r=r||"auto"===e.editor.tabSize}var a=_.DEFAULT_INDENTATION.insertSpaces;e.editor&&"undefined"!=typeof e.editor.insertSpaces&&(a="false"===e.editor.insertSpaces?!1:Boolean(e.editor.insertSpaces),r=r||"auto"===e.editor.insertSpaces);var c=u._modelCreationOptions.defaultEOL;"\r\n"===t?c=d.DefaultEndOfLine.CRLF:"\n"===t&&(c=d.DefaultEndOfLine.LF);var l=_.DEFAULT_INDENTATION.detectIndentation;e.editor&&"undefined"!=typeof e.editor.detectIndentation&&(l="false"===e.editor.detectIndentation?!1:Boolean(e.editor.detectIndentation)),u._setModelOptions({tabSize:o,insertSpaces:a,detectIndentation:l,defaultEOL:c}),r&&!u._hasShownMigrationMessage&&(u._hasShownMigrationMessage=!0,u._messageService.show(i["default"].Info,n.localize(0,null)))};this._configurationServiceSubscription=this._configurationService.addListener2(v.ConfigurationServiceEventTypes.UPDATED,function(e){c(e.config)}),this._configurationService.loadConfiguration().then(function(e){c(e)}),this._models={},this._onModelAdded=new o.Emitter,this._onModelRemoved=new o.Emitter,this._onModelModeChanged=new o.Emitter,this._markerService&&(this._markerServiceSubscription=this._markerService.onMarkerChanged(this._handleMarkerChange,this));
}return e.prototype.getCreationOptions=function(){return this._modelCreationOptions},e.prototype._setModelOptions=function(e){if(this._modelCreationOptions.detectIndentation===e.detectIndentation&&this._modelCreationOptions.insertSpaces===e.insertSpaces&&this._modelCreationOptions.tabSize===e.tabSize)return void(this._modelCreationOptions=e);this._modelCreationOptions=e;for(var t in this._models)if(this._models.hasOwnProperty(t)){var n=this._models[t];this._modelCreationOptions.detectIndentation?n.model.detectIndentation(this._modelCreationOptions.insertSpaces,this._modelCreationOptions.tabSize):n.model.updateOptions({insertSpaces:this._modelCreationOptions.insertSpaces,tabSize:this._modelCreationOptions.tabSize})}},e.prototype.dispose=function(){this._markerServiceSubscription&&this._markerServiceSubscription.dispose(),this._configurationServiceSubscription.dispose()},e.prototype._handleMarkerChange=function(e){var t=this;e.forEach(function(e){var n=y(e),r=t._models[n];r&&E.setMarkers(r,t._markerService.read({resource:e,take:500}))})},e.prototype._shouldSyncModelToWorkers=function(e){return e.isTooLargeForHavingARichMode()?!1:this._modeService.isCompatMode(e.getMode().getId())},e.prototype._createModelData=function(e,t,n){var r=this,o=new h.Model(e,this._modelCreationOptions,t,n),i=y(o.getAssociatedResource());if(this._models[i])throw new Error("ModelService: Cannot add model "+a.anonymize(i)+" because it already exists!");var s=new k(o,function(e,t){return r._onModelEvents(e,t)});return this._models[i]=s,s},e.prototype.createModel=function(e,t,n){var r=this._createModelData(e,t,n);return this._markerService&&E.setMarkers(r,this._markerService.read({resource:r.model.getAssociatedResource()})),this._shouldSyncModelToWorkers(r.model)&&this._beginWorkerSync(r),this._onModelAdded.fire(r.model),r.model},e.prototype.destroyModel=function(e){var t=this._models[y(e)];t&&t.model.dispose()},e.prototype.getModels=function(){var e=[];for(var t in this._models)this._models.hasOwnProperty(t)&&e.push(this._models[t].model);return e},e.prototype.getModel=function(e){var t=y(e),n=this._models[t];return n?n.model:null},Object.defineProperty(e.prototype,"onModelAdded",{get:function(){return this._onModelAdded?this._onModelAdded.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelRemoved",{get:function(){return this._onModelRemoved?this._onModelRemoved.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelModeChanged",{get:function(){return this._onModelModeChanged?this._onModelModeChanged.event:null},enumerable:!0,configurable:!0}),e.prototype._beginWorkerSync=function(t){if(t.isSyncedToWorkers)throw new Error("Model is already being synced to workers!");t.isSyncedToWorkers=!0,this._workerHelper.$_acceptNewModel(e._getBoundModelData(t.model))},e.prototype._stopWorkerSync=function(e){if(!e.isSyncedToWorkers)throw new Error("Model is already not being synced to workers!");e.isSyncedToWorkers=!1,this._workerHelper.$_acceptDidDisposeModel(e.model.getAssociatedResource())},e.prototype._onModelDisposing=function(e){var t=this,n=y(e.getAssociatedResource()),r=this._models[n];if(this._markerService){var o=this._markerService.read({resource:e.getAssociatedResource()}),i=Object.create(null);o.forEach(function(e){return i[e.owner]=t}),Object.keys(i).forEach(function(n){return t._markerService.changeOne(n,e.getAssociatedResource(),[])})}r.isSyncedToWorkers&&this._stopWorkerSync(r),delete this._models[n],r.dispose(),this._onModelRemoved.fire(e)},e._getBoundModelData=function(e){return{url:e.getAssociatedResource(),versionId:e.getVersionId(),value:e.toRawText(),modeId:e.getMode().getId()}},e.prototype._onModelEvents=function(e,t){for(var n=0,r=t.length;r>n;n++){var o=t[n];if(o.getType()===d.EventType.ModelDispose)return void this._onModelDisposing(e.model)}for(var n=0,r=t.length;r>n;n++){var o=t[n];if(o.getType()===d.EventType.ModelModeChanged){var i=e.isSyncedToWorkers,s=this._shouldSyncModelToWorkers(e.model);if(this._onModelModeChanged.fire({model:e.model,oldModeId:o.getData().oldMode.getId()}),!i)return s?void this._beginWorkerSync(e):void 0;if(!s)return void this._stopWorkerSync(e);this._workerHelper.$_acceptDidChangeModelMode(e.getModelId(),e.model.getMode().getId())}}if(e.isSyncedToWorkers){for(var a={contentChanged:[]},n=0,r=t.length;r>n;n++){var o=t[n];o.getType()===d.EventType.ModelContentChanged&&a.contentChanged.push(o.getData())}a.contentChanged.length>0&&this._workerHelper.$_acceptModelEvents(e.getModelId(),a)}},e}();t.ModelServiceImpl=b;var S=function(){function e(e,t){this._resourceService=e,this._modeService=t}return e.prototype.$_acceptNewModel=function(e){var t=this,n=new l.MirrorModel(this._resourceService,e.versionId,e.value,null,e.url);return this._resourceService.insert(n.getAssociatedResource(),n),this._modeService.getOrCreateMode(e.modeId).then(function(e){t._resourceService.remove(n.getAssociatedResource()),n.setMode(e),t._resourceService.insert(n.getAssociatedResource(),n)})},e.prototype.$_acceptDidChangeModelMode=function(e,t){var n=this,r=this._resourceService.get(s["default"].parse(e));return this._modeService.getOrCreateMode(t).then(function(e){n._resourceService.remove(r.getAssociatedResource()),r.setMode(e),n._resourceService.insert(r.getAssociatedResource(),r)})},e.prototype.$_acceptDidDisposeModel=function(e){var t=this._resourceService.get(e);this._resourceService.remove(e),t&&t.dispose()},e.prototype.$_acceptModelEvents=function(e,t){var n=this._resourceService.get(s["default"].parse(e));if(!n)throw new Error("Received model events for missing model "+a.anonymize(e));try{n.onEvents(t)}catch(o){r.onUnexpectedError(o)}},e=__decorate([u.Remotable.WorkerContext("ModelServiceWorkerHelper",u.ThreadAffinity.All),__param(0,m.IResourceService),__param(1,p.IModeService)],e)}();t.ModelServiceWorkerHelper=S});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s};define("vs/platform/markers/common/markerService",["require","exports","vs/base/common/arrays","vs/base/common/network","vs/base/common/strings","vs/base/common/collections","vs/base/common/uri","vs/base/common/event","vs/base/common/severity","vs/platform/thread/common/thread","./markers"],function(e,t,n,r,o,i,s,a,u,c,d){"use strict";var l;!function(e){function t(e){var t=/^(.*)→(.*)$/.exec(e);return{owner:t[1],resource:s["default"].parse(t[2])}}function n(e){return e.owner+"→"+e.resource}function r(e,t){return new RegExp(o.format(a,e?o.escapeRegExpCharacters(e):".*",t?o.escapeRegExpCharacters(t.toString()):".*"))}function i(e,t){return e+"→"+t}e.fromValue=t,e.valueOf=n;var a="^({0})→({1})$";e.selector=r,e.raw=i}(l||(l={}));var h=function(){function e(){this.serviceId=d.IMarkerService,this._data=Object.create(null),this._stats=this._emptyStats(),this._onMarkerChanged=new a.Emitter}return e.prototype.getStatistics=function(){return this._stats},Object.defineProperty(e.prototype,"onMarkerChanged",{get:function(){return this._onMarkerChanged?this._onMarkerChanged.event:null},enumerable:!0,configurable:!0}),e.prototype.changeOne=function(e,t,n){this._doChangeOne(e,t,n)&&this._onMarkerChanged.fire([t])},e.prototype.remove=function(e,t){if(!n.isFalsyOrEmpty(t)){for(var r,o=0,i=t;o<i.length;o++){var s=i[o];this._doChangeOne(e,s,void 0)&&(r||(r=[]),r.push(s))}r&&this._onMarkerChanged.fire(r)}},e.prototype._doChangeOne=function(e,t,r){var o=l.raw(e,t),i=this._data[o],s=!n.isFalsyOrEmpty(i),a=!n.isFalsyOrEmpty(r),u=this._computeStats(i),c=this._computeStats(r);if(s||a)return a?this._data[o]=r:s&&delete this._data[o],this._isStatRelevant(t)&&(this._updateStatsMinus(u),this._updateStatsPlus(c)),!0},e.prototype.changeAll=function(e,t){var r=this,o=Object.create(null),s=this._emptyStats();if(this._forEach(e,void 0,void 0,-1,function(e,t){var n=l.fromValue(e.key).resource;r._isStatRelevant(n)&&r._updateStatsPlus(s,r._computeStats(e.value)),o[n.toString()]=n,t()}),this._updateStatsMinus(s),!n.isFalsyOrEmpty(t)){var a=this._emptyStats();t.forEach(function(t){o[t.resource.toString()]=t.resource,i.lookupOrInsert(r._data,l.raw(e,t.resource),[]).push(t.marker),r._isStatRelevant(t.resource)&&r._updateStatsMarker(a,t.marker)}),this._updateStatsPlus(a)}this._onMarkerChanged.fire(i.values(o))},e.prototype.read=function(e){var t=this;void 0===e&&(e=Object.create(null));var n=[];return this._forEach(e.owner,e.resource,e.selector,e.take,function(e){return t._fromEntry(e,n)}),n},e.prototype._isStatRelevant=function(e){return e.scheme!==r.Schemas.inMemory},e.prototype._forEach=function(e,t,n,r,o){var s=n||l.selector(e,t),a=0;i.forEach(this._data,function(e,t){return s.test(e.key)&&(o(e,t),r>0&&a++>=r)?!1:void 0})},e.prototype._fromEntry=function(t,n){var r=l.fromValue(t.key);t.value.forEach(function(t){e._sanitize(t),n.push({owner:r.owner,resource:r.resource,code:t.code,message:t.message,source:t.source,severity:t.severity,startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn})})},e.prototype._computeStats=function(e){var t=0,n=0,r=0,o=0;if(e)for(var i=0;i<e.length;i++){var s=e[i];if(s.severity)switch(s.severity){case u["default"].Error:t++;break;case u["default"].Warning:n++;break;case u["default"].Info:r++;break;default:o++}else o++}return{errors:t,warnings:n,infos:r,unknwons:o}},e.prototype._emptyStats=function(){return{errors:0,warnings:0,infos:0,unknwons:0}},e.prototype._updateStatsPlus=function(e,t){t||(t=e,e=this._stats),e.errors+=t.errors,e.warnings+=t.warnings,e.infos+=t.infos,e.unknwons+=t.unknwons},e.prototype._updateStatsMinus=function(e,t){t||(t=e,e=this._stats),e.errors-=t.errors,e.warnings-=t.warnings,e.infos-=t.infos,e.unknwons-=t.unknwons},e.prototype._updateStatsMarker=function(e,t){switch(t.severity){case u["default"].Error:e.errors++;break;case u["default"].Warning:e.warnings++;break;case u["default"].Info:e.infos++;break;default:e.unknwons++}},e._sanitize=function(e){e.code=e.code||null,e.startLineNumber=e.startLineNumber>0?e.startLineNumber:1,e.startColumn=e.startColumn>0?e.startColumn:1,e.endLineNumber=e.endLineNumber>=e.startLineNumber?e.endLineNumber:e.startLineNumber,e.endColumn=e.endColumn>0?e.endColumn:e.startColumn},e}();t.MarkerService=h;var p=function(e){function t(t){e.call(this),this._proxy=t.getRemotable(f)}return __extends(t,e),t.prototype.changeOne=function(e,t,n){this._proxy.changeOne(e,t,n)},t.prototype.changeAll=function(e,t){this._proxy.changeAll(e,t)},t}(h);t.SecondaryMarkerService=p;var f=function(e){function t(n){e.call(this),n.registerRemotableInstance(t,this)}return __extends(t,e),t.prototype.changeOne=function(t,n,r){e.prototype.changeOne.call(this,t,n,r)},t.prototype.changeAll=function(t,n){e.prototype.changeAll.call(this,t,n)},t=__decorate([c.Remotable.MainContext("MainProcessMarkerService")],t)}(h);t.MainProcessMarkerService=f});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)},__decorate=this&&this.__decorate||function(e,t,n,r){var o,i=arguments.length,s=3>i?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,r);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(3>i?o(s):i>3?o(t,n,s):o(t,n))||s);return i>3&&s&&Object.defineProperty(t,n,s),s},__param=this&&this.__param||function(e,t){return function(n,r){t(n,r,e)}};define("vs/platform/telemetry/common/abstractRemoteTelemetryService",["require","exports","vs/platform/telemetry/common/abstractTelemetryService","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/thread"],function(e,t,n,r,o){"use strict";var i=function(){function e(e){this._telemetryService=e}return e.prototype._handleRemoteTelemetryEvent=function(e,t){this._telemetryService.publicLog(e,t)},e.prototype.getTelemetryInfo=function(){return this._telemetryService.getTelemetryInfo()},e=__decorate([o.Remotable.MainContext("RemoteTelemetryServiceHelper"),__param(0,r.ITelemetryService)],e)}();t.RemoteTelemetryServiceHelper=i;var s=function(e){function t(t){e.call(this),this._proxy=t.getRemotable(i)}return __extends(t,e),t.prototype.getTelemetryInfo=function(){return this._proxy.getTelemetryInfo()},t.prototype.addTelemetryAppender=function(e){throw new Error("Telemetry appenders are not supported in this execution envirnoment")},t.prototype.handleEvent=function(e,t){this._proxy._handleRemoteTelemetryEvent(e,t)},t}(n.AbstractTelemetryService);t.AbstractRemoteTelemetryService=s});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/telemetry/common/workerTelemetryService",["require","exports","vs/platform/telemetry/common/abstractRemoteTelemetryService"],function(e,t,n){"use strict";var r=function(e){function t(){e.apply(this,arguments)}return __extends(t,e),t.prototype.handleEvent=function(t,n){n=n||{},n.workerTelemetry=!0,e.prototype.handleEvent.call(this,t,n)},t}(n.AbstractRemoteTelemetryService);t.WorkerTelemetryService=r}),define("vs/platform/thread/common/threadService",["require","exports","vs/base/common/winjs.base","./thread"],function(e,t,n,r){"use strict";function o(e,t){for(var n in e)if(e[n]===t)return n;throw new Error("Member not found in prototype")}function i(e){var n=e[t.THREAD_SERVICE_PROPERTY_NAME];if(!n)throw new Error("Objects that use thread attributes must be instantiated with the thread service");return n}function s(e,t,s,a){void 0===a&&(a=r.ThreadAffinity.None);var u,c=o(e.prototype,t);"function"==typeof s?u=s:"undefined"!=typeof s&&(a=s),e.prototype[c]=function(){for(var e=[],r=0;r<arguments.length;r++)e[r-0]=arguments[r];if(u){var o=this,s=u.call(o);return n.TPromise.is(s)||(s=n.TPromise.as(s)),s.then(function(){return i(o).OneWorker(o,c,t,e,a)})}return i(this).OneWorker(this,c,t,e,a)}}function a(e,t){var n=o(e.prototype,t);e.prototype[n]=function(){for(var e=[],r=0;r<arguments.length;r++)e[r-0]=arguments[r];return i(this).AllWorkers(this,n,t,e)}}t.THREAD_SERVICE_PROPERTY_NAME="__$$__threadService",t.OneWorkerAttr=s,t.AllWorkersAttr=a}),define("vs/platform/thread/common/abstractThreadService",["require","exports","vs/base/common/winjs.base","vs/platform/thread/common/thread","vs/platform/thread/common/threadService","vs/platform/instantiation/common/descriptors"],function(e,t,n,r,o,i){"use strict";function s(e,t,n){var r={$__IS_REMOTE_OBJ:!0};for(var o in n.prototype)"function"==typeof n.prototype[o]&&(r[o]=a(e,t,o));return r}function a(e,t,n){return function(){for(var r=[],o=0;o<arguments.length;o++)r[o-0]=arguments[o];return e.callOnRemote(t,n,r)}}var u=function(){function e(e){this.isInMainThread=e,this._boundObjects={},this._pendingObjects=[],this._localObjMap=Object.create(null),this._proxyObjMap=Object.create(null)}return e.prototype.setInstantiationService=function(e){this._instantiationService=e},e.prototype.createInstance=function(){for(var e=[],t=0;t<arguments.length;t++)e[t-0]=arguments[t];return this._doCreateInstance(e)},e.prototype._doCreateInstance=function(e){var t=this,r=this._instantiationService.createInstance.apply(this._instantiationService,e);if(n.TPromise.is(r)){var o;return o=r.then(function(e){if(e.asyncCtor){var t=e.asyncCtor();if(n.TPromise.is(t))return t.then(function(){return e})}return e}),this._pendingObjects.push(o),o.then(function(e){for(var n=t._finishInstance(e),r=0;r<t._pendingObjects.length;r++)if(t._pendingObjects[r]===o){t._pendingObjects.splice(r,1);break}return n})}return this._finishInstance(r)},e.prototype._finishInstance=function(e){return e[o.THREAD_SERVICE_PROPERTY_NAME]=this,this._boundObjects[e.getId()]=e,e.creationDone&&e.creationDone(),e},e.prototype.handle=function(e,t,n){if(!this._localObjMap[e])throw new Error("Unknown actor "+e);var r=this._localObjMap[e],o=r[t];if("function"!=typeof o)throw new Error("Unknown method "+t+" on actor "+e);return o.apply(r,n)},e.prototype._getOrCreateProxyInstance=function(e,t,n){if(this._proxyObjMap[t])return this._proxyObjMap[t];var r=s(e,t,n.ctor);return this._proxyObjMap[t]=r,r},e.prototype._registerLocalInstance=function(e,t){this._localObjMap[e]=t},e.prototype._getOrCreateLocalInstance=function(e,t){if(this._localObjMap[e])return this._localObjMap[e];var n=this._instantiationService.createInstance(t);return this._registerLocalInstance(e,n),n},e.prototype.getRemotable=function(e){var t=r.Remotable.getId(e);if(!t)throw new Error("Unknown Remotable: <<"+t+">>");var n=i.createSyncDescriptor(e);if(r.Remotable.Registry.MainContext[t])return this._registerAndInstantiateMainProcessActor(t,n);if(r.Remotable.Registry.ExtHostContext[t])return this._registerAndInstantiateExtHostActor(t,n);if(r.Remotable.Registry.WorkerContext[t])return this._registerAndInstantiateWorkerActor(t,n,r.Remotable.Registry.WorkerContext[t].affinity);throw new Error("Unknown Remotable: <<"+t+">>")},e.prototype.registerRemotableInstance=function(e,t){var n=r.Remotable.getId(e);if(!n)throw new Error("Unknown Remotable: <<"+n+">>");if(r.Remotable.Registry.MainContext[n])return this._registerMainProcessActor(n,t);if(r.Remotable.Registry.ExtHostContext[n])return this._registerExtHostActor(n,t);if(r.Remotable.Registry.WorkerContext[n])return this._registerWorkerActor(n,t);throw new Error("Unknown Remotable: <<"+n+">>")},e}();t.AbstractThreadService=u});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/platform/thread/common/workerThreadService",["require","exports","vs/base/common/winjs.base","vs/platform/thread/common/abstractThreadService","vs/platform/thread/common/thread"],function(e,t,n,r,o){"use strict";var i=function(e){function t(t){e.call(this,!1),this.serviceId=o.IThreadService,this._remoteCom=t,this._remoteCom.setManyHandler(this)}return __extends(t,e),t.prototype._handleRequest=function(e,t,r){var o=this;if(!this._boundObjects.hasOwnProperty(e))return n.TPromise.join(this._pendingObjects.slice(0)).then(function(){if(!o._boundObjects.hasOwnProperty(e))return n.TPromise.wrapError(new Error("Bound object `"+e+"` was not found."));var i=o._boundObjects[e];return n.TPromise.as(i[t].apply(i,r))});var i=this._boundObjects[e];return n.TPromise.as(i[t].apply(i,r))},t.prototype.dispatch=function(e){try{var t=e.payload,r=this._handleRequest(t[0],t[1],t[2]);return n.TPromise.is(r)?r:n.TPromise.as(r)}catch(o){return n.TPromise.wrapError(o)}},t.prototype.OneWorker=function(e,t,n,r,o){return n.apply(e,r)},t.prototype.AllWorkers=function(e,t,n,r){return n.apply(e,r)},t.prototype.addStatusListener=function(e){},t.prototype.removeStatusListener=function(e){},t.prototype._registerAndInstantiateMainProcessActor=function(e,t){return this._getOrCreateProxyInstance(this._remoteCom,e,t)},t.prototype._registerMainProcessActor=function(e,t){throw new Error("Not supported in this runtime context!")},t.prototype._registerAndInstantiateExtHostActor=function(e,t){throw new Error("Not supported in this runtime context: Cannot communicate from Worker directly to Extension Host!")},t.prototype._registerExtHostActor=function(e,t){throw new Error("Not supported in this runtime context!")},t.prototype._registerAndInstantiateWorkerActor=function(e,t,n){return this._getOrCreateLocalInstance(e,t)},t.prototype._registerWorkerActor=function(e,t){this._registerLocalInstance(e,t)},t}(r.AbstractThreadService);t.WorkerThreadService=i}),define("vs/platform/workspace/common/workspace",["require","exports","vs/platform/instantiation/common/instantiation"],function(e,t,n){"use strict";t.IWorkspaceContextService=n.createDecorator("contextService")}),define("vs/editor/common/languages.common",["require","exports","vs/base/common/assert","vs/base/common/async","vs/base/common/callbackList","vs/base/common/cancellation","vs/base/common/collections","vs/base/common/event","vs/base/common/events","vs/base/common/lifecycle","vs/base/common/paths","vs/base/common/uri","vs/platform/platform","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/files/common/files","vs/platform/request/common/request","vs/platform/workspace/common/workspace","vs/platform/telemetry/common/telemetry","vs/platform/thread/common/thread","vs/platform/thread/common/threadService","vs/editor/common/editorCommon","vs/editor/common/modes","vs/editor/common/modes/abstractMode","vs/editor/common/modes/abstractState","vs/editor/common/modes/monarch/monarch","vs/editor/common/modes/monarch/monarchCompile","vs/editor/common/modes/supports/declarationSupport","vs/editor/common/modes/supports/parameterHintsSupport","vs/editor/common/modes/supports/referenceSupport","vs/editor/common/modes/supports/richEditSupport","vs/editor/common/modes/supports/suggestSupport","vs/editor/common/modes/supports/tokenizationSupport","vs/editor/common/services/modelService","vs/editor/common/services/modeService"],function(e,t){"use strict"}),define("vs/platform/workspace/common/baseWorkspaceContextService",["require","exports","vs/base/common/uri","vs/base/common/paths","./workspace"],function(e,t,n,r,o){"use strict";var i=function(){function e(e,t,n){void 0===n&&(n={}),this.serviceId=o.IWorkspaceContextService,this.workspace=e,this.configuration=t,this.options=n}return e.prototype.getWorkspace=function(){return this.workspace},e.prototype.getConfiguration=function(){return this.configuration},e.prototype.getOptions=function(){return this.options},e.prototype.isInsideWorkspace=function(e){return e&&this.workspace?r.isEqualOrParent(e.fsPath,this.workspace.resource.fsPath):!1},e.prototype.toWorkspaceRelativePath=function(e){return this.isInsideWorkspace(e)?r.normalize(r.relative(this.workspace.resource.fsPath,e.fsPath)):null},e.prototype.toResource=function(e){return"string"==typeof e&&this.workspace?n["default"].file(r.join(this.workspace.resource.fsPath,e)):null},e}();t.BaseWorkspaceContextService=i});var __extends=this&&this.__extends||function(e,t){function n(){this.constructor=e}for(var r in t)t.hasOwnProperty(r)&&(e[r]=t[r]);e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)};define("vs/editor/common/worker/editorWorkerServer",["require","exports","vs/base/common/severity","vs/platform/event/common/eventService","vs/platform/extensions/common/abstractExtensionService","vs/platform/instantiation/common/instantiationService","vs/platform/markers/common/markerService","vs/platform/request/common/baseRequestService","vs/platform/telemetry/common/workerTelemetryService","vs/platform/thread/common/workerThreadService","vs/platform/workspace/common/baseWorkspaceContextService","vs/editor/common/services/modeServiceImpl","vs/editor/common/services/modelServiceImpl","vs/editor/common/services/resourceServiceImpl","vs/editor/common/languages.common","vs/editor/common/worker/validationHelper"],function(e,t,n,r,o,i,s,a,u,c,d,l,h,p){"use strict";var f=function(e){function t(){e.call(this,!0)}return __extends(t,e),t.prototype._showMessage=function(e,t){switch(e){case n["default"].Error:console.error(t);break;case n["default"].Warning:console.warn(t);break;case n["default"].Info:console.info(t);break;default:console.log(t)}},t.prototype._createFailedExtension=function(){throw new Error("unexpected")},t.prototype._actualActivateExtension=function(e){throw new Error("unexpected")},t}(o.AbstractExtensionService),m=function(){function e(){}return e.prototype.initialize=function(e,t,n,o,m){var g=new f,v=new d.BaseWorkspaceContextService(m.contextService.workspace,m.contextService.configuration,m.contextService.options);this.threadService=new c.WorkerThreadService(e.getRemoteCom()),this.threadService.setInstantiationService(i.createInstantiationService({threadService:this.threadService}));var _=new u.WorkerTelemetryService(this.threadService),y=new p.ResourceService,k=new s.SecondaryMarkerService(this.threadService),E=new l.ModeServiceImpl(this.threadService,g),b=new a.BaseRequestService(v,_),S={threadService:this.threadService,extensionService:g,modeService:E,contextService:v,eventService:new r.EventService,resourceService:y,markerService:k,telemetryService:_,requestService:b},M=i.createInstantiationService(S);this.threadService.setInstantiationService(M),this.threadService.getRemotable(l.ModeServiceWorkerHelper),this.threadService.getRemotable(h.ModelServiceWorkerHelper),t(void 0)},e.prototype.request=function(e,t,n,r,o){this.threadService.dispatch(o).then(t,n,r)},e}();t.EditorWorkerServer=m,t.value=new m});
//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/fa6d0f03813dfb9df4589c30121e9fcffa8a8ec8/vs/editor/common/worker/editorWorkerServer.js.map
