/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
define("vs/base/common/platform",["require","exports"],function(e,t){"use strict";function r(){return"undefined"!=typeof v.Worker}var i=!1,o=!1,n=!1,a=!1,s=!1,h=!1,u=void 0,p=void 0;if("object"==typeof process){i="win32"===process.platform,o="darwin"===process.platform,n="linux"===process.platform;var c=process.env.VSCODE_NLS_CONFIG;if(c)try{var f=JSON.parse(c),l=f.availableLanguages["*"];u=f.locale,p=l?l:"en"}catch(m){}a=!0}else if("object"==typeof navigator){var d=navigator.userAgent;i=d.indexOf("Windows")>=0,o=d.indexOf("Macintosh")>=0,n=d.indexOf("Linux")>=0,s=!0,u=navigator.language,p=u,h=!!self.QUnit}!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(t.Platform||(t.Platform={}));var _=t.Platform;t._platform=_.Web,a&&(o?t._platform=_.Mac:i?t._platform=_.Windows:n&&(t._platform=_.Linux)),t.isWindows=i,t.isMacintosh=o,t.isLinux=n,t.isNative=a,t.isWeb=s,t.isQunit=h,t.platform=t._platform,t.language=p,t.locale=u;var v="object"==typeof self?self:global;t.globals=v,t.hasWebWorkerSupport=r,t.setTimeout=v.setTimeout.bind(v),t.clearTimeout=v.clearTimeout.bind(v),t.setInterval=v.setInterval.bind(v),t.clearInterval=v.clearInterval.bind(v)}),define("vs/base/common/uri",["require","exports","vs/base/common/platform"],function(e,t,r){"use strict";function i(e){return encodeURIComponent(e).replace(/[!'()*]/g,function(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()})}var o=function(){function e(){this._scheme=e._empty,this._authority=e._empty,this._path=e._empty,this._query=e._empty,this._fragment=e._empty}return Object.defineProperty(e.prototype,"scheme",{get:function(){return this._scheme},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"authority",{get:function(){return this._authority},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"path",{get:function(){return this._path},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"query",{get:function(){return this._query},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fragment",{get:function(){return this._fragment},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"fsPath",{get:function(){if(!this._fsPath){var t;t=this._authority&&"file"===this.scheme?"//"+this._authority+this._path:e._driveLetterPath.test(this._path)?this._path[1].toLowerCase()+this._path.substr(2):this._path,r.isWindows&&(t=t.replace(/\//g,"\\")),this._fsPath=t}return this._fsPath},enumerable:!0,configurable:!0}),e.prototype["with"]=function(t,r,i,o,n){var a=new e;return a._scheme=t||this.scheme,a._authority=r||this.authority,a._path=i||this.path,a._query=o||this.query,a._fragment=n||this.fragment,e._validate(a),a},e.prototype.withScheme=function(e){return this["with"](e,void 0,void 0,void 0,void 0)},e.prototype.withAuthority=function(e){return this["with"](void 0,e,void 0,void 0,void 0)},e.prototype.withPath=function(e){return this["with"](void 0,void 0,e,void 0,void 0)},e.prototype.withQuery=function(e){return this["with"](void 0,void 0,void 0,e,void 0)},e.prototype.withFragment=function(e){return this["with"](void 0,void 0,void 0,void 0,e)},e.parse=function(t){var r=new e,i=e._parseComponents(t);return r._scheme=i.scheme,r._authority=decodeURIComponent(i.authority),r._path=decodeURIComponent(i.path),r._query=decodeURIComponent(i.query),r._fragment=decodeURIComponent(i.fragment),e._validate(r),r},e.file=function(t){t=t.replace(/\\/g,"/"),t=t.replace(/%/g,"%25"),t=t.replace(/#/g,"%23"),t=t.replace(/\?/g,"%3F"),t=e._driveLetter.test(t)?"/"+t:t;var r=e._parseComponents(t);if(r.scheme||r.fragment||r.query)throw new Error("Path contains a scheme, fragment or a query. Can not convert it to a file uri.");var i=new e;return i._scheme="file",i._authority=r.authority,i._path=decodeURIComponent("/"===r.path[0]?r.path:"/"+r.path),i._query=r.query,i._fragment=r.fragment,e._validate(i),i},e._parseComponents=function(t){var r={scheme:e._empty,authority:e._empty,path:e._empty,query:e._empty,fragment:e._empty},i=e._regexp.exec(t);return i&&(r.scheme=i[2]||r.scheme,r.authority=i[4]||r.authority,r.path=i[5]||r.path,r.query=i[7]||r.query,r.fragment=i[9]||r.fragment),r},e.create=function(t,r,i,o,n){return(new e)["with"](t,r,i,o,n)},e._validate=function(e){if(e.authority&&e.path&&"/"!==e.path[0])throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character');if(!e.authority&&0===e.path.indexOf("//"))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')},e.prototype.toString=function(){if(!this._formatted){var t=[];if(this._scheme&&(t.push(this._scheme),t.push(":")),(this._authority||"file"===this._scheme)&&t.push("//"),this._authority){var r,o=this._authority;o=o.toLowerCase(),r=o.indexOf(":"),-1===r?t.push(i(o)):(t.push(i(o.substr(0,r))),t.push(o.substr(r)))}if(this._path){var n,a=this._path;e._driveLetterPath.test(a)?a="/"+a[1].toLowerCase()+a.substr(2):e._driveLetter.test(a)&&(a=a[0].toLowerCase()+a.substr(1)),n=a.split("/");for(var s=0,h=n.length;h>s;s++)n[s]=i(n[s]);t.push(n.join("/"))}if(this._query){var u=/https?/i.test(this.scheme)?encodeURI:i;t.push("?"),t.push(u(this._query))}this._fragment&&(t.push("#"),t.push(i(this._fragment))),this._formatted=t.join("")}return this._formatted},e.prototype.toJSON=function(){return{scheme:this.scheme,authority:this.authority,path:this.path,fsPath:this.fsPath,query:this.query,fragment:this.fragment.replace(/URL_MARSHAL_REMOVE.*$/,""),external:this.toString().replace(/#?URL_MARSHAL_REMOVE.*$/,""),$mid:1}},e.revive=function(t){var r=new e;return r._scheme=t.scheme,r._authority=t.authority,r._path=t.path,r._query=t.query,r._fragment=t.fragment,r._fsPath=t.fsPath,r._formatted=t.external,e._validate(r),r},e._empty="",e._regexp=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,e._driveLetterPath=/^\/[a-zA-z]:/,e._driveLetter=/^[a-zA-z]:/,e}();Object.defineProperty(t,"__esModule",{value:!0}),t["default"]=o}),define("vs/workbench/electron-main/cli",["require","exports","path","fs","os","child_process","vs/base/common/uri"],function(e,t,r,i,o,n,a){"use strict";function s(e){var t=new c(e),r=!0;if(t.hasFlag("help","h"))console.log(t.help());else if(t.hasFlag("version","v"))console.log(p.version);else if(delete process.env.ATOM_SHELL_INTERNAL_RUN_AS_NODE,t.hasFlag("wait","w")){r=!1;var i=n.spawn(process.execPath,process.argv.slice(2),{stdio:"ignore"});i.on("exit",process.exit)}else n.spawn(process.execPath,process.argv.slice(2),{detached:!0,stdio:"ignore"});r&&process.exit(0)}var h=r.dirname(a["default"].parse(e.toUrl("")).fsPath),u=r.join(h,"package.json"),p=JSON.parse(i.readFileSync(u,"utf8")),c=function(){function e(e){this.argv=e}return e.prototype.hasFlag=function(e,t){return e&&this.argv.indexOf("--"+e)>=0||t&&this.argv.indexOf("-"+t)>=0},e.prototype.help=function(){var e="code"+("win32"===o.platform()?".exe":""),t="  ";return"Visual Studio Code v"+p.version+"\n\nUsage: "+e+" [arguments] [paths...]\n\nOptions:\n"+t+"-d, --diff            Open a diff editor. Requires to pass two file paths\n"+t+"                      as arguments.\n"+t+"--disable-extensions  Disable all installed extensions.\n"+t+"-g, --goto            Open the file at path at the line and column (add\n"+t+"                      :line[:column] to path).\n"+t+"-h, --help            Print usage.\n"+t+"--locale=LOCALE       The locale to use (e.g. en-US or zh-TW).\n"+t+"-n, --new-window      Force a new instance of Code.\n"+t+"-r, --reuse-window    Force opening a file or folder in the last active\n"+t+"                      window.\n"+t+"-v, --version         Print version.\n"+t+"-w, --wait            Wait for the window to be closed before returning."},e}();t.main=s,s(process.argv.slice(2))});
//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/fa6d0f03813dfb9df4589c30121e9fcffa8a8ec8/vs/workbench/electron-main/cli.js.map
